// xcvr_test_system.v

// Generated using ACDS version 15.0 139

`timescale 1 ps / 1 ps
module xcvr_test_system (
		input  wire        clk_50_clk,                                        //                                        clk_50.clk
		input  wire        data_pattern_checker_x32_g0_pattern_in_valid,      //        data_pattern_checker_x32_g0_pattern_in.valid
		output wire        data_pattern_checker_x32_g0_pattern_in_ready,      //                                              .ready
		input  wire [31:0] data_pattern_checker_x32_g0_pattern_in_data,       //                                              .data
		input  wire        data_pattern_checker_x32_g0_pattern_in_clk_clk,    //    data_pattern_checker_x32_g0_pattern_in_clk.clk
		input  wire        data_pattern_checker_x32_g1_pattern_in_valid,      //        data_pattern_checker_x32_g1_pattern_in.valid
		output wire        data_pattern_checker_x32_g1_pattern_in_ready,      //                                              .ready
		input  wire [31:0] data_pattern_checker_x32_g1_pattern_in_data,       //                                              .data
		input  wire        data_pattern_checker_x32_g1_pattern_in_clk_clk,    //    data_pattern_checker_x32_g1_pattern_in_clk.clk
		input  wire        data_pattern_checker_x32_g2_pattern_in_valid,      //        data_pattern_checker_x32_g2_pattern_in.valid
		output wire        data_pattern_checker_x32_g2_pattern_in_ready,      //                                              .ready
		input  wire [31:0] data_pattern_checker_x32_g2_pattern_in_data,       //                                              .data
		input  wire        data_pattern_checker_x32_g2_pattern_in_clk_clk,    //    data_pattern_checker_x32_g2_pattern_in_clk.clk
		input  wire        data_pattern_checker_x40_g3_pattern_in_valid,      //        data_pattern_checker_x40_g3_pattern_in.valid
		output wire        data_pattern_checker_x40_g3_pattern_in_ready,      //                                              .ready
		input  wire [39:0] data_pattern_checker_x40_g3_pattern_in_data,       //                                              .data
		input  wire        data_pattern_checker_x40_g3_pattern_in_clk_clk,    //    data_pattern_checker_x40_g3_pattern_in_clk.clk
		output wire        data_pattern_generator_x32_g0_pattern_out_valid,   //     data_pattern_generator_x32_g0_pattern_out.valid
		input  wire        data_pattern_generator_x32_g0_pattern_out_ready,   //                                              .ready
		output wire [31:0] data_pattern_generator_x32_g0_pattern_out_data,    //                                              .data
		input  wire        data_pattern_generator_x32_g0_pattern_out_clk_clk, // data_pattern_generator_x32_g0_pattern_out_clk.clk
		output wire        data_pattern_generator_x32_g1_pattern_out_valid,   //     data_pattern_generator_x32_g1_pattern_out.valid
		input  wire        data_pattern_generator_x32_g1_pattern_out_ready,   //                                              .ready
		output wire [31:0] data_pattern_generator_x32_g1_pattern_out_data,    //                                              .data
		input  wire        data_pattern_generator_x32_g1_pattern_out_clk_clk, // data_pattern_generator_x32_g1_pattern_out_clk.clk
		output wire        data_pattern_generator_x32_g2_pattern_out_valid,   //     data_pattern_generator_x32_g2_pattern_out.valid
		input  wire        data_pattern_generator_x32_g2_pattern_out_ready,   //                                              .ready
		output wire [31:0] data_pattern_generator_x32_g2_pattern_out_data,    //                                              .data
		input  wire        data_pattern_generator_x32_g2_pattern_out_clk_clk, // data_pattern_generator_x32_g2_pattern_out_clk.clk
		output wire        data_pattern_generator_x40_g3_pattern_out_valid,   //     data_pattern_generator_x40_g3_pattern_out.valid
		input  wire        data_pattern_generator_x40_g3_pattern_out_ready,   //                                              .ready
		output wire [39:0] data_pattern_generator_x40_g3_pattern_out_data,    //                                              .data
		input  wire        data_pattern_generator_x40_g3_pattern_out_clk_clk, // data_pattern_generator_x40_g3_pattern_out_clk.clk
		output wire [16:0] pio_0_external_connection_export,                  //                     pio_0_external_connection.export
		output wire [16:0] pio_1_external_connection_export,                  //                     pio_1_external_connection.export
		output wire        pio_2_external_connection_export,                  //                     pio_2_external_connection.export
		input  wire        reset_50_reset_n                                   //                                      reset_50.reset_n
	);

	wire  [31:0] master_0_master_readdata;                                             // mm_interconnect_0:master_0_master_readdata -> master_0:master_readdata
	wire         master_0_master_waitrequest;                                          // mm_interconnect_0:master_0_master_waitrequest -> master_0:master_waitrequest
	wire  [31:0] master_0_master_address;                                              // master_0:master_address -> mm_interconnect_0:master_0_master_address
	wire         master_0_master_read;                                                 // master_0:master_read -> mm_interconnect_0:master_0_master_read
	wire   [3:0] master_0_master_byteenable;                                           // master_0:master_byteenable -> mm_interconnect_0:master_0_master_byteenable
	wire         master_0_master_readdatavalid;                                        // mm_interconnect_0:master_0_master_readdatavalid -> master_0:master_readdatavalid
	wire         master_0_master_write;                                                // master_0:master_write -> mm_interconnect_0:master_0_master_write
	wire  [31:0] master_0_master_writedata;                                            // master_0:master_writedata -> mm_interconnect_0:master_0_master_writedata
	wire  [31:0] mm_interconnect_0_data_pattern_generator_x40_g3_csr_slave_readdata;   // data_pattern_generator_x40_g3:csr_slave_readdata -> mm_interconnect_0:data_pattern_generator_x40_g3_csr_slave_readdata
	wire   [2:0] mm_interconnect_0_data_pattern_generator_x40_g3_csr_slave_address;    // mm_interconnect_0:data_pattern_generator_x40_g3_csr_slave_address -> data_pattern_generator_x40_g3:csr_slave_address
	wire         mm_interconnect_0_data_pattern_generator_x40_g3_csr_slave_read;       // mm_interconnect_0:data_pattern_generator_x40_g3_csr_slave_read -> data_pattern_generator_x40_g3:csr_slave_read
	wire   [3:0] mm_interconnect_0_data_pattern_generator_x40_g3_csr_slave_byteenable; // mm_interconnect_0:data_pattern_generator_x40_g3_csr_slave_byteenable -> data_pattern_generator_x40_g3:csr_slave_byteenable
	wire         mm_interconnect_0_data_pattern_generator_x40_g3_csr_slave_write;      // mm_interconnect_0:data_pattern_generator_x40_g3_csr_slave_write -> data_pattern_generator_x40_g3:csr_slave_write
	wire  [31:0] mm_interconnect_0_data_pattern_generator_x40_g3_csr_slave_writedata;  // mm_interconnect_0:data_pattern_generator_x40_g3_csr_slave_writedata -> data_pattern_generator_x40_g3:csr_slave_writedata
	wire  [31:0] mm_interconnect_0_data_pattern_generator_x32_g2_csr_slave_readdata;   // data_pattern_generator_x32_g2:csr_slave_readdata -> mm_interconnect_0:data_pattern_generator_x32_g2_csr_slave_readdata
	wire   [2:0] mm_interconnect_0_data_pattern_generator_x32_g2_csr_slave_address;    // mm_interconnect_0:data_pattern_generator_x32_g2_csr_slave_address -> data_pattern_generator_x32_g2:csr_slave_address
	wire         mm_interconnect_0_data_pattern_generator_x32_g2_csr_slave_read;       // mm_interconnect_0:data_pattern_generator_x32_g2_csr_slave_read -> data_pattern_generator_x32_g2:csr_slave_read
	wire   [3:0] mm_interconnect_0_data_pattern_generator_x32_g2_csr_slave_byteenable; // mm_interconnect_0:data_pattern_generator_x32_g2_csr_slave_byteenable -> data_pattern_generator_x32_g2:csr_slave_byteenable
	wire         mm_interconnect_0_data_pattern_generator_x32_g2_csr_slave_write;      // mm_interconnect_0:data_pattern_generator_x32_g2_csr_slave_write -> data_pattern_generator_x32_g2:csr_slave_write
	wire  [31:0] mm_interconnect_0_data_pattern_generator_x32_g2_csr_slave_writedata;  // mm_interconnect_0:data_pattern_generator_x32_g2_csr_slave_writedata -> data_pattern_generator_x32_g2:csr_slave_writedata
	wire  [31:0] mm_interconnect_0_data_pattern_generator_x32_g1_csr_slave_readdata;   // data_pattern_generator_x32_g1:csr_slave_readdata -> mm_interconnect_0:data_pattern_generator_x32_g1_csr_slave_readdata
	wire   [2:0] mm_interconnect_0_data_pattern_generator_x32_g1_csr_slave_address;    // mm_interconnect_0:data_pattern_generator_x32_g1_csr_slave_address -> data_pattern_generator_x32_g1:csr_slave_address
	wire         mm_interconnect_0_data_pattern_generator_x32_g1_csr_slave_read;       // mm_interconnect_0:data_pattern_generator_x32_g1_csr_slave_read -> data_pattern_generator_x32_g1:csr_slave_read
	wire   [3:0] mm_interconnect_0_data_pattern_generator_x32_g1_csr_slave_byteenable; // mm_interconnect_0:data_pattern_generator_x32_g1_csr_slave_byteenable -> data_pattern_generator_x32_g1:csr_slave_byteenable
	wire         mm_interconnect_0_data_pattern_generator_x32_g1_csr_slave_write;      // mm_interconnect_0:data_pattern_generator_x32_g1_csr_slave_write -> data_pattern_generator_x32_g1:csr_slave_write
	wire  [31:0] mm_interconnect_0_data_pattern_generator_x32_g1_csr_slave_writedata;  // mm_interconnect_0:data_pattern_generator_x32_g1_csr_slave_writedata -> data_pattern_generator_x32_g1:csr_slave_writedata
	wire  [31:0] mm_interconnect_0_data_pattern_generator_x32_g0_csr_slave_readdata;   // data_pattern_generator_x32_g0:csr_slave_readdata -> mm_interconnect_0:data_pattern_generator_x32_g0_csr_slave_readdata
	wire   [2:0] mm_interconnect_0_data_pattern_generator_x32_g0_csr_slave_address;    // mm_interconnect_0:data_pattern_generator_x32_g0_csr_slave_address -> data_pattern_generator_x32_g0:csr_slave_address
	wire         mm_interconnect_0_data_pattern_generator_x32_g0_csr_slave_read;       // mm_interconnect_0:data_pattern_generator_x32_g0_csr_slave_read -> data_pattern_generator_x32_g0:csr_slave_read
	wire   [3:0] mm_interconnect_0_data_pattern_generator_x32_g0_csr_slave_byteenable; // mm_interconnect_0:data_pattern_generator_x32_g0_csr_slave_byteenable -> data_pattern_generator_x32_g0:csr_slave_byteenable
	wire         mm_interconnect_0_data_pattern_generator_x32_g0_csr_slave_write;      // mm_interconnect_0:data_pattern_generator_x32_g0_csr_slave_write -> data_pattern_generator_x32_g0:csr_slave_write
	wire  [31:0] mm_interconnect_0_data_pattern_generator_x32_g0_csr_slave_writedata;  // mm_interconnect_0:data_pattern_generator_x32_g0_csr_slave_writedata -> data_pattern_generator_x32_g0:csr_slave_writedata
	wire  [31:0] mm_interconnect_0_data_pattern_checker_x40_g3_csr_slave_readdata;     // data_pattern_checker_x40_g3:csr_slave_readdata -> mm_interconnect_0:data_pattern_checker_x40_g3_csr_slave_readdata
	wire   [2:0] mm_interconnect_0_data_pattern_checker_x40_g3_csr_slave_address;      // mm_interconnect_0:data_pattern_checker_x40_g3_csr_slave_address -> data_pattern_checker_x40_g3:csr_slave_address
	wire         mm_interconnect_0_data_pattern_checker_x40_g3_csr_slave_read;         // mm_interconnect_0:data_pattern_checker_x40_g3_csr_slave_read -> data_pattern_checker_x40_g3:csr_slave_read
	wire   [3:0] mm_interconnect_0_data_pattern_checker_x40_g3_csr_slave_byteenable;   // mm_interconnect_0:data_pattern_checker_x40_g3_csr_slave_byteenable -> data_pattern_checker_x40_g3:csr_slave_byteenable
	wire         mm_interconnect_0_data_pattern_checker_x40_g3_csr_slave_write;        // mm_interconnect_0:data_pattern_checker_x40_g3_csr_slave_write -> data_pattern_checker_x40_g3:csr_slave_write
	wire  [31:0] mm_interconnect_0_data_pattern_checker_x40_g3_csr_slave_writedata;    // mm_interconnect_0:data_pattern_checker_x40_g3_csr_slave_writedata -> data_pattern_checker_x40_g3:csr_slave_writedata
	wire  [31:0] mm_interconnect_0_data_pattern_checker_x32_g2_csr_slave_readdata;     // data_pattern_checker_x32_g2:csr_slave_readdata -> mm_interconnect_0:data_pattern_checker_x32_g2_csr_slave_readdata
	wire   [2:0] mm_interconnect_0_data_pattern_checker_x32_g2_csr_slave_address;      // mm_interconnect_0:data_pattern_checker_x32_g2_csr_slave_address -> data_pattern_checker_x32_g2:csr_slave_address
	wire         mm_interconnect_0_data_pattern_checker_x32_g2_csr_slave_read;         // mm_interconnect_0:data_pattern_checker_x32_g2_csr_slave_read -> data_pattern_checker_x32_g2:csr_slave_read
	wire   [3:0] mm_interconnect_0_data_pattern_checker_x32_g2_csr_slave_byteenable;   // mm_interconnect_0:data_pattern_checker_x32_g2_csr_slave_byteenable -> data_pattern_checker_x32_g2:csr_slave_byteenable
	wire         mm_interconnect_0_data_pattern_checker_x32_g2_csr_slave_write;        // mm_interconnect_0:data_pattern_checker_x32_g2_csr_slave_write -> data_pattern_checker_x32_g2:csr_slave_write
	wire  [31:0] mm_interconnect_0_data_pattern_checker_x32_g2_csr_slave_writedata;    // mm_interconnect_0:data_pattern_checker_x32_g2_csr_slave_writedata -> data_pattern_checker_x32_g2:csr_slave_writedata
	wire  [31:0] mm_interconnect_0_data_pattern_checker_x32_g1_csr_slave_readdata;     // data_pattern_checker_x32_g1:csr_slave_readdata -> mm_interconnect_0:data_pattern_checker_x32_g1_csr_slave_readdata
	wire   [2:0] mm_interconnect_0_data_pattern_checker_x32_g1_csr_slave_address;      // mm_interconnect_0:data_pattern_checker_x32_g1_csr_slave_address -> data_pattern_checker_x32_g1:csr_slave_address
	wire         mm_interconnect_0_data_pattern_checker_x32_g1_csr_slave_read;         // mm_interconnect_0:data_pattern_checker_x32_g1_csr_slave_read -> data_pattern_checker_x32_g1:csr_slave_read
	wire   [3:0] mm_interconnect_0_data_pattern_checker_x32_g1_csr_slave_byteenable;   // mm_interconnect_0:data_pattern_checker_x32_g1_csr_slave_byteenable -> data_pattern_checker_x32_g1:csr_slave_byteenable
	wire         mm_interconnect_0_data_pattern_checker_x32_g1_csr_slave_write;        // mm_interconnect_0:data_pattern_checker_x32_g1_csr_slave_write -> data_pattern_checker_x32_g1:csr_slave_write
	wire  [31:0] mm_interconnect_0_data_pattern_checker_x32_g1_csr_slave_writedata;    // mm_interconnect_0:data_pattern_checker_x32_g1_csr_slave_writedata -> data_pattern_checker_x32_g1:csr_slave_writedata
	wire  [31:0] mm_interconnect_0_data_pattern_checker_x32_g0_csr_slave_readdata;     // data_pattern_checker_x32_g0:csr_slave_readdata -> mm_interconnect_0:data_pattern_checker_x32_g0_csr_slave_readdata
	wire   [2:0] mm_interconnect_0_data_pattern_checker_x32_g0_csr_slave_address;      // mm_interconnect_0:data_pattern_checker_x32_g0_csr_slave_address -> data_pattern_checker_x32_g0:csr_slave_address
	wire         mm_interconnect_0_data_pattern_checker_x32_g0_csr_slave_read;         // mm_interconnect_0:data_pattern_checker_x32_g0_csr_slave_read -> data_pattern_checker_x32_g0:csr_slave_read
	wire   [3:0] mm_interconnect_0_data_pattern_checker_x32_g0_csr_slave_byteenable;   // mm_interconnect_0:data_pattern_checker_x32_g0_csr_slave_byteenable -> data_pattern_checker_x32_g0:csr_slave_byteenable
	wire         mm_interconnect_0_data_pattern_checker_x32_g0_csr_slave_write;        // mm_interconnect_0:data_pattern_checker_x32_g0_csr_slave_write -> data_pattern_checker_x32_g0:csr_slave_write
	wire  [31:0] mm_interconnect_0_data_pattern_checker_x32_g0_csr_slave_writedata;    // mm_interconnect_0:data_pattern_checker_x32_g0_csr_slave_writedata -> data_pattern_checker_x32_g0:csr_slave_writedata
	wire         mm_interconnect_0_pio_0_s1_chipselect;                                // mm_interconnect_0:pio_0_s1_chipselect -> pio_0:chipselect
	wire  [31:0] mm_interconnect_0_pio_0_s1_readdata;                                  // pio_0:readdata -> mm_interconnect_0:pio_0_s1_readdata
	wire   [1:0] mm_interconnect_0_pio_0_s1_address;                                   // mm_interconnect_0:pio_0_s1_address -> pio_0:address
	wire         mm_interconnect_0_pio_0_s1_write;                                     // mm_interconnect_0:pio_0_s1_write -> pio_0:write_n
	wire  [31:0] mm_interconnect_0_pio_0_s1_writedata;                                 // mm_interconnect_0:pio_0_s1_writedata -> pio_0:writedata
	wire         mm_interconnect_0_pio_1_s1_chipselect;                                // mm_interconnect_0:pio_1_s1_chipselect -> pio_1:chipselect
	wire  [31:0] mm_interconnect_0_pio_1_s1_readdata;                                  // pio_1:readdata -> mm_interconnect_0:pio_1_s1_readdata
	wire   [1:0] mm_interconnect_0_pio_1_s1_address;                                   // mm_interconnect_0:pio_1_s1_address -> pio_1:address
	wire         mm_interconnect_0_pio_1_s1_write;                                     // mm_interconnect_0:pio_1_s1_write -> pio_1:write_n
	wire  [31:0] mm_interconnect_0_pio_1_s1_writedata;                                 // mm_interconnect_0:pio_1_s1_writedata -> pio_1:writedata
	wire         mm_interconnect_0_pio_2_s1_chipselect;                                // mm_interconnect_0:pio_2_s1_chipselect -> pio_2:chipselect
	wire  [31:0] mm_interconnect_0_pio_2_s1_readdata;                                  // pio_2:readdata -> mm_interconnect_0:pio_2_s1_readdata
	wire   [1:0] mm_interconnect_0_pio_2_s1_address;                                   // mm_interconnect_0:pio_2_s1_address -> pio_2:address
	wire         mm_interconnect_0_pio_2_s1_write;                                     // mm_interconnect_0:pio_2_s1_write -> pio_2:write_n
	wire  [31:0] mm_interconnect_0_pio_2_s1_writedata;                                 // mm_interconnect_0:pio_2_s1_writedata -> pio_2:writedata
	wire         rst_controller_reset_out_reset;                                       // rst_controller:reset_out -> [data_pattern_checker_x32_g0:reset_reset, data_pattern_checker_x32_g1:reset_reset, data_pattern_checker_x32_g2:reset_reset, data_pattern_checker_x40_g3:reset_reset, data_pattern_generator_x32_g0:reset_reset, data_pattern_generator_x32_g1:reset_reset, data_pattern_generator_x32_g2:reset_reset, data_pattern_generator_x40_g3:reset_reset, mm_interconnect_0:data_pattern_generator_x40_g3_reset_reset_bridge_in_reset_reset, mm_interconnect_0:master_0_clk_reset_reset_bridge_in_reset_reset, pio_0:reset_n, pio_1:reset_n, pio_2:reset_n]

	xcvr_test_system_data_pattern_checker_x32_g0 #(
		.ST_DATA_W            (32),
		.NUM_CYCLES_FOR_LOCK  (40),
		.BYPASS_ENABLED       (0),
		.AVALON_ENABLED       (1),
		.FREQ_CNTER_ENABLED   (0),
		.CROSS_CLK_SYNC_DEPTH (4)
	) data_pattern_checker_x32_g0 (
		.csr_clk_clk          (clk_50_clk),                                                         //        csr_clk.clk
		.reset_reset          (rst_controller_reset_out_reset),                                     //          reset.reset
		.csr_slave_address    (mm_interconnect_0_data_pattern_checker_x32_g0_csr_slave_address),    //      csr_slave.address
		.csr_slave_write      (mm_interconnect_0_data_pattern_checker_x32_g0_csr_slave_write),      //               .write
		.csr_slave_read       (mm_interconnect_0_data_pattern_checker_x32_g0_csr_slave_read),       //               .read
		.csr_slave_byteenable (mm_interconnect_0_data_pattern_checker_x32_g0_csr_slave_byteenable), //               .byteenable
		.csr_slave_writedata  (mm_interconnect_0_data_pattern_checker_x32_g0_csr_slave_writedata),  //               .writedata
		.csr_slave_readdata   (mm_interconnect_0_data_pattern_checker_x32_g0_csr_slave_readdata),   //               .readdata
		.pattern_in_clk_clk   (data_pattern_checker_x32_g0_pattern_in_clk_clk),                     // pattern_in_clk.clk
		.asi_valid            (data_pattern_checker_x32_g0_pattern_in_valid),                       //     pattern_in.valid
		.asi_ready            (data_pattern_checker_x32_g0_pattern_in_ready),                       //               .ready
		.asi_data             (data_pattern_checker_x32_g0_pattern_in_data)                         //               .data
	);

	xcvr_test_system_data_pattern_checker_x32_g0 #(
		.ST_DATA_W            (32),
		.NUM_CYCLES_FOR_LOCK  (40),
		.BYPASS_ENABLED       (0),
		.AVALON_ENABLED       (1),
		.FREQ_CNTER_ENABLED   (0),
		.CROSS_CLK_SYNC_DEPTH (4)
	) data_pattern_checker_x32_g1 (
		.csr_clk_clk          (clk_50_clk),                                                         //        csr_clk.clk
		.reset_reset          (rst_controller_reset_out_reset),                                     //          reset.reset
		.csr_slave_address    (mm_interconnect_0_data_pattern_checker_x32_g1_csr_slave_address),    //      csr_slave.address
		.csr_slave_write      (mm_interconnect_0_data_pattern_checker_x32_g1_csr_slave_write),      //               .write
		.csr_slave_read       (mm_interconnect_0_data_pattern_checker_x32_g1_csr_slave_read),       //               .read
		.csr_slave_byteenable (mm_interconnect_0_data_pattern_checker_x32_g1_csr_slave_byteenable), //               .byteenable
		.csr_slave_writedata  (mm_interconnect_0_data_pattern_checker_x32_g1_csr_slave_writedata),  //               .writedata
		.csr_slave_readdata   (mm_interconnect_0_data_pattern_checker_x32_g1_csr_slave_readdata),   //               .readdata
		.pattern_in_clk_clk   (data_pattern_checker_x32_g1_pattern_in_clk_clk),                     // pattern_in_clk.clk
		.asi_valid            (data_pattern_checker_x32_g1_pattern_in_valid),                       //     pattern_in.valid
		.asi_ready            (data_pattern_checker_x32_g1_pattern_in_ready),                       //               .ready
		.asi_data             (data_pattern_checker_x32_g1_pattern_in_data)                         //               .data
	);

	xcvr_test_system_data_pattern_checker_x32_g0 #(
		.ST_DATA_W            (32),
		.NUM_CYCLES_FOR_LOCK  (40),
		.BYPASS_ENABLED       (0),
		.AVALON_ENABLED       (1),
		.FREQ_CNTER_ENABLED   (0),
		.CROSS_CLK_SYNC_DEPTH (4)
	) data_pattern_checker_x32_g2 (
		.csr_clk_clk          (clk_50_clk),                                                         //        csr_clk.clk
		.reset_reset          (rst_controller_reset_out_reset),                                     //          reset.reset
		.csr_slave_address    (mm_interconnect_0_data_pattern_checker_x32_g2_csr_slave_address),    //      csr_slave.address
		.csr_slave_write      (mm_interconnect_0_data_pattern_checker_x32_g2_csr_slave_write),      //               .write
		.csr_slave_read       (mm_interconnect_0_data_pattern_checker_x32_g2_csr_slave_read),       //               .read
		.csr_slave_byteenable (mm_interconnect_0_data_pattern_checker_x32_g2_csr_slave_byteenable), //               .byteenable
		.csr_slave_writedata  (mm_interconnect_0_data_pattern_checker_x32_g2_csr_slave_writedata),  //               .writedata
		.csr_slave_readdata   (mm_interconnect_0_data_pattern_checker_x32_g2_csr_slave_readdata),   //               .readdata
		.pattern_in_clk_clk   (data_pattern_checker_x32_g2_pattern_in_clk_clk),                     // pattern_in_clk.clk
		.asi_valid            (data_pattern_checker_x32_g2_pattern_in_valid),                       //     pattern_in.valid
		.asi_ready            (data_pattern_checker_x32_g2_pattern_in_ready),                       //               .ready
		.asi_data             (data_pattern_checker_x32_g2_pattern_in_data)                         //               .data
	);

	xcvr_test_system_data_pattern_checker_x40_g3 #(
		.ST_DATA_W            (40),
		.NUM_CYCLES_FOR_LOCK  (40),
		.BYPASS_ENABLED       (0),
		.AVALON_ENABLED       (1),
		.FREQ_CNTER_ENABLED   (0),
		.CROSS_CLK_SYNC_DEPTH (4)
	) data_pattern_checker_x40_g3 (
		.csr_clk_clk          (clk_50_clk),                                                         //        csr_clk.clk
		.reset_reset          (rst_controller_reset_out_reset),                                     //          reset.reset
		.csr_slave_address    (mm_interconnect_0_data_pattern_checker_x40_g3_csr_slave_address),    //      csr_slave.address
		.csr_slave_write      (mm_interconnect_0_data_pattern_checker_x40_g3_csr_slave_write),      //               .write
		.csr_slave_read       (mm_interconnect_0_data_pattern_checker_x40_g3_csr_slave_read),       //               .read
		.csr_slave_byteenable (mm_interconnect_0_data_pattern_checker_x40_g3_csr_slave_byteenable), //               .byteenable
		.csr_slave_writedata  (mm_interconnect_0_data_pattern_checker_x40_g3_csr_slave_writedata),  //               .writedata
		.csr_slave_readdata   (mm_interconnect_0_data_pattern_checker_x40_g3_csr_slave_readdata),   //               .readdata
		.pattern_in_clk_clk   (data_pattern_checker_x40_g3_pattern_in_clk_clk),                     // pattern_in_clk.clk
		.asi_valid            (data_pattern_checker_x40_g3_pattern_in_valid),                       //     pattern_in.valid
		.asi_ready            (data_pattern_checker_x40_g3_pattern_in_ready),                       //               .ready
		.asi_data             (data_pattern_checker_x40_g3_pattern_in_data)                         //               .data
	);

	xcvr_test_system_data_pattern_generator_x32_g0 #(
		.ST_DATA_W            (32),
		.BYPASS_ENABLED       (0),
		.AVALON_ENABLED       (1),
		.CROSS_CLK_SYNC_DEPTH (4)
	) data_pattern_generator_x32_g0 (
		.csr_clk_clk          (clk_50_clk),                                                           //         csr_clk.clk
		.reset_reset          (rst_controller_reset_out_reset),                                       //           reset.reset
		.csr_slave_address    (mm_interconnect_0_data_pattern_generator_x32_g0_csr_slave_address),    //       csr_slave.address
		.csr_slave_write      (mm_interconnect_0_data_pattern_generator_x32_g0_csr_slave_write),      //                .write
		.csr_slave_read       (mm_interconnect_0_data_pattern_generator_x32_g0_csr_slave_read),       //                .read
		.csr_slave_byteenable (mm_interconnect_0_data_pattern_generator_x32_g0_csr_slave_byteenable), //                .byteenable
		.csr_slave_writedata  (mm_interconnect_0_data_pattern_generator_x32_g0_csr_slave_writedata),  //                .writedata
		.csr_slave_readdata   (mm_interconnect_0_data_pattern_generator_x32_g0_csr_slave_readdata),   //                .readdata
		.pattern_out_clk_clk  (data_pattern_generator_x32_g0_pattern_out_clk_clk),                    // pattern_out_clk.clk
		.aso_valid            (data_pattern_generator_x32_g0_pattern_out_valid),                      //     pattern_out.valid
		.aso_ready            (data_pattern_generator_x32_g0_pattern_out_ready),                      //                .ready
		.aso_data             (data_pattern_generator_x32_g0_pattern_out_data)                        //                .data
	);

	xcvr_test_system_data_pattern_generator_x32_g0 #(
		.ST_DATA_W            (32),
		.BYPASS_ENABLED       (0),
		.AVALON_ENABLED       (1),
		.CROSS_CLK_SYNC_DEPTH (4)
	) data_pattern_generator_x32_g1 (
		.csr_clk_clk          (clk_50_clk),                                                           //         csr_clk.clk
		.reset_reset          (rst_controller_reset_out_reset),                                       //           reset.reset
		.csr_slave_address    (mm_interconnect_0_data_pattern_generator_x32_g1_csr_slave_address),    //       csr_slave.address
		.csr_slave_write      (mm_interconnect_0_data_pattern_generator_x32_g1_csr_slave_write),      //                .write
		.csr_slave_read       (mm_interconnect_0_data_pattern_generator_x32_g1_csr_slave_read),       //                .read
		.csr_slave_byteenable (mm_interconnect_0_data_pattern_generator_x32_g1_csr_slave_byteenable), //                .byteenable
		.csr_slave_writedata  (mm_interconnect_0_data_pattern_generator_x32_g1_csr_slave_writedata),  //                .writedata
		.csr_slave_readdata   (mm_interconnect_0_data_pattern_generator_x32_g1_csr_slave_readdata),   //                .readdata
		.pattern_out_clk_clk  (data_pattern_generator_x32_g1_pattern_out_clk_clk),                    // pattern_out_clk.clk
		.aso_valid            (data_pattern_generator_x32_g1_pattern_out_valid),                      //     pattern_out.valid
		.aso_ready            (data_pattern_generator_x32_g1_pattern_out_ready),                      //                .ready
		.aso_data             (data_pattern_generator_x32_g1_pattern_out_data)                        //                .data
	);

	xcvr_test_system_data_pattern_generator_x32_g0 #(
		.ST_DATA_W            (32),
		.BYPASS_ENABLED       (0),
		.AVALON_ENABLED       (1),
		.CROSS_CLK_SYNC_DEPTH (4)
	) data_pattern_generator_x32_g2 (
		.csr_clk_clk          (clk_50_clk),                                                           //         csr_clk.clk
		.reset_reset          (rst_controller_reset_out_reset),                                       //           reset.reset
		.csr_slave_address    (mm_interconnect_0_data_pattern_generator_x32_g2_csr_slave_address),    //       csr_slave.address
		.csr_slave_write      (mm_interconnect_0_data_pattern_generator_x32_g2_csr_slave_write),      //                .write
		.csr_slave_read       (mm_interconnect_0_data_pattern_generator_x32_g2_csr_slave_read),       //                .read
		.csr_slave_byteenable (mm_interconnect_0_data_pattern_generator_x32_g2_csr_slave_byteenable), //                .byteenable
		.csr_slave_writedata  (mm_interconnect_0_data_pattern_generator_x32_g2_csr_slave_writedata),  //                .writedata
		.csr_slave_readdata   (mm_interconnect_0_data_pattern_generator_x32_g2_csr_slave_readdata),   //                .readdata
		.pattern_out_clk_clk  (data_pattern_generator_x32_g2_pattern_out_clk_clk),                    // pattern_out_clk.clk
		.aso_valid            (data_pattern_generator_x32_g2_pattern_out_valid),                      //     pattern_out.valid
		.aso_ready            (data_pattern_generator_x32_g2_pattern_out_ready),                      //                .ready
		.aso_data             (data_pattern_generator_x32_g2_pattern_out_data)                        //                .data
	);

	xcvr_test_system_data_pattern_generator_x40_g3 #(
		.ST_DATA_W            (40),
		.BYPASS_ENABLED       (0),
		.AVALON_ENABLED       (1),
		.CROSS_CLK_SYNC_DEPTH (4)
	) data_pattern_generator_x40_g3 (
		.csr_clk_clk          (clk_50_clk),                                                           //         csr_clk.clk
		.reset_reset          (rst_controller_reset_out_reset),                                       //           reset.reset
		.csr_slave_address    (mm_interconnect_0_data_pattern_generator_x40_g3_csr_slave_address),    //       csr_slave.address
		.csr_slave_write      (mm_interconnect_0_data_pattern_generator_x40_g3_csr_slave_write),      //                .write
		.csr_slave_read       (mm_interconnect_0_data_pattern_generator_x40_g3_csr_slave_read),       //                .read
		.csr_slave_byteenable (mm_interconnect_0_data_pattern_generator_x40_g3_csr_slave_byteenable), //                .byteenable
		.csr_slave_writedata  (mm_interconnect_0_data_pattern_generator_x40_g3_csr_slave_writedata),  //                .writedata
		.csr_slave_readdata   (mm_interconnect_0_data_pattern_generator_x40_g3_csr_slave_readdata),   //                .readdata
		.pattern_out_clk_clk  (data_pattern_generator_x40_g3_pattern_out_clk_clk),                    // pattern_out_clk.clk
		.aso_valid            (data_pattern_generator_x40_g3_pattern_out_valid),                      //     pattern_out.valid
		.aso_ready            (data_pattern_generator_x40_g3_pattern_out_ready),                      //                .ready
		.aso_data             (data_pattern_generator_x40_g3_pattern_out_data)                        //                .data
	);

	xcvr_test_system_master_0 #(
		.USE_PLI     (0),
		.PLI_PORT    (50000),
		.FIFO_DEPTHS (2)
	) master_0 (
		.clk_clk              (clk_50_clk),                    //          clk.clk
		.clk_reset_reset      (~reset_50_reset_n),             //    clk_reset.reset
		.master_address       (master_0_master_address),       //       master.address
		.master_readdata      (master_0_master_readdata),      //             .readdata
		.master_read          (master_0_master_read),          //             .read
		.master_write         (master_0_master_write),         //             .write
		.master_writedata     (master_0_master_writedata),     //             .writedata
		.master_waitrequest   (master_0_master_waitrequest),   //             .waitrequest
		.master_readdatavalid (master_0_master_readdatavalid), //             .readdatavalid
		.master_byteenable    (master_0_master_byteenable),    //             .byteenable
		.master_reset_reset   ()                               // master_reset.reset
	);

	xcvr_test_system_pio_0 pio_0 (
		.clk        (clk_50_clk),                            //                 clk.clk
		.reset_n    (~rst_controller_reset_out_reset),       //               reset.reset_n
		.address    (mm_interconnect_0_pio_0_s1_address),    //                  s1.address
		.write_n    (~mm_interconnect_0_pio_0_s1_write),     //                    .write_n
		.writedata  (mm_interconnect_0_pio_0_s1_writedata),  //                    .writedata
		.chipselect (mm_interconnect_0_pio_0_s1_chipselect), //                    .chipselect
		.readdata   (mm_interconnect_0_pio_0_s1_readdata),   //                    .readdata
		.out_port   (pio_0_external_connection_export)       // external_connection.export
	);

	xcvr_test_system_pio_0 pio_1 (
		.clk        (clk_50_clk),                            //                 clk.clk
		.reset_n    (~rst_controller_reset_out_reset),       //               reset.reset_n
		.address    (mm_interconnect_0_pio_1_s1_address),    //                  s1.address
		.write_n    (~mm_interconnect_0_pio_1_s1_write),     //                    .write_n
		.writedata  (mm_interconnect_0_pio_1_s1_writedata),  //                    .writedata
		.chipselect (mm_interconnect_0_pio_1_s1_chipselect), //                    .chipselect
		.readdata   (mm_interconnect_0_pio_1_s1_readdata),   //                    .readdata
		.out_port   (pio_1_external_connection_export)       // external_connection.export
	);

	xcvr_test_system_pio_2 pio_2 (
		.clk        (clk_50_clk),                            //                 clk.clk
		.reset_n    (~rst_controller_reset_out_reset),       //               reset.reset_n
		.address    (mm_interconnect_0_pio_2_s1_address),    //                  s1.address
		.write_n    (~mm_interconnect_0_pio_2_s1_write),     //                    .write_n
		.writedata  (mm_interconnect_0_pio_2_s1_writedata),  //                    .writedata
		.chipselect (mm_interconnect_0_pio_2_s1_chipselect), //                    .chipselect
		.readdata   (mm_interconnect_0_pio_2_s1_readdata),   //                    .readdata
		.out_port   (pio_2_external_connection_export)       // external_connection.export
	);

	xcvr_test_system_mm_interconnect_0 mm_interconnect_0 (
		.clk_50_clk_clk                                                  (clk_50_clk),                                                           //                                                clk_50_clk.clk
		.data_pattern_generator_x40_g3_reset_reset_bridge_in_reset_reset (rst_controller_reset_out_reset),                                       // data_pattern_generator_x40_g3_reset_reset_bridge_in_reset.reset
		.master_0_clk_reset_reset_bridge_in_reset_reset                  (rst_controller_reset_out_reset),                                       //                  master_0_clk_reset_reset_bridge_in_reset.reset
		.master_0_master_address                                         (master_0_master_address),                                              //                                           master_0_master.address
		.master_0_master_waitrequest                                     (master_0_master_waitrequest),                                          //                                                          .waitrequest
		.master_0_master_byteenable                                      (master_0_master_byteenable),                                           //                                                          .byteenable
		.master_0_master_read                                            (master_0_master_read),                                                 //                                                          .read
		.master_0_master_readdata                                        (master_0_master_readdata),                                             //                                                          .readdata
		.master_0_master_readdatavalid                                   (master_0_master_readdatavalid),                                        //                                                          .readdatavalid
		.master_0_master_write                                           (master_0_master_write),                                                //                                                          .write
		.master_0_master_writedata                                       (master_0_master_writedata),                                            //                                                          .writedata
		.data_pattern_checker_x32_g0_csr_slave_address                   (mm_interconnect_0_data_pattern_checker_x32_g0_csr_slave_address),      //                     data_pattern_checker_x32_g0_csr_slave.address
		.data_pattern_checker_x32_g0_csr_slave_write                     (mm_interconnect_0_data_pattern_checker_x32_g0_csr_slave_write),        //                                                          .write
		.data_pattern_checker_x32_g0_csr_slave_read                      (mm_interconnect_0_data_pattern_checker_x32_g0_csr_slave_read),         //                                                          .read
		.data_pattern_checker_x32_g0_csr_slave_readdata                  (mm_interconnect_0_data_pattern_checker_x32_g0_csr_slave_readdata),     //                                                          .readdata
		.data_pattern_checker_x32_g0_csr_slave_writedata                 (mm_interconnect_0_data_pattern_checker_x32_g0_csr_slave_writedata),    //                                                          .writedata
		.data_pattern_checker_x32_g0_csr_slave_byteenable                (mm_interconnect_0_data_pattern_checker_x32_g0_csr_slave_byteenable),   //                                                          .byteenable
		.data_pattern_checker_x32_g1_csr_slave_address                   (mm_interconnect_0_data_pattern_checker_x32_g1_csr_slave_address),      //                     data_pattern_checker_x32_g1_csr_slave.address
		.data_pattern_checker_x32_g1_csr_slave_write                     (mm_interconnect_0_data_pattern_checker_x32_g1_csr_slave_write),        //                                                          .write
		.data_pattern_checker_x32_g1_csr_slave_read                      (mm_interconnect_0_data_pattern_checker_x32_g1_csr_slave_read),         //                                                          .read
		.data_pattern_checker_x32_g1_csr_slave_readdata                  (mm_interconnect_0_data_pattern_checker_x32_g1_csr_slave_readdata),     //                                                          .readdata
		.data_pattern_checker_x32_g1_csr_slave_writedata                 (mm_interconnect_0_data_pattern_checker_x32_g1_csr_slave_writedata),    //                                                          .writedata
		.data_pattern_checker_x32_g1_csr_slave_byteenable                (mm_interconnect_0_data_pattern_checker_x32_g1_csr_slave_byteenable),   //                                                          .byteenable
		.data_pattern_checker_x32_g2_csr_slave_address                   (mm_interconnect_0_data_pattern_checker_x32_g2_csr_slave_address),      //                     data_pattern_checker_x32_g2_csr_slave.address
		.data_pattern_checker_x32_g2_csr_slave_write                     (mm_interconnect_0_data_pattern_checker_x32_g2_csr_slave_write),        //                                                          .write
		.data_pattern_checker_x32_g2_csr_slave_read                      (mm_interconnect_0_data_pattern_checker_x32_g2_csr_slave_read),         //                                                          .read
		.data_pattern_checker_x32_g2_csr_slave_readdata                  (mm_interconnect_0_data_pattern_checker_x32_g2_csr_slave_readdata),     //                                                          .readdata
		.data_pattern_checker_x32_g2_csr_slave_writedata                 (mm_interconnect_0_data_pattern_checker_x32_g2_csr_slave_writedata),    //                                                          .writedata
		.data_pattern_checker_x32_g2_csr_slave_byteenable                (mm_interconnect_0_data_pattern_checker_x32_g2_csr_slave_byteenable),   //                                                          .byteenable
		.data_pattern_checker_x40_g3_csr_slave_address                   (mm_interconnect_0_data_pattern_checker_x40_g3_csr_slave_address),      //                     data_pattern_checker_x40_g3_csr_slave.address
		.data_pattern_checker_x40_g3_csr_slave_write                     (mm_interconnect_0_data_pattern_checker_x40_g3_csr_slave_write),        //                                                          .write
		.data_pattern_checker_x40_g3_csr_slave_read                      (mm_interconnect_0_data_pattern_checker_x40_g3_csr_slave_read),         //                                                          .read
		.data_pattern_checker_x40_g3_csr_slave_readdata                  (mm_interconnect_0_data_pattern_checker_x40_g3_csr_slave_readdata),     //                                                          .readdata
		.data_pattern_checker_x40_g3_csr_slave_writedata                 (mm_interconnect_0_data_pattern_checker_x40_g3_csr_slave_writedata),    //                                                          .writedata
		.data_pattern_checker_x40_g3_csr_slave_byteenable                (mm_interconnect_0_data_pattern_checker_x40_g3_csr_slave_byteenable),   //                                                          .byteenable
		.data_pattern_generator_x32_g0_csr_slave_address                 (mm_interconnect_0_data_pattern_generator_x32_g0_csr_slave_address),    //                   data_pattern_generator_x32_g0_csr_slave.address
		.data_pattern_generator_x32_g0_csr_slave_write                   (mm_interconnect_0_data_pattern_generator_x32_g0_csr_slave_write),      //                                                          .write
		.data_pattern_generator_x32_g0_csr_slave_read                    (mm_interconnect_0_data_pattern_generator_x32_g0_csr_slave_read),       //                                                          .read
		.data_pattern_generator_x32_g0_csr_slave_readdata                (mm_interconnect_0_data_pattern_generator_x32_g0_csr_slave_readdata),   //                                                          .readdata
		.data_pattern_generator_x32_g0_csr_slave_writedata               (mm_interconnect_0_data_pattern_generator_x32_g0_csr_slave_writedata),  //                                                          .writedata
		.data_pattern_generator_x32_g0_csr_slave_byteenable              (mm_interconnect_0_data_pattern_generator_x32_g0_csr_slave_byteenable), //                                                          .byteenable
		.data_pattern_generator_x32_g1_csr_slave_address                 (mm_interconnect_0_data_pattern_generator_x32_g1_csr_slave_address),    //                   data_pattern_generator_x32_g1_csr_slave.address
		.data_pattern_generator_x32_g1_csr_slave_write                   (mm_interconnect_0_data_pattern_generator_x32_g1_csr_slave_write),      //                                                          .write
		.data_pattern_generator_x32_g1_csr_slave_read                    (mm_interconnect_0_data_pattern_generator_x32_g1_csr_slave_read),       //                                                          .read
		.data_pattern_generator_x32_g1_csr_slave_readdata                (mm_interconnect_0_data_pattern_generator_x32_g1_csr_slave_readdata),   //                                                          .readdata
		.data_pattern_generator_x32_g1_csr_slave_writedata               (mm_interconnect_0_data_pattern_generator_x32_g1_csr_slave_writedata),  //                                                          .writedata
		.data_pattern_generator_x32_g1_csr_slave_byteenable              (mm_interconnect_0_data_pattern_generator_x32_g1_csr_slave_byteenable), //                                                          .byteenable
		.data_pattern_generator_x32_g2_csr_slave_address                 (mm_interconnect_0_data_pattern_generator_x32_g2_csr_slave_address),    //                   data_pattern_generator_x32_g2_csr_slave.address
		.data_pattern_generator_x32_g2_csr_slave_write                   (mm_interconnect_0_data_pattern_generator_x32_g2_csr_slave_write),      //                                                          .write
		.data_pattern_generator_x32_g2_csr_slave_read                    (mm_interconnect_0_data_pattern_generator_x32_g2_csr_slave_read),       //                                                          .read
		.data_pattern_generator_x32_g2_csr_slave_readdata                (mm_interconnect_0_data_pattern_generator_x32_g2_csr_slave_readdata),   //                                                          .readdata
		.data_pattern_generator_x32_g2_csr_slave_writedata               (mm_interconnect_0_data_pattern_generator_x32_g2_csr_slave_writedata),  //                                                          .writedata
		.data_pattern_generator_x32_g2_csr_slave_byteenable              (mm_interconnect_0_data_pattern_generator_x32_g2_csr_slave_byteenable), //                                                          .byteenable
		.data_pattern_generator_x40_g3_csr_slave_address                 (mm_interconnect_0_data_pattern_generator_x40_g3_csr_slave_address),    //                   data_pattern_generator_x40_g3_csr_slave.address
		.data_pattern_generator_x40_g3_csr_slave_write                   (mm_interconnect_0_data_pattern_generator_x40_g3_csr_slave_write),      //                                                          .write
		.data_pattern_generator_x40_g3_csr_slave_read                    (mm_interconnect_0_data_pattern_generator_x40_g3_csr_slave_read),       //                                                          .read
		.data_pattern_generator_x40_g3_csr_slave_readdata                (mm_interconnect_0_data_pattern_generator_x40_g3_csr_slave_readdata),   //                                                          .readdata
		.data_pattern_generator_x40_g3_csr_slave_writedata               (mm_interconnect_0_data_pattern_generator_x40_g3_csr_slave_writedata),  //                                                          .writedata
		.data_pattern_generator_x40_g3_csr_slave_byteenable              (mm_interconnect_0_data_pattern_generator_x40_g3_csr_slave_byteenable), //                                                          .byteenable
		.pio_0_s1_address                                                (mm_interconnect_0_pio_0_s1_address),                                   //                                                  pio_0_s1.address
		.pio_0_s1_write                                                  (mm_interconnect_0_pio_0_s1_write),                                     //                                                          .write
		.pio_0_s1_readdata                                               (mm_interconnect_0_pio_0_s1_readdata),                                  //                                                          .readdata
		.pio_0_s1_writedata                                              (mm_interconnect_0_pio_0_s1_writedata),                                 //                                                          .writedata
		.pio_0_s1_chipselect                                             (mm_interconnect_0_pio_0_s1_chipselect),                                //                                                          .chipselect
		.pio_1_s1_address                                                (mm_interconnect_0_pio_1_s1_address),                                   //                                                  pio_1_s1.address
		.pio_1_s1_write                                                  (mm_interconnect_0_pio_1_s1_write),                                     //                                                          .write
		.pio_1_s1_readdata                                               (mm_interconnect_0_pio_1_s1_readdata),                                  //                                                          .readdata
		.pio_1_s1_writedata                                              (mm_interconnect_0_pio_1_s1_writedata),                                 //                                                          .writedata
		.pio_1_s1_chipselect                                             (mm_interconnect_0_pio_1_s1_chipselect),                                //                                                          .chipselect
		.pio_2_s1_address                                                (mm_interconnect_0_pio_2_s1_address),                                   //                                                  pio_2_s1.address
		.pio_2_s1_write                                                  (mm_interconnect_0_pio_2_s1_write),                                     //                                                          .write
		.pio_2_s1_readdata                                               (mm_interconnect_0_pio_2_s1_readdata),                                  //                                                          .readdata
		.pio_2_s1_writedata                                              (mm_interconnect_0_pio_2_s1_writedata),                                 //                                                          .writedata
		.pio_2_s1_chipselect                                             (mm_interconnect_0_pio_2_s1_chipselect)                                 //                                                          .chipselect
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (1),
		.OUTPUT_RESET_SYNC_EDGES   ("deassert"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller (
		.reset_in0      (~reset_50_reset_n),              // reset_in0.reset
		.clk            (clk_50_clk),                     //       clk.clk
		.reset_out      (rst_controller_reset_out_reset), // reset_out.reset
		.reset_req      (),                               // (terminated)
		.reset_req_in0  (1'b0),                           // (terminated)
		.reset_in1      (1'b0),                           // (terminated)
		.reset_req_in1  (1'b0),                           // (terminated)
		.reset_in2      (1'b0),                           // (terminated)
		.reset_req_in2  (1'b0),                           // (terminated)
		.reset_in3      (1'b0),                           // (terminated)
		.reset_req_in3  (1'b0),                           // (terminated)
		.reset_in4      (1'b0),                           // (terminated)
		.reset_req_in4  (1'b0),                           // (terminated)
		.reset_in5      (1'b0),                           // (terminated)
		.reset_req_in5  (1'b0),                           // (terminated)
		.reset_in6      (1'b0),                           // (terminated)
		.reset_req_in6  (1'b0),                           // (terminated)
		.reset_in7      (1'b0),                           // (terminated)
		.reset_req_in7  (1'b0),                           // (terminated)
		.reset_in8      (1'b0),                           // (terminated)
		.reset_req_in8  (1'b0),                           // (terminated)
		.reset_in9      (1'b0),                           // (terminated)
		.reset_req_in9  (1'b0),                           // (terminated)
		.reset_in10     (1'b0),                           // (terminated)
		.reset_req_in10 (1'b0),                           // (terminated)
		.reset_in11     (1'b0),                           // (terminated)
		.reset_req_in11 (1'b0),                           // (terminated)
		.reset_in12     (1'b0),                           // (terminated)
		.reset_req_in12 (1'b0),                           // (terminated)
		.reset_in13     (1'b0),                           // (terminated)
		.reset_req_in13 (1'b0),                           // (terminated)
		.reset_in14     (1'b0),                           // (terminated)
		.reset_req_in14 (1'b0),                           // (terminated)
		.reset_in15     (1'b0),                           // (terminated)
		.reset_req_in15 (1'b0)                            // (terminated)
	);

endmodule
