// hsmc_qsys.v

// Generated using ACDS version 15.0 139

`timescale 1 ps / 1 ps
module hsmc_qsys (
		input  wire        clk_clk,                                      //                                      clk.clk
		input  wire        data_pattern_checker_0_pattern_in_valid,      //        data_pattern_checker_0_pattern_in.valid
		output wire        data_pattern_checker_0_pattern_in_ready,      //                                         .ready
		input  wire [31:0] data_pattern_checker_0_pattern_in_data,       //                                         .data
		input  wire        data_pattern_checker_0_pattern_in_clk_clk,    //    data_pattern_checker_0_pattern_in_clk.clk
		output wire        data_pattern_generator_0_pattern_out_valid,   //     data_pattern_generator_0_pattern_out.valid
		input  wire        data_pattern_generator_0_pattern_out_ready,   //                                         .ready
		output wire [31:0] data_pattern_generator_0_pattern_out_data,    //                                         .data
		input  wire        data_pattern_generator_0_pattern_out_clk_clk, // data_pattern_generator_0_pattern_out_clk.clk
		input  wire        reset_reset_n,                                //                                    reset.reset_n
		input  wire [4:0]  user_dipsw_external_connection_export,        //           user_dipsw_external_connection.export
		output wire [4:0]  user_led_external_connection_export,          //             user_led_external_connection.export
		input  wire [3:0]  user_pb_external_connection_export            //              user_pb_external_connection.export
	);

	wire  [31:0] master_0_master_readdata;                                        // mm_interconnect_0:master_0_master_readdata -> master_0:master_readdata
	wire         master_0_master_waitrequest;                                     // mm_interconnect_0:master_0_master_waitrequest -> master_0:master_waitrequest
	wire  [31:0] master_0_master_address;                                         // master_0:master_address -> mm_interconnect_0:master_0_master_address
	wire         master_0_master_read;                                            // master_0:master_read -> mm_interconnect_0:master_0_master_read
	wire   [3:0] master_0_master_byteenable;                                      // master_0:master_byteenable -> mm_interconnect_0:master_0_master_byteenable
	wire         master_0_master_readdatavalid;                                   // mm_interconnect_0:master_0_master_readdatavalid -> master_0:master_readdatavalid
	wire         master_0_master_write;                                           // master_0:master_write -> mm_interconnect_0:master_0_master_write
	wire  [31:0] master_0_master_writedata;                                       // master_0:master_writedata -> mm_interconnect_0:master_0_master_writedata
	wire         mm_interconnect_0_product_info_0_avalon_slave_0_chipselect;      // mm_interconnect_0:product_info_0_avalon_slave_0_chipselect -> product_info_0:chipselect_n
	wire  [31:0] mm_interconnect_0_product_info_0_avalon_slave_0_readdata;        // product_info_0:av_data_read -> mm_interconnect_0:product_info_0_avalon_slave_0_readdata
	wire   [1:0] mm_interconnect_0_product_info_0_avalon_slave_0_address;         // mm_interconnect_0:product_info_0_avalon_slave_0_address -> product_info_0:av_address
	wire         mm_interconnect_0_product_info_0_avalon_slave_0_read;            // mm_interconnect_0:product_info_0_avalon_slave_0_read -> product_info_0:read_n
	wire  [31:0] mm_interconnect_0_data_pattern_generator_0_csr_slave_readdata;   // data_pattern_generator_0:csr_slave_readdata -> mm_interconnect_0:data_pattern_generator_0_csr_slave_readdata
	wire   [2:0] mm_interconnect_0_data_pattern_generator_0_csr_slave_address;    // mm_interconnect_0:data_pattern_generator_0_csr_slave_address -> data_pattern_generator_0:csr_slave_address
	wire         mm_interconnect_0_data_pattern_generator_0_csr_slave_read;       // mm_interconnect_0:data_pattern_generator_0_csr_slave_read -> data_pattern_generator_0:csr_slave_read
	wire   [3:0] mm_interconnect_0_data_pattern_generator_0_csr_slave_byteenable; // mm_interconnect_0:data_pattern_generator_0_csr_slave_byteenable -> data_pattern_generator_0:csr_slave_byteenable
	wire         mm_interconnect_0_data_pattern_generator_0_csr_slave_write;      // mm_interconnect_0:data_pattern_generator_0_csr_slave_write -> data_pattern_generator_0:csr_slave_write
	wire  [31:0] mm_interconnect_0_data_pattern_generator_0_csr_slave_writedata;  // mm_interconnect_0:data_pattern_generator_0_csr_slave_writedata -> data_pattern_generator_0:csr_slave_writedata
	wire  [31:0] mm_interconnect_0_data_pattern_checker_0_csr_slave_readdata;     // data_pattern_checker_0:csr_slave_readdata -> mm_interconnect_0:data_pattern_checker_0_csr_slave_readdata
	wire   [2:0] mm_interconnect_0_data_pattern_checker_0_csr_slave_address;      // mm_interconnect_0:data_pattern_checker_0_csr_slave_address -> data_pattern_checker_0:csr_slave_address
	wire         mm_interconnect_0_data_pattern_checker_0_csr_slave_read;         // mm_interconnect_0:data_pattern_checker_0_csr_slave_read -> data_pattern_checker_0:csr_slave_read
	wire   [3:0] mm_interconnect_0_data_pattern_checker_0_csr_slave_byteenable;   // mm_interconnect_0:data_pattern_checker_0_csr_slave_byteenable -> data_pattern_checker_0:csr_slave_byteenable
	wire         mm_interconnect_0_data_pattern_checker_0_csr_slave_write;        // mm_interconnect_0:data_pattern_checker_0_csr_slave_write -> data_pattern_checker_0:csr_slave_write
	wire  [31:0] mm_interconnect_0_data_pattern_checker_0_csr_slave_writedata;    // mm_interconnect_0:data_pattern_checker_0_csr_slave_writedata -> data_pattern_checker_0:csr_slave_writedata
	wire         mm_interconnect_0_user_led_s1_chipselect;                        // mm_interconnect_0:user_led_s1_chipselect -> user_led:chipselect
	wire  [31:0] mm_interconnect_0_user_led_s1_readdata;                          // user_led:readdata -> mm_interconnect_0:user_led_s1_readdata
	wire   [1:0] mm_interconnect_0_user_led_s1_address;                           // mm_interconnect_0:user_led_s1_address -> user_led:address
	wire         mm_interconnect_0_user_led_s1_write;                             // mm_interconnect_0:user_led_s1_write -> user_led:write_n
	wire  [31:0] mm_interconnect_0_user_led_s1_writedata;                         // mm_interconnect_0:user_led_s1_writedata -> user_led:writedata
	wire  [31:0] mm_interconnect_0_user_pb_s1_readdata;                           // user_pb:readdata -> mm_interconnect_0:user_pb_s1_readdata
	wire   [1:0] mm_interconnect_0_user_pb_s1_address;                            // mm_interconnect_0:user_pb_s1_address -> user_pb:address
	wire  [31:0] mm_interconnect_0_user_dipsw_s1_readdata;                        // user_dipsw:readdata -> mm_interconnect_0:user_dipsw_s1_readdata
	wire   [1:0] mm_interconnect_0_user_dipsw_s1_address;                         // mm_interconnect_0:user_dipsw_s1_address -> user_dipsw:address
	wire         rst_controller_reset_out_reset;                                  // rst_controller:reset_out -> [data_pattern_checker_0:reset_reset, data_pattern_generator_0:reset_reset, mm_interconnect_0:master_0_clk_reset_reset_bridge_in_reset_reset, mm_interconnect_0:product_info_0_clock_reset_reset_reset_bridge_in_reset_reset, product_info_0:reset_n, user_dipsw:reset_n, user_led:reset_n, user_pb:reset_n]

	hsmc_qsys_data_pattern_checker_0 #(
		.ST_DATA_W            (32),
		.NUM_CYCLES_FOR_LOCK  (40),
		.BYPASS_ENABLED       (0),
		.AVALON_ENABLED       (1),
		.FREQ_CNTER_ENABLED   (0),
		.CROSS_CLK_SYNC_DEPTH (2)
	) data_pattern_checker_0 (
		.csr_clk_clk          (clk_clk),                                                       //        csr_clk.clk
		.reset_reset          (rst_controller_reset_out_reset),                                //          reset.reset
		.csr_slave_address    (mm_interconnect_0_data_pattern_checker_0_csr_slave_address),    //      csr_slave.address
		.csr_slave_write      (mm_interconnect_0_data_pattern_checker_0_csr_slave_write),      //               .write
		.csr_slave_read       (mm_interconnect_0_data_pattern_checker_0_csr_slave_read),       //               .read
		.csr_slave_byteenable (mm_interconnect_0_data_pattern_checker_0_csr_slave_byteenable), //               .byteenable
		.csr_slave_writedata  (mm_interconnect_0_data_pattern_checker_0_csr_slave_writedata),  //               .writedata
		.csr_slave_readdata   (mm_interconnect_0_data_pattern_checker_0_csr_slave_readdata),   //               .readdata
		.pattern_in_clk_clk   (data_pattern_checker_0_pattern_in_clk_clk),                     // pattern_in_clk.clk
		.asi_valid            (data_pattern_checker_0_pattern_in_valid),                       //     pattern_in.valid
		.asi_ready            (data_pattern_checker_0_pattern_in_ready),                       //               .ready
		.asi_data             (data_pattern_checker_0_pattern_in_data)                         //               .data
	);

	hsmc_qsys_data_pattern_generator_0 #(
		.ST_DATA_W            (32),
		.BYPASS_ENABLED       (0),
		.AVALON_ENABLED       (1),
		.CROSS_CLK_SYNC_DEPTH (2)
	) data_pattern_generator_0 (
		.csr_clk_clk          (clk_clk),                                                         //         csr_clk.clk
		.reset_reset          (rst_controller_reset_out_reset),                                  //           reset.reset
		.csr_slave_address    (mm_interconnect_0_data_pattern_generator_0_csr_slave_address),    //       csr_slave.address
		.csr_slave_write      (mm_interconnect_0_data_pattern_generator_0_csr_slave_write),      //                .write
		.csr_slave_read       (mm_interconnect_0_data_pattern_generator_0_csr_slave_read),       //                .read
		.csr_slave_byteenable (mm_interconnect_0_data_pattern_generator_0_csr_slave_byteenable), //                .byteenable
		.csr_slave_writedata  (mm_interconnect_0_data_pattern_generator_0_csr_slave_writedata),  //                .writedata
		.csr_slave_readdata   (mm_interconnect_0_data_pattern_generator_0_csr_slave_readdata),   //                .readdata
		.pattern_out_clk_clk  (data_pattern_generator_0_pattern_out_clk_clk),                    // pattern_out_clk.clk
		.aso_valid            (data_pattern_generator_0_pattern_out_valid),                      //     pattern_out.valid
		.aso_ready            (data_pattern_generator_0_pattern_out_ready),                      //                .ready
		.aso_data             (data_pattern_generator_0_pattern_out_data)                        //                .data
	);

	hsmc_qsys_master_0 #(
		.USE_PLI     (0),
		.PLI_PORT    (50000),
		.FIFO_DEPTHS (2)
	) master_0 (
		.clk_clk              (clk_clk),                       //          clk.clk
		.clk_reset_reset      (~reset_reset_n),                //    clk_reset.reset
		.master_address       (master_0_master_address),       //       master.address
		.master_readdata      (master_0_master_readdata),      //             .readdata
		.master_read          (master_0_master_read),          //             .read
		.master_write         (master_0_master_write),         //             .write
		.master_writedata     (master_0_master_writedata),     //             .writedata
		.master_waitrequest   (master_0_master_waitrequest),   //             .waitrequest
		.master_readdatavalid (master_0_master_readdatavalid), //             .readdatavalid
		.master_byteenable    (master_0_master_byteenable),    //             .byteenable
		.master_reset_reset   ()                               // master_reset.reset
	);

	product_info product_info_0 (
		.clk          (clk_clk),                                                     //       clock_reset.clk
		.reset_n      (~rst_controller_reset_out_reset),                             // clock_reset_reset.reset_n
		.chipselect_n (~mm_interconnect_0_product_info_0_avalon_slave_0_chipselect), //    avalon_slave_0.chipselect_n
		.read_n       (~mm_interconnect_0_product_info_0_avalon_slave_0_read),       //                  .read_n
		.av_data_read (mm_interconnect_0_product_info_0_avalon_slave_0_readdata),    //                  .readdata
		.av_address   (mm_interconnect_0_product_info_0_avalon_slave_0_address)      //                  .address
	);

	hsmc_qsys_user_dipsw user_dipsw (
		.clk      (clk_clk),                                  //                 clk.clk
		.reset_n  (~rst_controller_reset_out_reset),          //               reset.reset_n
		.address  (mm_interconnect_0_user_dipsw_s1_address),  //                  s1.address
		.readdata (mm_interconnect_0_user_dipsw_s1_readdata), //                    .readdata
		.in_port  (user_dipsw_external_connection_export)     // external_connection.export
	);

	hsmc_qsys_user_led user_led (
		.clk        (clk_clk),                                  //                 clk.clk
		.reset_n    (~rst_controller_reset_out_reset),          //               reset.reset_n
		.address    (mm_interconnect_0_user_led_s1_address),    //                  s1.address
		.write_n    (~mm_interconnect_0_user_led_s1_write),     //                    .write_n
		.writedata  (mm_interconnect_0_user_led_s1_writedata),  //                    .writedata
		.chipselect (mm_interconnect_0_user_led_s1_chipselect), //                    .chipselect
		.readdata   (mm_interconnect_0_user_led_s1_readdata),   //                    .readdata
		.out_port   (user_led_external_connection_export)       // external_connection.export
	);

	hsmc_qsys_user_pb user_pb (
		.clk      (clk_clk),                               //                 clk.clk
		.reset_n  (~rst_controller_reset_out_reset),       //               reset.reset_n
		.address  (mm_interconnect_0_user_pb_s1_address),  //                  s1.address
		.readdata (mm_interconnect_0_user_pb_s1_readdata), //                    .readdata
		.in_port  (user_pb_external_connection_export)     // external_connection.export
	);

	hsmc_qsys_mm_interconnect_0 mm_interconnect_0 (
		.clk_0_clk_clk                                                (clk_clk),                                                         //                                              clk_0_clk.clk
		.master_0_clk_reset_reset_bridge_in_reset_reset               (rst_controller_reset_out_reset),                                  //               master_0_clk_reset_reset_bridge_in_reset.reset
		.product_info_0_clock_reset_reset_reset_bridge_in_reset_reset (rst_controller_reset_out_reset),                                  // product_info_0_clock_reset_reset_reset_bridge_in_reset.reset
		.master_0_master_address                                      (master_0_master_address),                                         //                                        master_0_master.address
		.master_0_master_waitrequest                                  (master_0_master_waitrequest),                                     //                                                       .waitrequest
		.master_0_master_byteenable                                   (master_0_master_byteenable),                                      //                                                       .byteenable
		.master_0_master_read                                         (master_0_master_read),                                            //                                                       .read
		.master_0_master_readdata                                     (master_0_master_readdata),                                        //                                                       .readdata
		.master_0_master_readdatavalid                                (master_0_master_readdatavalid),                                   //                                                       .readdatavalid
		.master_0_master_write                                        (master_0_master_write),                                           //                                                       .write
		.master_0_master_writedata                                    (master_0_master_writedata),                                       //                                                       .writedata
		.data_pattern_checker_0_csr_slave_address                     (mm_interconnect_0_data_pattern_checker_0_csr_slave_address),      //                       data_pattern_checker_0_csr_slave.address
		.data_pattern_checker_0_csr_slave_write                       (mm_interconnect_0_data_pattern_checker_0_csr_slave_write),        //                                                       .write
		.data_pattern_checker_0_csr_slave_read                        (mm_interconnect_0_data_pattern_checker_0_csr_slave_read),         //                                                       .read
		.data_pattern_checker_0_csr_slave_readdata                    (mm_interconnect_0_data_pattern_checker_0_csr_slave_readdata),     //                                                       .readdata
		.data_pattern_checker_0_csr_slave_writedata                   (mm_interconnect_0_data_pattern_checker_0_csr_slave_writedata),    //                                                       .writedata
		.data_pattern_checker_0_csr_slave_byteenable                  (mm_interconnect_0_data_pattern_checker_0_csr_slave_byteenable),   //                                                       .byteenable
		.data_pattern_generator_0_csr_slave_address                   (mm_interconnect_0_data_pattern_generator_0_csr_slave_address),    //                     data_pattern_generator_0_csr_slave.address
		.data_pattern_generator_0_csr_slave_write                     (mm_interconnect_0_data_pattern_generator_0_csr_slave_write),      //                                                       .write
		.data_pattern_generator_0_csr_slave_read                      (mm_interconnect_0_data_pattern_generator_0_csr_slave_read),       //                                                       .read
		.data_pattern_generator_0_csr_slave_readdata                  (mm_interconnect_0_data_pattern_generator_0_csr_slave_readdata),   //                                                       .readdata
		.data_pattern_generator_0_csr_slave_writedata                 (mm_interconnect_0_data_pattern_generator_0_csr_slave_writedata),  //                                                       .writedata
		.data_pattern_generator_0_csr_slave_byteenable                (mm_interconnect_0_data_pattern_generator_0_csr_slave_byteenable), //                                                       .byteenable
		.product_info_0_avalon_slave_0_address                        (mm_interconnect_0_product_info_0_avalon_slave_0_address),         //                          product_info_0_avalon_slave_0.address
		.product_info_0_avalon_slave_0_read                           (mm_interconnect_0_product_info_0_avalon_slave_0_read),            //                                                       .read
		.product_info_0_avalon_slave_0_readdata                       (mm_interconnect_0_product_info_0_avalon_slave_0_readdata),        //                                                       .readdata
		.product_info_0_avalon_slave_0_chipselect                     (mm_interconnect_0_product_info_0_avalon_slave_0_chipselect),      //                                                       .chipselect
		.user_dipsw_s1_address                                        (mm_interconnect_0_user_dipsw_s1_address),                         //                                          user_dipsw_s1.address
		.user_dipsw_s1_readdata                                       (mm_interconnect_0_user_dipsw_s1_readdata),                        //                                                       .readdata
		.user_led_s1_address                                          (mm_interconnect_0_user_led_s1_address),                           //                                            user_led_s1.address
		.user_led_s1_write                                            (mm_interconnect_0_user_led_s1_write),                             //                                                       .write
		.user_led_s1_readdata                                         (mm_interconnect_0_user_led_s1_readdata),                          //                                                       .readdata
		.user_led_s1_writedata                                        (mm_interconnect_0_user_led_s1_writedata),                         //                                                       .writedata
		.user_led_s1_chipselect                                       (mm_interconnect_0_user_led_s1_chipselect),                        //                                                       .chipselect
		.user_pb_s1_address                                           (mm_interconnect_0_user_pb_s1_address),                            //                                             user_pb_s1.address
		.user_pb_s1_readdata                                          (mm_interconnect_0_user_pb_s1_readdata)                            //                                                       .readdata
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (1),
		.OUTPUT_RESET_SYNC_EDGES   ("deassert"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller (
		.reset_in0      (~reset_reset_n),                 // reset_in0.reset
		.clk            (clk_clk),                        //       clk.clk
		.reset_out      (rst_controller_reset_out_reset), // reset_out.reset
		.reset_req      (),                               // (terminated)
		.reset_req_in0  (1'b0),                           // (terminated)
		.reset_in1      (1'b0),                           // (terminated)
		.reset_req_in1  (1'b0),                           // (terminated)
		.reset_in2      (1'b0),                           // (terminated)
		.reset_req_in2  (1'b0),                           // (terminated)
		.reset_in3      (1'b0),                           // (terminated)
		.reset_req_in3  (1'b0),                           // (terminated)
		.reset_in4      (1'b0),                           // (terminated)
		.reset_req_in4  (1'b0),                           // (terminated)
		.reset_in5      (1'b0),                           // (terminated)
		.reset_req_in5  (1'b0),                           // (terminated)
		.reset_in6      (1'b0),                           // (terminated)
		.reset_req_in6  (1'b0),                           // (terminated)
		.reset_in7      (1'b0),                           // (terminated)
		.reset_req_in7  (1'b0),                           // (terminated)
		.reset_in8      (1'b0),                           // (terminated)
		.reset_req_in8  (1'b0),                           // (terminated)
		.reset_in9      (1'b0),                           // (terminated)
		.reset_req_in9  (1'b0),                           // (terminated)
		.reset_in10     (1'b0),                           // (terminated)
		.reset_req_in10 (1'b0),                           // (terminated)
		.reset_in11     (1'b0),                           // (terminated)
		.reset_req_in11 (1'b0),                           // (terminated)
		.reset_in12     (1'b0),                           // (terminated)
		.reset_req_in12 (1'b0),                           // (terminated)
		.reset_in13     (1'b0),                           // (terminated)
		.reset_req_in13 (1'b0),                           // (terminated)
		.reset_in14     (1'b0),                           // (terminated)
		.reset_req_in14 (1'b0),                           // (terminated)
		.reset_in15     (1'b0),                           // (terminated)
		.reset_req_in15 (1'b0)                            // (terminated)
	);

endmodule
