// gpio.v

// Generated using ACDS version 15.0 139

`timescale 1 ps / 1 ps
module gpio (
		input  wire [7:0]  adc1_out_external_connection_in_port,                          //                 adc1_out_external_connection.in_port
		output wire [7:0]  adc1_out_external_connection_out_port,                         //                                             .out_port
		input  wire [7:0]  adc2_in_external_connection_export,                            //                  adc2_in_external_connection.export
		input  wire        altpll_0_areset_conduit_export,                                //                      altpll_0_areset_conduit.export
		output wire        altpll_0_locked_conduit_export,                                //                      altpll_0_locked_conduit.export
		output wire        altpll_0_phasedone_conduit_export,                             //                   altpll_0_phasedone_conduit.export
		input  wire        clk_50m_clk,                                                   //                                      clk_50m.clk
		output wire [17:0] dac_ctrl_external_connection_export,                           //                 dac_ctrl_external_connection.export
		inout  wire [3:0]  generic_quad_spi_controller_0_flash_dataout_conduit_dataout,   //  generic_quad_spi_controller_0_flash_dataout.conduit_dataout
		output wire        generic_quad_spi_controller_0_flash_dclk_out_conduit_dclk_out, // generic_quad_spi_controller_0_flash_dclk_out.conduit_dclk_out
		output wire [0:0]  generic_quad_spi_controller_0_flash_ncs_conduit_ncs,           //      generic_quad_spi_controller_0_flash_ncs.conduit_ncs
		input  wire [7:0]  pmod_input_external_connection_export,                         //               pmod_input_external_connection.export
		input  wire [7:0]  pmod_output_external_connection_in_port,                       //              pmod_output_external_connection.in_port
		output wire [7:0]  pmod_output_external_connection_out_port,                      //                                             .out_port
		input  wire        reset_50m_reset_n,                                             //                                    reset_50m.reset_n
		input  wire        uart_0_external_connection_rxd,                                //                   uart_0_external_connection.rxd
		output wire        uart_0_external_connection_txd,                                //                                             .txd
		input  wire        usb_debug_master_0_usb_if_clk,                                 //                    usb_debug_master_0_usb_if.clk
		input  wire        usb_debug_master_0_usb_if_reset_n,                             //                                             .reset_n
		output wire        usb_debug_master_0_usb_if_full,                                //                                             .full
		output wire        usb_debug_master_0_usb_if_empty,                               //                                             .empty
		input  wire        usb_debug_master_0_usb_if_wr_n,                                //                                             .wr_n
		input  wire        usb_debug_master_0_usb_if_rd_n,                                //                                             .rd_n
		input  wire        usb_debug_master_0_usb_if_oe_n,                                //                                             .oe_n
		inout  wire [7:0]  usb_debug_master_0_usb_if_data,                                //                                             .data
		inout  wire [1:0]  usb_debug_master_0_usb_if_addr,                                //                                             .addr
		inout  wire        usb_debug_master_0_usb_if_scl,                                 //                                             .scl
		inout  wire        usb_debug_master_0_usb_if_sda,                                 //                                             .sda
		input  wire [4:0]  user_dipsw_external_connection_export,                         //               user_dipsw_external_connection.export
		output wire [4:0]  user_led_external_connection_export,                           //                 user_led_external_connection.export
		input  wire [3:0]  user_pb_external_connection_export                             //                  user_pb_external_connection.export
	);

	wire         altpll_0_c0_clk;                                                       // altpll_0:c0 -> [generic_quad_spi_controller_0:clk, mm_interconnect_0:altpll_0_c0_clk, rst_controller_001:clk, uart_0:clk]
	wire  [31:0] master_0_master_readdata;                                              // mm_interconnect_0:master_0_master_readdata -> master_0:master_readdata
	wire         master_0_master_waitrequest;                                           // mm_interconnect_0:master_0_master_waitrequest -> master_0:master_waitrequest
	wire  [31:0] master_0_master_address;                                               // master_0:master_address -> mm_interconnect_0:master_0_master_address
	wire         master_0_master_read;                                                  // master_0:master_read -> mm_interconnect_0:master_0_master_read
	wire   [3:0] master_0_master_byteenable;                                            // master_0:master_byteenable -> mm_interconnect_0:master_0_master_byteenable
	wire         master_0_master_readdatavalid;                                         // mm_interconnect_0:master_0_master_readdatavalid -> master_0:master_readdatavalid
	wire         master_0_master_write;                                                 // master_0:master_write -> mm_interconnect_0:master_0_master_write
	wire  [31:0] master_0_master_writedata;                                             // master_0:master_writedata -> mm_interconnect_0:master_0_master_writedata
	wire  [31:0] mm_interconnect_0_dual_boot_0_avalon_readdata;                         // dual_boot_0:avmm_rcv_readdata -> mm_interconnect_0:dual_boot_0_avalon_readdata
	wire   [2:0] mm_interconnect_0_dual_boot_0_avalon_address;                          // mm_interconnect_0:dual_boot_0_avalon_address -> dual_boot_0:avmm_rcv_address
	wire         mm_interconnect_0_dual_boot_0_avalon_read;                             // mm_interconnect_0:dual_boot_0_avalon_read -> dual_boot_0:avmm_rcv_read
	wire         mm_interconnect_0_dual_boot_0_avalon_write;                            // mm_interconnect_0:dual_boot_0_avalon_write -> dual_boot_0:avmm_rcv_write
	wire  [31:0] mm_interconnect_0_dual_boot_0_avalon_writedata;                        // mm_interconnect_0:dual_boot_0_avalon_writedata -> dual_boot_0:avmm_rcv_writedata
	wire         mm_interconnect_0_product_info_0_avalon_slave_0_chipselect;            // mm_interconnect_0:product_info_0_avalon_slave_0_chipselect -> product_info_0:chipselect_n
	wire  [31:0] mm_interconnect_0_product_info_0_avalon_slave_0_readdata;              // product_info_0:av_data_read -> mm_interconnect_0:product_info_0_avalon_slave_0_readdata
	wire   [1:0] mm_interconnect_0_product_info_0_avalon_slave_0_address;               // mm_interconnect_0:product_info_0_avalon_slave_0_address -> product_info_0:av_address
	wire         mm_interconnect_0_product_info_0_avalon_slave_0_read;                  // mm_interconnect_0:product_info_0_avalon_slave_0_read -> product_info_0:read_n
	wire  [31:0] mm_interconnect_0_generic_quad_spi_controller_0_avl_csr_readdata;      // generic_quad_spi_controller_0:avl_csr_rddata -> mm_interconnect_0:generic_quad_spi_controller_0_avl_csr_readdata
	wire         mm_interconnect_0_generic_quad_spi_controller_0_avl_csr_waitrequest;   // generic_quad_spi_controller_0:avl_csr_waitrequest -> mm_interconnect_0:generic_quad_spi_controller_0_avl_csr_waitrequest
	wire   [2:0] mm_interconnect_0_generic_quad_spi_controller_0_avl_csr_address;       // mm_interconnect_0:generic_quad_spi_controller_0_avl_csr_address -> generic_quad_spi_controller_0:avl_csr_addr
	wire         mm_interconnect_0_generic_quad_spi_controller_0_avl_csr_read;          // mm_interconnect_0:generic_quad_spi_controller_0_avl_csr_read -> generic_quad_spi_controller_0:avl_csr_read
	wire         mm_interconnect_0_generic_quad_spi_controller_0_avl_csr_readdatavalid; // generic_quad_spi_controller_0:avl_csr_rddata_valid -> mm_interconnect_0:generic_quad_spi_controller_0_avl_csr_readdatavalid
	wire         mm_interconnect_0_generic_quad_spi_controller_0_avl_csr_write;         // mm_interconnect_0:generic_quad_spi_controller_0_avl_csr_write -> generic_quad_spi_controller_0:avl_csr_write
	wire  [31:0] mm_interconnect_0_generic_quad_spi_controller_0_avl_csr_writedata;     // mm_interconnect_0:generic_quad_spi_controller_0_avl_csr_writedata -> generic_quad_spi_controller_0:avl_csr_wrdata
	wire  [31:0] mm_interconnect_0_generic_quad_spi_controller_0_avl_mem_readdata;      // generic_quad_spi_controller_0:avl_mem_rddata -> mm_interconnect_0:generic_quad_spi_controller_0_avl_mem_readdata
	wire         mm_interconnect_0_generic_quad_spi_controller_0_avl_mem_waitrequest;   // generic_quad_spi_controller_0:avl_mem_waitrequest -> mm_interconnect_0:generic_quad_spi_controller_0_avl_mem_waitrequest
	wire  [23:0] mm_interconnect_0_generic_quad_spi_controller_0_avl_mem_address;       // mm_interconnect_0:generic_quad_spi_controller_0_avl_mem_address -> generic_quad_spi_controller_0:avl_mem_addr
	wire         mm_interconnect_0_generic_quad_spi_controller_0_avl_mem_read;          // mm_interconnect_0:generic_quad_spi_controller_0_avl_mem_read -> generic_quad_spi_controller_0:avl_mem_read
	wire   [3:0] mm_interconnect_0_generic_quad_spi_controller_0_avl_mem_byteenable;    // mm_interconnect_0:generic_quad_spi_controller_0_avl_mem_byteenable -> generic_quad_spi_controller_0:avl_mem_byteenable
	wire         mm_interconnect_0_generic_quad_spi_controller_0_avl_mem_readdatavalid; // generic_quad_spi_controller_0:avl_mem_rddata_valid -> mm_interconnect_0:generic_quad_spi_controller_0_avl_mem_readdatavalid
	wire         mm_interconnect_0_generic_quad_spi_controller_0_avl_mem_write;         // mm_interconnect_0:generic_quad_spi_controller_0_avl_mem_write -> generic_quad_spi_controller_0:avl_mem_write
	wire  [31:0] mm_interconnect_0_generic_quad_spi_controller_0_avl_mem_writedata;     // mm_interconnect_0:generic_quad_spi_controller_0_avl_mem_writedata -> generic_quad_spi_controller_0:avl_mem_wrdata
	wire   [6:0] mm_interconnect_0_generic_quad_spi_controller_0_avl_mem_burstcount;    // mm_interconnect_0:generic_quad_spi_controller_0_avl_mem_burstcount -> generic_quad_spi_controller_0:avl_mem_burstcount
	wire  [31:0] mm_interconnect_0_altpll_0_pll_slave_readdata;                         // altpll_0:readdata -> mm_interconnect_0:altpll_0_pll_slave_readdata
	wire   [1:0] mm_interconnect_0_altpll_0_pll_slave_address;                          // mm_interconnect_0:altpll_0_pll_slave_address -> altpll_0:address
	wire         mm_interconnect_0_altpll_0_pll_slave_read;                             // mm_interconnect_0:altpll_0_pll_slave_read -> altpll_0:read
	wire         mm_interconnect_0_altpll_0_pll_slave_write;                            // mm_interconnect_0:altpll_0_pll_slave_write -> altpll_0:write
	wire  [31:0] mm_interconnect_0_altpll_0_pll_slave_writedata;                        // mm_interconnect_0:altpll_0_pll_slave_writedata -> altpll_0:writedata
	wire         mm_interconnect_0_user_led_s1_chipselect;                              // mm_interconnect_0:user_led_s1_chipselect -> user_led:chipselect
	wire  [31:0] mm_interconnect_0_user_led_s1_readdata;                                // user_led:readdata -> mm_interconnect_0:user_led_s1_readdata
	wire   [1:0] mm_interconnect_0_user_led_s1_address;                                 // mm_interconnect_0:user_led_s1_address -> user_led:address
	wire         mm_interconnect_0_user_led_s1_write;                                   // mm_interconnect_0:user_led_s1_write -> user_led:write_n
	wire  [31:0] mm_interconnect_0_user_led_s1_writedata;                               // mm_interconnect_0:user_led_s1_writedata -> user_led:writedata
	wire  [31:0] mm_interconnect_0_user_pb_s1_readdata;                                 // user_pb:readdata -> mm_interconnect_0:user_pb_s1_readdata
	wire   [1:0] mm_interconnect_0_user_pb_s1_address;                                  // mm_interconnect_0:user_pb_s1_address -> user_pb:address
	wire  [31:0] mm_interconnect_0_user_dipsw_s1_readdata;                              // user_dipsw:readdata -> mm_interconnect_0:user_dipsw_s1_readdata
	wire   [1:0] mm_interconnect_0_user_dipsw_s1_address;                               // mm_interconnect_0:user_dipsw_s1_address -> user_dipsw:address
	wire  [31:0] mm_interconnect_0_pmod_input_s1_readdata;                              // pmod_input:readdata -> mm_interconnect_0:pmod_input_s1_readdata
	wire   [1:0] mm_interconnect_0_pmod_input_s1_address;                               // mm_interconnect_0:pmod_input_s1_address -> pmod_input:address
	wire         mm_interconnect_0_pmod_output_s1_chipselect;                           // mm_interconnect_0:pmod_output_s1_chipselect -> pmod_output:chipselect
	wire  [31:0] mm_interconnect_0_pmod_output_s1_readdata;                             // pmod_output:readdata -> mm_interconnect_0:pmod_output_s1_readdata
	wire   [1:0] mm_interconnect_0_pmod_output_s1_address;                              // mm_interconnect_0:pmod_output_s1_address -> pmod_output:address
	wire         mm_interconnect_0_pmod_output_s1_write;                                // mm_interconnect_0:pmod_output_s1_write -> pmod_output:write_n
	wire  [31:0] mm_interconnect_0_pmod_output_s1_writedata;                            // mm_interconnect_0:pmod_output_s1_writedata -> pmod_output:writedata
	wire         mm_interconnect_0_adc1_out_s1_chipselect;                              // mm_interconnect_0:adc1_out_s1_chipselect -> adc1_out:chipselect
	wire  [31:0] mm_interconnect_0_adc1_out_s1_readdata;                                // adc1_out:readdata -> mm_interconnect_0:adc1_out_s1_readdata
	wire   [1:0] mm_interconnect_0_adc1_out_s1_address;                                 // mm_interconnect_0:adc1_out_s1_address -> adc1_out:address
	wire         mm_interconnect_0_adc1_out_s1_write;                                   // mm_interconnect_0:adc1_out_s1_write -> adc1_out:write_n
	wire  [31:0] mm_interconnect_0_adc1_out_s1_writedata;                               // mm_interconnect_0:adc1_out_s1_writedata -> adc1_out:writedata
	wire  [31:0] mm_interconnect_0_adc2_in_s1_readdata;                                 // adc2_in:readdata -> mm_interconnect_0:adc2_in_s1_readdata
	wire   [1:0] mm_interconnect_0_adc2_in_s1_address;                                  // mm_interconnect_0:adc2_in_s1_address -> adc2_in:address
	wire         mm_interconnect_0_dac_ctrl_s1_chipselect;                              // mm_interconnect_0:dac_ctrl_s1_chipselect -> dac_ctrl:chipselect
	wire  [31:0] mm_interconnect_0_dac_ctrl_s1_readdata;                                // dac_ctrl:readdata -> mm_interconnect_0:dac_ctrl_s1_readdata
	wire   [1:0] mm_interconnect_0_dac_ctrl_s1_address;                                 // mm_interconnect_0:dac_ctrl_s1_address -> dac_ctrl:address
	wire         mm_interconnect_0_dac_ctrl_s1_write;                                   // mm_interconnect_0:dac_ctrl_s1_write -> dac_ctrl:write_n
	wire  [31:0] mm_interconnect_0_dac_ctrl_s1_writedata;                               // mm_interconnect_0:dac_ctrl_s1_writedata -> dac_ctrl:writedata
	wire         mm_interconnect_0_uart_0_s1_chipselect;                                // mm_interconnect_0:uart_0_s1_chipselect -> uart_0:chipselect
	wire  [15:0] mm_interconnect_0_uart_0_s1_readdata;                                  // uart_0:readdata -> mm_interconnect_0:uart_0_s1_readdata
	wire   [2:0] mm_interconnect_0_uart_0_s1_address;                                   // mm_interconnect_0:uart_0_s1_address -> uart_0:address
	wire         mm_interconnect_0_uart_0_s1_read;                                      // mm_interconnect_0:uart_0_s1_read -> uart_0:read_n
	wire         mm_interconnect_0_uart_0_s1_begintransfer;                             // mm_interconnect_0:uart_0_s1_begintransfer -> uart_0:begintransfer
	wire         mm_interconnect_0_uart_0_s1_write;                                     // mm_interconnect_0:uart_0_s1_write -> uart_0:write_n
	wire  [15:0] mm_interconnect_0_uart_0_s1_writedata;                                 // mm_interconnect_0:uart_0_s1_writedata -> uart_0:writedata
	wire         rst_controller_reset_out_reset;                                        // rst_controller:reset_out -> [adc1_out:reset_n, adc2_in:reset_n, altpll_0:reset, dac_ctrl:reset_n, dual_boot_0:nreset, mm_interconnect_0:dual_boot_0_nreset_reset_bridge_in_reset_reset, mm_interconnect_0:master_0_clk_reset_reset_bridge_in_reset_reset, pmod_input:reset_n, pmod_output:reset_n, product_info_0:reset_n, user_dipsw:reset_n, user_led:reset_n, user_pb:reset_n]
	wire         rst_controller_001_reset_out_reset;                                    // rst_controller_001:reset_out -> [generic_quad_spi_controller_0:reset_n, mm_interconnect_0:generic_quad_spi_controller_0_reset_reset_bridge_in_reset_reset, uart_0:reset_n]

	gpio_adc1_out adc1_out (
		.clk        (clk_50m_clk),                              //                 clk.clk
		.reset_n    (~rst_controller_reset_out_reset),          //               reset.reset_n
		.address    (mm_interconnect_0_adc1_out_s1_address),    //                  s1.address
		.write_n    (~mm_interconnect_0_adc1_out_s1_write),     //                    .write_n
		.writedata  (mm_interconnect_0_adc1_out_s1_writedata),  //                    .writedata
		.chipselect (mm_interconnect_0_adc1_out_s1_chipselect), //                    .chipselect
		.readdata   (mm_interconnect_0_adc1_out_s1_readdata),   //                    .readdata
		.in_port    (adc1_out_external_connection_in_port),     // external_connection.export
		.out_port   (adc1_out_external_connection_out_port)     //                    .export
	);

	gpio_adc2_in adc2_in (
		.clk      (clk_50m_clk),                           //                 clk.clk
		.reset_n  (~rst_controller_reset_out_reset),       //               reset.reset_n
		.address  (mm_interconnect_0_adc2_in_s1_address),  //                  s1.address
		.readdata (mm_interconnect_0_adc2_in_s1_readdata), //                    .readdata
		.in_port  (adc2_in_external_connection_export)     // external_connection.export
	);

	gpio_altpll_0 altpll_0 (
		.clk       (clk_50m_clk),                                    //       inclk_interface.clk
		.reset     (rst_controller_reset_out_reset),                 // inclk_interface_reset.reset
		.read      (mm_interconnect_0_altpll_0_pll_slave_read),      //             pll_slave.read
		.write     (mm_interconnect_0_altpll_0_pll_slave_write),     //                      .write
		.address   (mm_interconnect_0_altpll_0_pll_slave_address),   //                      .address
		.readdata  (mm_interconnect_0_altpll_0_pll_slave_readdata),  //                      .readdata
		.writedata (mm_interconnect_0_altpll_0_pll_slave_writedata), //                      .writedata
		.c0        (altpll_0_c0_clk),                                //                    c0.clk
		.areset    (altpll_0_areset_conduit_export),                 //        areset_conduit.export
		.locked    (altpll_0_locked_conduit_export),                 //        locked_conduit.export
		.phasedone (altpll_0_phasedone_conduit_export)               //     phasedone_conduit.export
	);

	gpio_dac_ctrl dac_ctrl (
		.clk        (clk_50m_clk),                              //                 clk.clk
		.reset_n    (~rst_controller_reset_out_reset),          //               reset.reset_n
		.address    (mm_interconnect_0_dac_ctrl_s1_address),    //                  s1.address
		.write_n    (~mm_interconnect_0_dac_ctrl_s1_write),     //                    .write_n
		.writedata  (mm_interconnect_0_dac_ctrl_s1_writedata),  //                    .writedata
		.chipselect (mm_interconnect_0_dac_ctrl_s1_chipselect), //                    .chipselect
		.readdata   (mm_interconnect_0_dac_ctrl_s1_readdata),   //                    .readdata
		.out_port   (dac_ctrl_external_connection_export)       // external_connection.export
	);

	altera_dual_boot #(
		.INTENDED_DEVICE_FAMILY ("MAX 10"),
		.CONFIG_CYCLE           (18),
		.RESET_TIMER_CYCLE      (26)
	) dual_boot_0 (
		.clk                (clk_50m_clk),                                    //    clk.clk
		.nreset             (~rst_controller_reset_out_reset),                // nreset.reset_n
		.avmm_rcv_address   (mm_interconnect_0_dual_boot_0_avalon_address),   // avalon.address
		.avmm_rcv_read      (mm_interconnect_0_dual_boot_0_avalon_read),      //       .read
		.avmm_rcv_writedata (mm_interconnect_0_dual_boot_0_avalon_writedata), //       .writedata
		.avmm_rcv_write     (mm_interconnect_0_dual_boot_0_avalon_write),     //       .write
		.avmm_rcv_readdata  (mm_interconnect_0_dual_boot_0_avalon_readdata)   //       .readdata
	);

	generic_qspi_controller #(
		.DEVICE_FAMILY     ("MAX 10"),
		.CS_WIDTH          (1),
		.ADDR_WIDTH        (24),
		.ASI_WIDTH         (4),
		.ASMI_ADDR_WIDTH   (32),
		.ENABLE_4BYTE_ADDR (1),
		.IO_MODE           ("QUAD"),
		.CHIP_SELS         (1)
	) generic_quad_spi_controller_0 (
		.clk                  (altpll_0_c0_clk),                                                       //       clock_sink.clk
		.reset_n              (~rst_controller_001_reset_out_reset),                                   //            reset.reset_n
		.avl_csr_read         (mm_interconnect_0_generic_quad_spi_controller_0_avl_csr_read),          //          avl_csr.read
		.avl_csr_waitrequest  (mm_interconnect_0_generic_quad_spi_controller_0_avl_csr_waitrequest),   //                 .waitrequest
		.avl_csr_write        (mm_interconnect_0_generic_quad_spi_controller_0_avl_csr_write),         //                 .write
		.avl_csr_addr         (mm_interconnect_0_generic_quad_spi_controller_0_avl_csr_address),       //                 .address
		.avl_csr_wrdata       (mm_interconnect_0_generic_quad_spi_controller_0_avl_csr_writedata),     //                 .writedata
		.avl_csr_rddata       (mm_interconnect_0_generic_quad_spi_controller_0_avl_csr_readdata),      //                 .readdata
		.avl_csr_rddata_valid (mm_interconnect_0_generic_quad_spi_controller_0_avl_csr_readdatavalid), //                 .readdatavalid
		.avl_mem_write        (mm_interconnect_0_generic_quad_spi_controller_0_avl_mem_write),         //          avl_mem.write
		.avl_mem_burstcount   (mm_interconnect_0_generic_quad_spi_controller_0_avl_mem_burstcount),    //                 .burstcount
		.avl_mem_waitrequest  (mm_interconnect_0_generic_quad_spi_controller_0_avl_mem_waitrequest),   //                 .waitrequest
		.avl_mem_read         (mm_interconnect_0_generic_quad_spi_controller_0_avl_mem_read),          //                 .read
		.avl_mem_addr         (mm_interconnect_0_generic_quad_spi_controller_0_avl_mem_address),       //                 .address
		.avl_mem_wrdata       (mm_interconnect_0_generic_quad_spi_controller_0_avl_mem_writedata),     //                 .writedata
		.avl_mem_rddata       (mm_interconnect_0_generic_quad_spi_controller_0_avl_mem_readdata),      //                 .readdata
		.avl_mem_rddata_valid (mm_interconnect_0_generic_quad_spi_controller_0_avl_mem_readdatavalid), //                 .readdatavalid
		.avl_mem_byteenable   (mm_interconnect_0_generic_quad_spi_controller_0_avl_mem_byteenable),    //                 .byteenable
		.irq                  (),                                                                      // interrupt_sender.irq
		.flash_dataout        (generic_quad_spi_controller_0_flash_dataout_conduit_dataout),           //    flash_dataout.conduit_dataout
		.flash_dclk_out       (generic_quad_spi_controller_0_flash_dclk_out_conduit_dclk_out),         //   flash_dclk_out.conduit_dclk_out
		.flash_ncs            (generic_quad_spi_controller_0_flash_ncs_conduit_ncs)                    //        flash_ncs.conduit_ncs
	);

	gpio_master_0 #(
		.USE_PLI     (0),
		.PLI_PORT    (50000),
		.FIFO_DEPTHS (2)
	) master_0 (
		.clk_clk              (clk_50m_clk),                   //          clk.clk
		.clk_reset_reset      (~reset_50m_reset_n),            //    clk_reset.reset
		.master_address       (master_0_master_address),       //       master.address
		.master_readdata      (master_0_master_readdata),      //             .readdata
		.master_read          (master_0_master_read),          //             .read
		.master_write         (master_0_master_write),         //             .write
		.master_writedata     (master_0_master_writedata),     //             .writedata
		.master_waitrequest   (master_0_master_waitrequest),   //             .waitrequest
		.master_readdatavalid (master_0_master_readdatavalid), //             .readdatavalid
		.master_byteenable    (master_0_master_byteenable),    //             .byteenable
		.master_reset_reset   ()                               // master_reset.reset
	);

	gpio_adc2_in pmod_input (
		.clk      (clk_50m_clk),                              //                 clk.clk
		.reset_n  (~rst_controller_reset_out_reset),          //               reset.reset_n
		.address  (mm_interconnect_0_pmod_input_s1_address),  //                  s1.address
		.readdata (mm_interconnect_0_pmod_input_s1_readdata), //                    .readdata
		.in_port  (pmod_input_external_connection_export)     // external_connection.export
	);

	gpio_adc1_out pmod_output (
		.clk        (clk_50m_clk),                                 //                 clk.clk
		.reset_n    (~rst_controller_reset_out_reset),             //               reset.reset_n
		.address    (mm_interconnect_0_pmod_output_s1_address),    //                  s1.address
		.write_n    (~mm_interconnect_0_pmod_output_s1_write),     //                    .write_n
		.writedata  (mm_interconnect_0_pmod_output_s1_writedata),  //                    .writedata
		.chipselect (mm_interconnect_0_pmod_output_s1_chipselect), //                    .chipselect
		.readdata   (mm_interconnect_0_pmod_output_s1_readdata),   //                    .readdata
		.in_port    (pmod_output_external_connection_in_port),     // external_connection.export
		.out_port   (pmod_output_external_connection_out_port)     //                    .export
	);

	product_info product_info_0 (
		.clk          (clk_50m_clk),                                                 //       clock_reset.clk
		.reset_n      (~rst_controller_reset_out_reset),                             // clock_reset_reset.reset_n
		.chipselect_n (~mm_interconnect_0_product_info_0_avalon_slave_0_chipselect), //    avalon_slave_0.chipselect_n
		.read_n       (~mm_interconnect_0_product_info_0_avalon_slave_0_read),       //                  .read_n
		.av_data_read (mm_interconnect_0_product_info_0_avalon_slave_0_readdata),    //                  .readdata
		.av_address   (mm_interconnect_0_product_info_0_avalon_slave_0_address)      //                  .address
	);

	gpio_uart_0 uart_0 (
		.clk           (altpll_0_c0_clk),                           //                 clk.clk
		.reset_n       (~rst_controller_001_reset_out_reset),       //               reset.reset_n
		.address       (mm_interconnect_0_uart_0_s1_address),       //                  s1.address
		.begintransfer (mm_interconnect_0_uart_0_s1_begintransfer), //                    .begintransfer
		.chipselect    (mm_interconnect_0_uart_0_s1_chipselect),    //                    .chipselect
		.read_n        (~mm_interconnect_0_uart_0_s1_read),         //                    .read_n
		.write_n       (~mm_interconnect_0_uart_0_s1_write),        //                    .write_n
		.writedata     (mm_interconnect_0_uart_0_s1_writedata),     //                    .writedata
		.readdata      (mm_interconnect_0_uart_0_s1_readdata),      //                    .readdata
		.dataavailable (),                                          //                    .dataavailable
		.readyfordata  (),                                          //                    .readyfordata
		.rxd           (uart_0_external_connection_rxd),            // external_connection.export
		.txd           (uart_0_external_connection_txd),            //                    .export
		.irq           ()                                           //                 irq.irq
	);

	gpio_usb_debug_master_0 usb_debug_master_0 (
		.usb_if_clk           (usb_debug_master_0_usb_if_clk),     //       usb_if.clk
		.usb_if_reset_n       (usb_debug_master_0_usb_if_reset_n), //             .reset_n
		.usb_if_full          (usb_debug_master_0_usb_if_full),    //             .full
		.usb_if_empty         (usb_debug_master_0_usb_if_empty),   //             .empty
		.usb_if_wr_n          (usb_debug_master_0_usb_if_wr_n),    //             .wr_n
		.usb_if_rd_n          (usb_debug_master_0_usb_if_rd_n),    //             .rd_n
		.usb_if_oe_n          (usb_debug_master_0_usb_if_oe_n),    //             .oe_n
		.usb_if_data          (usb_debug_master_0_usb_if_data),    //             .data
		.usb_if_addr          (usb_debug_master_0_usb_if_addr),    //             .addr
		.usb_if_scl           (usb_debug_master_0_usb_if_scl),     //             .scl
		.usb_if_sda           (usb_debug_master_0_usb_if_sda),     //             .sda
		.debug_clk_clk        (),                                  //    debug_clk.clk
		.debug_reset_reset    (),                                  //  debug_reset.reset
		.master_address       (),                                  //       master.address
		.master_readdata      (),                                  //             .readdata
		.master_read          (),                                  //             .read
		.master_write         (),                                  //             .write
		.master_writedata     (),                                  //             .writedata
		.master_waitrequest   (),                                  //             .waitrequest
		.master_readdatavalid (),                                  //             .readdatavalid
		.master_byteenable    (),                                  //             .byteenable
		.debug_clk_in_clk     (clk_50m_clk)                        // debug_clk_in.clk
	);

	gpio_user_dipsw user_dipsw (
		.clk      (clk_50m_clk),                              //                 clk.clk
		.reset_n  (~rst_controller_reset_out_reset),          //               reset.reset_n
		.address  (mm_interconnect_0_user_dipsw_s1_address),  //                  s1.address
		.readdata (mm_interconnect_0_user_dipsw_s1_readdata), //                    .readdata
		.in_port  (user_dipsw_external_connection_export)     // external_connection.export
	);

	gpio_user_led user_led (
		.clk        (clk_50m_clk),                              //                 clk.clk
		.reset_n    (~rst_controller_reset_out_reset),          //               reset.reset_n
		.address    (mm_interconnect_0_user_led_s1_address),    //                  s1.address
		.write_n    (~mm_interconnect_0_user_led_s1_write),     //                    .write_n
		.writedata  (mm_interconnect_0_user_led_s1_writedata),  //                    .writedata
		.chipselect (mm_interconnect_0_user_led_s1_chipselect), //                    .chipselect
		.readdata   (mm_interconnect_0_user_led_s1_readdata),   //                    .readdata
		.out_port   (user_led_external_connection_export)       // external_connection.export
	);

	gpio_user_pb user_pb (
		.clk      (clk_50m_clk),                           //                 clk.clk
		.reset_n  (~rst_controller_reset_out_reset),       //               reset.reset_n
		.address  (mm_interconnect_0_user_pb_s1_address),  //                  s1.address
		.readdata (mm_interconnect_0_user_pb_s1_readdata), //                    .readdata
		.in_port  (user_pb_external_connection_export)     // external_connection.export
	);

	gpio_mm_interconnect_0 mm_interconnect_0 (
		.altpll_0_c0_clk                                                 (altpll_0_c0_clk),                                                       //                                               altpll_0_c0.clk
		.clk_50m_clk_clk                                                 (clk_50m_clk),                                                           //                                               clk_50m_clk.clk
		.dual_boot_0_nreset_reset_bridge_in_reset_reset                  (rst_controller_reset_out_reset),                                        //                  dual_boot_0_nreset_reset_bridge_in_reset.reset
		.generic_quad_spi_controller_0_reset_reset_bridge_in_reset_reset (rst_controller_001_reset_out_reset),                                    // generic_quad_spi_controller_0_reset_reset_bridge_in_reset.reset
		.master_0_clk_reset_reset_bridge_in_reset_reset                  (rst_controller_reset_out_reset),                                        //                  master_0_clk_reset_reset_bridge_in_reset.reset
		.master_0_master_address                                         (master_0_master_address),                                               //                                           master_0_master.address
		.master_0_master_waitrequest                                     (master_0_master_waitrequest),                                           //                                                          .waitrequest
		.master_0_master_byteenable                                      (master_0_master_byteenable),                                            //                                                          .byteenable
		.master_0_master_read                                            (master_0_master_read),                                                  //                                                          .read
		.master_0_master_readdata                                        (master_0_master_readdata),                                              //                                                          .readdata
		.master_0_master_readdatavalid                                   (master_0_master_readdatavalid),                                         //                                                          .readdatavalid
		.master_0_master_write                                           (master_0_master_write),                                                 //                                                          .write
		.master_0_master_writedata                                       (master_0_master_writedata),                                             //                                                          .writedata
		.adc1_out_s1_address                                             (mm_interconnect_0_adc1_out_s1_address),                                 //                                               adc1_out_s1.address
		.adc1_out_s1_write                                               (mm_interconnect_0_adc1_out_s1_write),                                   //                                                          .write
		.adc1_out_s1_readdata                                            (mm_interconnect_0_adc1_out_s1_readdata),                                //                                                          .readdata
		.adc1_out_s1_writedata                                           (mm_interconnect_0_adc1_out_s1_writedata),                               //                                                          .writedata
		.adc1_out_s1_chipselect                                          (mm_interconnect_0_adc1_out_s1_chipselect),                              //                                                          .chipselect
		.adc2_in_s1_address                                              (mm_interconnect_0_adc2_in_s1_address),                                  //                                                adc2_in_s1.address
		.adc2_in_s1_readdata                                             (mm_interconnect_0_adc2_in_s1_readdata),                                 //                                                          .readdata
		.altpll_0_pll_slave_address                                      (mm_interconnect_0_altpll_0_pll_slave_address),                          //                                        altpll_0_pll_slave.address
		.altpll_0_pll_slave_write                                        (mm_interconnect_0_altpll_0_pll_slave_write),                            //                                                          .write
		.altpll_0_pll_slave_read                                         (mm_interconnect_0_altpll_0_pll_slave_read),                             //                                                          .read
		.altpll_0_pll_slave_readdata                                     (mm_interconnect_0_altpll_0_pll_slave_readdata),                         //                                                          .readdata
		.altpll_0_pll_slave_writedata                                    (mm_interconnect_0_altpll_0_pll_slave_writedata),                        //                                                          .writedata
		.dac_ctrl_s1_address                                             (mm_interconnect_0_dac_ctrl_s1_address),                                 //                                               dac_ctrl_s1.address
		.dac_ctrl_s1_write                                               (mm_interconnect_0_dac_ctrl_s1_write),                                   //                                                          .write
		.dac_ctrl_s1_readdata                                            (mm_interconnect_0_dac_ctrl_s1_readdata),                                //                                                          .readdata
		.dac_ctrl_s1_writedata                                           (mm_interconnect_0_dac_ctrl_s1_writedata),                               //                                                          .writedata
		.dac_ctrl_s1_chipselect                                          (mm_interconnect_0_dac_ctrl_s1_chipselect),                              //                                                          .chipselect
		.dual_boot_0_avalon_address                                      (mm_interconnect_0_dual_boot_0_avalon_address),                          //                                        dual_boot_0_avalon.address
		.dual_boot_0_avalon_write                                        (mm_interconnect_0_dual_boot_0_avalon_write),                            //                                                          .write
		.dual_boot_0_avalon_read                                         (mm_interconnect_0_dual_boot_0_avalon_read),                             //                                                          .read
		.dual_boot_0_avalon_readdata                                     (mm_interconnect_0_dual_boot_0_avalon_readdata),                         //                                                          .readdata
		.dual_boot_0_avalon_writedata                                    (mm_interconnect_0_dual_boot_0_avalon_writedata),                        //                                                          .writedata
		.generic_quad_spi_controller_0_avl_csr_address                   (mm_interconnect_0_generic_quad_spi_controller_0_avl_csr_address),       //                     generic_quad_spi_controller_0_avl_csr.address
		.generic_quad_spi_controller_0_avl_csr_write                     (mm_interconnect_0_generic_quad_spi_controller_0_avl_csr_write),         //                                                          .write
		.generic_quad_spi_controller_0_avl_csr_read                      (mm_interconnect_0_generic_quad_spi_controller_0_avl_csr_read),          //                                                          .read
		.generic_quad_spi_controller_0_avl_csr_readdata                  (mm_interconnect_0_generic_quad_spi_controller_0_avl_csr_readdata),      //                                                          .readdata
		.generic_quad_spi_controller_0_avl_csr_writedata                 (mm_interconnect_0_generic_quad_spi_controller_0_avl_csr_writedata),     //                                                          .writedata
		.generic_quad_spi_controller_0_avl_csr_readdatavalid             (mm_interconnect_0_generic_quad_spi_controller_0_avl_csr_readdatavalid), //                                                          .readdatavalid
		.generic_quad_spi_controller_0_avl_csr_waitrequest               (mm_interconnect_0_generic_quad_spi_controller_0_avl_csr_waitrequest),   //                                                          .waitrequest
		.generic_quad_spi_controller_0_avl_mem_address                   (mm_interconnect_0_generic_quad_spi_controller_0_avl_mem_address),       //                     generic_quad_spi_controller_0_avl_mem.address
		.generic_quad_spi_controller_0_avl_mem_write                     (mm_interconnect_0_generic_quad_spi_controller_0_avl_mem_write),         //                                                          .write
		.generic_quad_spi_controller_0_avl_mem_read                      (mm_interconnect_0_generic_quad_spi_controller_0_avl_mem_read),          //                                                          .read
		.generic_quad_spi_controller_0_avl_mem_readdata                  (mm_interconnect_0_generic_quad_spi_controller_0_avl_mem_readdata),      //                                                          .readdata
		.generic_quad_spi_controller_0_avl_mem_writedata                 (mm_interconnect_0_generic_quad_spi_controller_0_avl_mem_writedata),     //                                                          .writedata
		.generic_quad_spi_controller_0_avl_mem_burstcount                (mm_interconnect_0_generic_quad_spi_controller_0_avl_mem_burstcount),    //                                                          .burstcount
		.generic_quad_spi_controller_0_avl_mem_byteenable                (mm_interconnect_0_generic_quad_spi_controller_0_avl_mem_byteenable),    //                                                          .byteenable
		.generic_quad_spi_controller_0_avl_mem_readdatavalid             (mm_interconnect_0_generic_quad_spi_controller_0_avl_mem_readdatavalid), //                                                          .readdatavalid
		.generic_quad_spi_controller_0_avl_mem_waitrequest               (mm_interconnect_0_generic_quad_spi_controller_0_avl_mem_waitrequest),   //                                                          .waitrequest
		.pmod_input_s1_address                                           (mm_interconnect_0_pmod_input_s1_address),                               //                                             pmod_input_s1.address
		.pmod_input_s1_readdata                                          (mm_interconnect_0_pmod_input_s1_readdata),                              //                                                          .readdata
		.pmod_output_s1_address                                          (mm_interconnect_0_pmod_output_s1_address),                              //                                            pmod_output_s1.address
		.pmod_output_s1_write                                            (mm_interconnect_0_pmod_output_s1_write),                                //                                                          .write
		.pmod_output_s1_readdata                                         (mm_interconnect_0_pmod_output_s1_readdata),                             //                                                          .readdata
		.pmod_output_s1_writedata                                        (mm_interconnect_0_pmod_output_s1_writedata),                            //                                                          .writedata
		.pmod_output_s1_chipselect                                       (mm_interconnect_0_pmod_output_s1_chipselect),                           //                                                          .chipselect
		.product_info_0_avalon_slave_0_address                           (mm_interconnect_0_product_info_0_avalon_slave_0_address),               //                             product_info_0_avalon_slave_0.address
		.product_info_0_avalon_slave_0_read                              (mm_interconnect_0_product_info_0_avalon_slave_0_read),                  //                                                          .read
		.product_info_0_avalon_slave_0_readdata                          (mm_interconnect_0_product_info_0_avalon_slave_0_readdata),              //                                                          .readdata
		.product_info_0_avalon_slave_0_chipselect                        (mm_interconnect_0_product_info_0_avalon_slave_0_chipselect),            //                                                          .chipselect
		.uart_0_s1_address                                               (mm_interconnect_0_uart_0_s1_address),                                   //                                                 uart_0_s1.address
		.uart_0_s1_write                                                 (mm_interconnect_0_uart_0_s1_write),                                     //                                                          .write
		.uart_0_s1_read                                                  (mm_interconnect_0_uart_0_s1_read),                                      //                                                          .read
		.uart_0_s1_readdata                                              (mm_interconnect_0_uart_0_s1_readdata),                                  //                                                          .readdata
		.uart_0_s1_writedata                                             (mm_interconnect_0_uart_0_s1_writedata),                                 //                                                          .writedata
		.uart_0_s1_begintransfer                                         (mm_interconnect_0_uart_0_s1_begintransfer),                             //                                                          .begintransfer
		.uart_0_s1_chipselect                                            (mm_interconnect_0_uart_0_s1_chipselect),                                //                                                          .chipselect
		.user_dipsw_s1_address                                           (mm_interconnect_0_user_dipsw_s1_address),                               //                                             user_dipsw_s1.address
		.user_dipsw_s1_readdata                                          (mm_interconnect_0_user_dipsw_s1_readdata),                              //                                                          .readdata
		.user_led_s1_address                                             (mm_interconnect_0_user_led_s1_address),                                 //                                               user_led_s1.address
		.user_led_s1_write                                               (mm_interconnect_0_user_led_s1_write),                                   //                                                          .write
		.user_led_s1_readdata                                            (mm_interconnect_0_user_led_s1_readdata),                                //                                                          .readdata
		.user_led_s1_writedata                                           (mm_interconnect_0_user_led_s1_writedata),                               //                                                          .writedata
		.user_led_s1_chipselect                                          (mm_interconnect_0_user_led_s1_chipselect),                              //                                                          .chipselect
		.user_pb_s1_address                                              (mm_interconnect_0_user_pb_s1_address),                                  //                                                user_pb_s1.address
		.user_pb_s1_readdata                                             (mm_interconnect_0_user_pb_s1_readdata)                                  //                                                          .readdata
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (1),
		.OUTPUT_RESET_SYNC_EDGES   ("deassert"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller (
		.reset_in0      (~reset_50m_reset_n),             // reset_in0.reset
		.clk            (clk_50m_clk),                    //       clk.clk
		.reset_out      (rst_controller_reset_out_reset), // reset_out.reset
		.reset_req      (),                               // (terminated)
		.reset_req_in0  (1'b0),                           // (terminated)
		.reset_in1      (1'b0),                           // (terminated)
		.reset_req_in1  (1'b0),                           // (terminated)
		.reset_in2      (1'b0),                           // (terminated)
		.reset_req_in2  (1'b0),                           // (terminated)
		.reset_in3      (1'b0),                           // (terminated)
		.reset_req_in3  (1'b0),                           // (terminated)
		.reset_in4      (1'b0),                           // (terminated)
		.reset_req_in4  (1'b0),                           // (terminated)
		.reset_in5      (1'b0),                           // (terminated)
		.reset_req_in5  (1'b0),                           // (terminated)
		.reset_in6      (1'b0),                           // (terminated)
		.reset_req_in6  (1'b0),                           // (terminated)
		.reset_in7      (1'b0),                           // (terminated)
		.reset_req_in7  (1'b0),                           // (terminated)
		.reset_in8      (1'b0),                           // (terminated)
		.reset_req_in8  (1'b0),                           // (terminated)
		.reset_in9      (1'b0),                           // (terminated)
		.reset_req_in9  (1'b0),                           // (terminated)
		.reset_in10     (1'b0),                           // (terminated)
		.reset_req_in10 (1'b0),                           // (terminated)
		.reset_in11     (1'b0),                           // (terminated)
		.reset_req_in11 (1'b0),                           // (terminated)
		.reset_in12     (1'b0),                           // (terminated)
		.reset_req_in12 (1'b0),                           // (terminated)
		.reset_in13     (1'b0),                           // (terminated)
		.reset_req_in13 (1'b0),                           // (terminated)
		.reset_in14     (1'b0),                           // (terminated)
		.reset_req_in14 (1'b0),                           // (terminated)
		.reset_in15     (1'b0),                           // (terminated)
		.reset_req_in15 (1'b0)                            // (terminated)
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (1),
		.OUTPUT_RESET_SYNC_EDGES   ("deassert"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller_001 (
		.reset_in0      (~reset_50m_reset_n),                 // reset_in0.reset
		.clk            (altpll_0_c0_clk),                    //       clk.clk
		.reset_out      (rst_controller_001_reset_out_reset), // reset_out.reset
		.reset_req      (),                                   // (terminated)
		.reset_req_in0  (1'b0),                               // (terminated)
		.reset_in1      (1'b0),                               // (terminated)
		.reset_req_in1  (1'b0),                               // (terminated)
		.reset_in2      (1'b0),                               // (terminated)
		.reset_req_in2  (1'b0),                               // (terminated)
		.reset_in3      (1'b0),                               // (terminated)
		.reset_req_in3  (1'b0),                               // (terminated)
		.reset_in4      (1'b0),                               // (terminated)
		.reset_req_in4  (1'b0),                               // (terminated)
		.reset_in5      (1'b0),                               // (terminated)
		.reset_req_in5  (1'b0),                               // (terminated)
		.reset_in6      (1'b0),                               // (terminated)
		.reset_req_in6  (1'b0),                               // (terminated)
		.reset_in7      (1'b0),                               // (terminated)
		.reset_req_in7  (1'b0),                               // (terminated)
		.reset_in8      (1'b0),                               // (terminated)
		.reset_req_in8  (1'b0),                               // (terminated)
		.reset_in9      (1'b0),                               // (terminated)
		.reset_req_in9  (1'b0),                               // (terminated)
		.reset_in10     (1'b0),                               // (terminated)
		.reset_req_in10 (1'b0),                               // (terminated)
		.reset_in11     (1'b0),                               // (terminated)
		.reset_req_in11 (1'b0),                               // (terminated)
		.reset_in12     (1'b0),                               // (terminated)
		.reset_req_in12 (1'b0),                               // (terminated)
		.reset_in13     (1'b0),                               // (terminated)
		.reset_req_in13 (1'b0),                               // (terminated)
		.reset_in14     (1'b0),                               // (terminated)
		.reset_req_in14 (1'b0),                               // (terminated)
		.reset_in15     (1'b0),                               // (terminated)
		.reset_req_in15 (1'b0)                                // (terminated)
	);

endmodule
