// q_sys.v

// Generated using ACDS version 15.0 139

`timescale 1 ps / 1 ps
module q_sys (
		output wire        master_driver_msgdma_0_conduit_end_error_mon,  //  master_driver_msgdma_0_conduit_end.error_mon
		output wire        master_driver_msgdma_0_conduit_end_status_mon, //                                    .status_mon
		output wire [12:0] memory_mem_a,                                  //                              memory.mem_a
		output wire [2:0]  memory_mem_ba,                                 //                                    .mem_ba
		inout  wire [0:0]  memory_mem_ck,                                 //                                    .mem_ck
		inout  wire [0:0]  memory_mem_ck_n,                               //                                    .mem_ck_n
		output wire [0:0]  memory_mem_cke,                                //                                    .mem_cke
		output wire [0:0]  memory_mem_cs_n,                               //                                    .mem_cs_n
		output wire [2:0]  memory_mem_dm,                                 //                                    .mem_dm
		output wire [0:0]  memory_mem_ras_n,                              //                                    .mem_ras_n
		output wire [0:0]  memory_mem_cas_n,                              //                                    .mem_cas_n
		output wire [0:0]  memory_mem_we_n,                               //                                    .mem_we_n
		output wire        memory_mem_reset_n,                            //                                    .mem_reset_n
		inout  wire [23:0] memory_mem_dq,                                 //                                    .mem_dq
		inout  wire [2:0]  memory_mem_dqs,                                //                                    .mem_dqs
		inout  wire [2:0]  memory_mem_dqs_n,                              //                                    .mem_dqs_n
		output wire [0:0]  memory_mem_odt,                                //                                    .mem_odt
		output wire        msgdma_0_cal_fail_mon_export,                  //               msgdma_0_cal_fail_mon.export
		output wire        msgdma_0_cal_success_mon_export,               //            msgdma_0_cal_success_mon.export
		output wire        msgdma_0_status_mon_0_init_done_mon_export,    // msgdma_0_status_mon_0_init_done_mon.export
		input  wire        reset_reset_n,                                 //                               reset.reset_n
		input  wire        sys_clk_clk                                    //                             sys_clk.clk
	);

	wire          mem_if_ddr3_emif_0_afi_clk_clk;                              // mem_if_ddr3_emif_0:afi_clk -> [irq_synchronizer:receiver_clk, irq_synchronizer_001:receiver_clk, mSGDMA_0:clk_clk, mm_interconnect_0:mem_if_ddr3_emif_0_afi_clk_clk, mm_interconnect_1:mem_if_ddr3_emif_0_afi_clk_clk, rst_controller_002:clk, rst_controller_003:clk]
	wire          mem_if_ddr3_emif_0_status_local_cal_fail;                    // mem_if_ddr3_emif_0:local_cal_fail -> mSGDMA_0:status_mon_in_local_cal_fail
	wire          mem_if_ddr3_emif_0_status_local_init_done;                   // mem_if_ddr3_emif_0:local_init_done -> mSGDMA_0:status_mon_in_local_init_done
	wire          mem_if_ddr3_emif_0_status_local_cal_success;                 // mem_if_ddr3_emif_0:local_cal_success -> mSGDMA_0:status_mon_in_local_cal_success
	wire          master_driver_msgdma_0_avalon_master_chipselect;             // master_driver_msgdma_0:csn -> mm_interconnect_0:master_driver_msgdma_0_avalon_master_chipselect
	wire          master_driver_msgdma_0_avalon_master_waitrequest;            // mm_interconnect_0:master_driver_msgdma_0_avalon_master_waitrequest -> master_driver_msgdma_0:waitrequest_in
	wire   [31:0] master_driver_msgdma_0_avalon_master_readdata;               // mm_interconnect_0:master_driver_msgdma_0_avalon_master_readdata -> master_driver_msgdma_0:data_read
	wire          master_driver_msgdma_0_avalon_master_read;                   // master_driver_msgdma_0:oen -> mm_interconnect_0:master_driver_msgdma_0_avalon_master_read
	wire    [3:0] master_driver_msgdma_0_avalon_master_byteenable;             // master_driver_msgdma_0:be -> mm_interconnect_0:master_driver_msgdma_0_avalon_master_byteenable
	wire   [31:0] master_driver_msgdma_0_avalon_master_address;                // master_driver_msgdma_0:address -> mm_interconnect_0:master_driver_msgdma_0_avalon_master_address
	wire          master_driver_msgdma_0_avalon_master_write;                  // master_driver_msgdma_0:wen -> mm_interconnect_0:master_driver_msgdma_0_avalon_master_write
	wire   [31:0] master_driver_msgdma_0_avalon_master_writedata;              // master_driver_msgdma_0:data_write -> mm_interconnect_0:master_driver_msgdma_0_avalon_master_writedata
	wire   [31:0] mm_interconnect_0_msgdma_0_mm_bridge_slv_readdata;           // mSGDMA_0:mm_bridge_slv_readdata -> mm_interconnect_0:mSGDMA_0_mm_bridge_slv_readdata
	wire          mm_interconnect_0_msgdma_0_mm_bridge_slv_waitrequest;        // mSGDMA_0:mm_bridge_slv_waitrequest -> mm_interconnect_0:mSGDMA_0_mm_bridge_slv_waitrequest
	wire          mm_interconnect_0_msgdma_0_mm_bridge_slv_debugaccess;        // mm_interconnect_0:mSGDMA_0_mm_bridge_slv_debugaccess -> mSGDMA_0:mm_bridge_slv_debugaccess
	wire   [19:0] mm_interconnect_0_msgdma_0_mm_bridge_slv_address;            // mm_interconnect_0:mSGDMA_0_mm_bridge_slv_address -> mSGDMA_0:mm_bridge_slv_address
	wire          mm_interconnect_0_msgdma_0_mm_bridge_slv_read;               // mm_interconnect_0:mSGDMA_0_mm_bridge_slv_read -> mSGDMA_0:mm_bridge_slv_read
	wire    [3:0] mm_interconnect_0_msgdma_0_mm_bridge_slv_byteenable;         // mm_interconnect_0:mSGDMA_0_mm_bridge_slv_byteenable -> mSGDMA_0:mm_bridge_slv_byteenable
	wire          mm_interconnect_0_msgdma_0_mm_bridge_slv_readdatavalid;      // mSGDMA_0:mm_bridge_slv_readdatavalid -> mm_interconnect_0:mSGDMA_0_mm_bridge_slv_readdatavalid
	wire          mm_interconnect_0_msgdma_0_mm_bridge_slv_write;              // mm_interconnect_0:mSGDMA_0_mm_bridge_slv_write -> mSGDMA_0:mm_bridge_slv_write
	wire   [31:0] mm_interconnect_0_msgdma_0_mm_bridge_slv_writedata;          // mm_interconnect_0:mSGDMA_0_mm_bridge_slv_writedata -> mSGDMA_0:mm_bridge_slv_writedata
	wire    [6:0] mm_interconnect_0_msgdma_0_mm_bridge_slv_burstcount;         // mm_interconnect_0:mSGDMA_0_mm_bridge_slv_burstcount -> mSGDMA_0:mm_bridge_slv_burstcount
	wire  [127:0] msgdma_0_dma_read_master_readdata;                           // mm_interconnect_1:mSGDMA_0_dma_read_master_readdata -> mSGDMA_0:dma_read_master_readdata
	wire          msgdma_0_dma_read_master_waitrequest;                        // mm_interconnect_1:mSGDMA_0_dma_read_master_waitrequest -> mSGDMA_0:dma_read_master_waitrequest
	wire   [26:0] msgdma_0_dma_read_master_address;                            // mSGDMA_0:dma_read_master_address -> mm_interconnect_1:mSGDMA_0_dma_read_master_address
	wire          msgdma_0_dma_read_master_read;                               // mSGDMA_0:dma_read_master_read -> mm_interconnect_1:mSGDMA_0_dma_read_master_read
	wire   [15:0] msgdma_0_dma_read_master_byteenable;                         // mSGDMA_0:dma_read_master_byteenable -> mm_interconnect_1:mSGDMA_0_dma_read_master_byteenable
	wire          msgdma_0_dma_read_master_readdatavalid;                      // mm_interconnect_1:mSGDMA_0_dma_read_master_readdatavalid -> mSGDMA_0:dma_read_master_readdatavalid
	wire    [5:0] msgdma_0_dma_read_master_burstcount;                         // mSGDMA_0:dma_read_master_burstcount -> mm_interconnect_1:mSGDMA_0_dma_read_master_burstcount
	wire          msgdma_0_dma_write_master_waitrequest;                       // mm_interconnect_1:mSGDMA_0_dma_write_master_waitrequest -> mSGDMA_0:dma_write_master_waitrequest
	wire   [26:0] msgdma_0_dma_write_master_address;                           // mSGDMA_0:dma_write_master_address -> mm_interconnect_1:mSGDMA_0_dma_write_master_address
	wire   [15:0] msgdma_0_dma_write_master_byteenable;                        // mSGDMA_0:dma_write_master_byteenable -> mm_interconnect_1:mSGDMA_0_dma_write_master_byteenable
	wire          msgdma_0_dma_write_master_write;                             // mSGDMA_0:dma_write_master_write -> mm_interconnect_1:mSGDMA_0_dma_write_master_write
	wire  [127:0] msgdma_0_dma_write_master_writedata;                         // mSGDMA_0:dma_write_master_writedata -> mm_interconnect_1:mSGDMA_0_dma_write_master_writedata
	wire    [5:0] msgdma_0_dma_write_master_burstcount;                        // mSGDMA_0:dma_write_master_burstcount -> mm_interconnect_1:mSGDMA_0_dma_write_master_burstcount
	wire          mm_interconnect_1_mem_if_ddr3_emif_0_avl_beginbursttransfer; // mm_interconnect_1:mem_if_ddr3_emif_0_avl_beginbursttransfer -> mem_if_ddr3_emif_0:avl_burstbegin
	wire   [63:0] mm_interconnect_1_mem_if_ddr3_emif_0_avl_readdata;           // mem_if_ddr3_emif_0:avl_rdata -> mm_interconnect_1:mem_if_ddr3_emif_0_avl_readdata
	wire          mm_interconnect_1_mem_if_ddr3_emif_0_avl_waitrequest;        // mem_if_ddr3_emif_0:avl_ready -> mm_interconnect_1:mem_if_ddr3_emif_0_avl_waitrequest
	wire   [23:0] mm_interconnect_1_mem_if_ddr3_emif_0_avl_address;            // mm_interconnect_1:mem_if_ddr3_emif_0_avl_address -> mem_if_ddr3_emif_0:avl_addr
	wire          mm_interconnect_1_mem_if_ddr3_emif_0_avl_read;               // mm_interconnect_1:mem_if_ddr3_emif_0_avl_read -> mem_if_ddr3_emif_0:avl_read_req
	wire    [7:0] mm_interconnect_1_mem_if_ddr3_emif_0_avl_byteenable;         // mm_interconnect_1:mem_if_ddr3_emif_0_avl_byteenable -> mem_if_ddr3_emif_0:avl_be
	wire          mm_interconnect_1_mem_if_ddr3_emif_0_avl_readdatavalid;      // mem_if_ddr3_emif_0:avl_rdata_valid -> mm_interconnect_1:mem_if_ddr3_emif_0_avl_readdatavalid
	wire          mm_interconnect_1_mem_if_ddr3_emif_0_avl_write;              // mm_interconnect_1:mem_if_ddr3_emif_0_avl_write -> mem_if_ddr3_emif_0:avl_write_req
	wire   [63:0] mm_interconnect_1_mem_if_ddr3_emif_0_avl_writedata;          // mm_interconnect_1:mem_if_ddr3_emif_0_avl_writedata -> mem_if_ddr3_emif_0:avl_wdata
	wire    [2:0] mm_interconnect_1_mem_if_ddr3_emif_0_avl_burstcount;         // mm_interconnect_1:mem_if_ddr3_emif_0_avl_burstcount -> mem_if_ddr3_emif_0:avl_size
	wire   [31:0] master_0_master_readdata;                                    // mm_interconnect_2:master_0_master_readdata -> master_0:master_readdata
	wire          master_0_master_waitrequest;                                 // mm_interconnect_2:master_0_master_waitrequest -> master_0:master_waitrequest
	wire   [31:0] master_0_master_address;                                     // master_0:master_address -> mm_interconnect_2:master_0_master_address
	wire          master_0_master_read;                                        // master_0:master_read -> mm_interconnect_2:master_0_master_read
	wire    [3:0] master_0_master_byteenable;                                  // master_0:master_byteenable -> mm_interconnect_2:master_0_master_byteenable
	wire          master_0_master_readdatavalid;                               // mm_interconnect_2:master_0_master_readdatavalid -> master_0:master_readdatavalid
	wire          master_0_master_write;                                       // master_0:master_write -> mm_interconnect_2:master_0_master_write
	wire   [31:0] master_0_master_writedata;                                   // master_0:master_writedata -> mm_interconnect_2:master_0_master_writedata
	wire          mm_interconnect_2_product_info_0_avalon_slave_0_chipselect;  // mm_interconnect_2:product_info_0_avalon_slave_0_chipselect -> product_info_0:chipselect_n
	wire   [31:0] mm_interconnect_2_product_info_0_avalon_slave_0_readdata;    // product_info_0:av_data_read -> mm_interconnect_2:product_info_0_avalon_slave_0_readdata
	wire    [1:0] mm_interconnect_2_product_info_0_avalon_slave_0_address;     // mm_interconnect_2:product_info_0_avalon_slave_0_address -> product_info_0:av_address
	wire          mm_interconnect_2_product_info_0_avalon_slave_0_read;        // mm_interconnect_2:product_info_0_avalon_slave_0_read -> product_info_0:read_n
	wire   [31:0] mm_interconnect_2_master_driver_msgdma_0_csr_readdata;       // master_driver_msgdma_0:csr_readdata -> mm_interconnect_2:master_driver_msgdma_0_csr_readdata
	wire          mm_interconnect_2_master_driver_msgdma_0_csr_waitrequest;    // master_driver_msgdma_0:csr_waitrequest -> mm_interconnect_2:master_driver_msgdma_0_csr_waitrequest
	wire    [3:0] mm_interconnect_2_master_driver_msgdma_0_csr_address;        // mm_interconnect_2:master_driver_msgdma_0_csr_address -> master_driver_msgdma_0:csr_address
	wire          mm_interconnect_2_master_driver_msgdma_0_csr_read;           // mm_interconnect_2:master_driver_msgdma_0_csr_read -> master_driver_msgdma_0:csr_read
	wire          mm_interconnect_2_master_driver_msgdma_0_csr_write;          // mm_interconnect_2:master_driver_msgdma_0_csr_write -> master_driver_msgdma_0:csr_write
	wire   [31:0] mm_interconnect_2_master_driver_msgdma_0_csr_writedata;      // mm_interconnect_2:master_driver_msgdma_0_csr_writedata -> master_driver_msgdma_0:csr_writedata
	wire    [1:0] master_driver_msgdma_0_interrupt_receiver_irq;               // irq_mapper:sender_irq -> master_driver_msgdma_0:irq
	wire          irq_mapper_receiver0_irq;                                    // irq_synchronizer:sender_irq -> irq_mapper:receiver0_irq
	wire    [0:0] irq_synchronizer_receiver_irq;                               // mSGDMA_0:dispatcher_read_csr_irq_irq -> irq_synchronizer:receiver_irq
	wire          irq_mapper_receiver1_irq;                                    // irq_synchronizer_001:sender_irq -> irq_mapper:receiver1_irq
	wire    [0:0] irq_synchronizer_001_receiver_irq;                           // mSGDMA_0:dispatcher_write_csr_irq_irq -> irq_synchronizer_001:receiver_irq
	wire          rst_controller_reset_out_reset;                              // rst_controller:reset_out -> mSGDMA_0:reset_reset_n
	wire          mem_if_ddr3_emif_0_afi_reset_reset;                          // mem_if_ddr3_emif_0:afi_reset_n -> [rst_controller:reset_in0, rst_controller_002:reset_in0]
	wire          master_driver_msgdma_0_reset_source_reset;                   // master_driver_msgdma_0:reset_out -> [rst_controller:reset_in1, rst_controller_002:reset_in1]
	wire          rst_controller_001_reset_out_reset;                          // rst_controller_001:reset_out -> [irq_mapper:reset, irq_synchronizer:sender_reset, irq_synchronizer_001:sender_reset, master_driver_msgdma_0:reset_n, mm_interconnect_0:master_driver_msgdma_0_reset_reset_bridge_in_reset_reset, mm_interconnect_2:master_0_clk_reset_reset_bridge_in_reset_reset, mm_interconnect_2:product_info_0_clock_reset_reset_reset_bridge_in_reset_reset, product_info_0:reset_n]
	wire          rst_controller_002_reset_out_reset;                          // rst_controller_002:reset_out -> [irq_synchronizer:receiver_reset, irq_synchronizer_001:receiver_reset, mm_interconnect_0:mSGDMA_0_mm_bridge_slv_translator_reset_reset_bridge_in_reset_reset, mm_interconnect_0:mSGDMA_0_reset_reset_bridge_in_reset_reset, mm_interconnect_1:mSGDMA_0_dma_read_master_translator_reset_reset_bridge_in_reset_reset, mm_interconnect_1:mSGDMA_0_reset_reset_bridge_in_reset_reset]
	wire          rst_controller_003_reset_out_reset;                          // rst_controller_003:reset_out -> [mm_interconnect_1:mem_if_ddr3_emif_0_avl_translator_reset_reset_bridge_in_reset_reset, mm_interconnect_1:mem_if_ddr3_emif_0_soft_reset_reset_bridge_in_reset_reset]

	q_sys_mSGDMA_0 msgdma_0 (
		.cal_fail_mon_export               (msgdma_0_cal_fail_mon_export),                           //               cal_fail_mon.export
		.cal_success_mon_export            (msgdma_0_cal_success_mon_export),                        //            cal_success_mon.export
		.clk_clk                           (mem_if_ddr3_emif_0_afi_clk_clk),                         //                        clk.clk
		.clk_0_clk                         (sys_clk_clk),                                            //                      clk_0.clk
		.dispatcher_read_csr_irq_irq       (irq_synchronizer_receiver_irq),                          //    dispatcher_read_csr_irq.irq
		.dispatcher_write_csr_irq_irq      (irq_synchronizer_001_receiver_irq),                      //   dispatcher_write_csr_irq.irq
		.dma_read_master_address           (msgdma_0_dma_read_master_address),                       //            dma_read_master.address
		.dma_read_master_read              (msgdma_0_dma_read_master_read),                          //                           .read
		.dma_read_master_byteenable        (msgdma_0_dma_read_master_byteenable),                    //                           .byteenable
		.dma_read_master_readdata          (msgdma_0_dma_read_master_readdata),                      //                           .readdata
		.dma_read_master_waitrequest       (msgdma_0_dma_read_master_waitrequest),                   //                           .waitrequest
		.dma_read_master_readdatavalid     (msgdma_0_dma_read_master_readdatavalid),                 //                           .readdatavalid
		.dma_read_master_burstcount        (msgdma_0_dma_read_master_burstcount),                    //                           .burstcount
		.dma_write_master_address          (msgdma_0_dma_write_master_address),                      //           dma_write_master.address
		.dma_write_master_write            (msgdma_0_dma_write_master_write),                        //                           .write
		.dma_write_master_byteenable       (msgdma_0_dma_write_master_byteenable),                   //                           .byteenable
		.dma_write_master_writedata        (msgdma_0_dma_write_master_writedata),                    //                           .writedata
		.dma_write_master_waitrequest      (msgdma_0_dma_write_master_waitrequest),                  //                           .waitrequest
		.dma_write_master_burstcount       (msgdma_0_dma_write_master_burstcount),                   //                           .burstcount
		.eset_source_reset_n               (),                                                       //                eset_source.reset_n
		.mm_bridge_slv_waitrequest         (mm_interconnect_0_msgdma_0_mm_bridge_slv_waitrequest),   //              mm_bridge_slv.waitrequest
		.mm_bridge_slv_readdata            (mm_interconnect_0_msgdma_0_mm_bridge_slv_readdata),      //                           .readdata
		.mm_bridge_slv_readdatavalid       (mm_interconnect_0_msgdma_0_mm_bridge_slv_readdatavalid), //                           .readdatavalid
		.mm_bridge_slv_burstcount          (mm_interconnect_0_msgdma_0_mm_bridge_slv_burstcount),    //                           .burstcount
		.mm_bridge_slv_writedata           (mm_interconnect_0_msgdma_0_mm_bridge_slv_writedata),     //                           .writedata
		.mm_bridge_slv_address             (mm_interconnect_0_msgdma_0_mm_bridge_slv_address),       //                           .address
		.mm_bridge_slv_write               (mm_interconnect_0_msgdma_0_mm_bridge_slv_write),         //                           .write
		.mm_bridge_slv_read                (mm_interconnect_0_msgdma_0_mm_bridge_slv_read),          //                           .read
		.mm_bridge_slv_byteenable          (mm_interconnect_0_msgdma_0_mm_bridge_slv_byteenable),    //                           .byteenable
		.mm_bridge_slv_debugaccess         (mm_interconnect_0_msgdma_0_mm_bridge_slv_debugaccess),   //                           .debugaccess
		.reset_reset_n                     (~rst_controller_reset_out_reset),                        //                      reset.reset_n
		.reset_0_reset_n                   (reset_reset_n),                                          //                    reset_0.reset_n
		.status_mon_0_init_done_mon_export (msgdma_0_status_mon_0_init_done_mon_export),             // status_mon_0_init_done_mon.export
		.status_mon_in_local_init_done     (mem_if_ddr3_emif_0_status_local_init_done),              //              status_mon_in.local_init_done
		.status_mon_in_local_cal_success   (mem_if_ddr3_emif_0_status_local_cal_success),            //                           .local_cal_success
		.status_mon_in_local_cal_fail      (mem_if_ddr3_emif_0_status_local_cal_fail)                //                           .local_cal_fail
	);

	q_sys_master_0 #(
		.USE_PLI     (0),
		.PLI_PORT    (50000),
		.FIFO_DEPTHS (2)
	) master_0 (
		.clk_clk              (sys_clk_clk),                   //          clk.clk
		.clk_reset_reset      (~reset_reset_n),                //    clk_reset.reset
		.master_address       (master_0_master_address),       //       master.address
		.master_readdata      (master_0_master_readdata),      //             .readdata
		.master_read          (master_0_master_read),          //             .read
		.master_write         (master_0_master_write),         //             .write
		.master_writedata     (master_0_master_writedata),     //             .writedata
		.master_waitrequest   (master_0_master_waitrequest),   //             .waitrequest
		.master_readdatavalid (master_0_master_readdatavalid), //             .readdatavalid
		.master_byteenable    (master_0_master_byteenable),    //             .byteenable
		.master_reset_reset   ()                               // master_reset.reset
	);

	master_driver_msgdma #(
		.PRBS_PATTERN_GENERATOR_BASE (32'b00000000001000000000000001000000),
		.PRBS_PATTERN_CHECKER_BASE   (32'b00000000001000000000000000000000),
		.MEMORY_BASE_ADDRESS         (32'b00000000000000000000000000000000),
		.MEMORY_SPAN                 (32'b00000100000000000000000000000000),
		.BLOCK_SIZE                  (32'b00000100000000000000000000000000),
		.DISPATCHER_WRITE_CSR        (32'b00000000001000000000000001100000),
		.DISPATCHER_WRITE_DESCRIPTOR (32'b00000000001000000000000010100000),
		.DISPATCHER_READ_CSR         (32'b00000000001000000000000010000000),
		.DISPATCHER_READ_DESCRIPTOR  (32'b00000000001000000000000010110000),
		.TIMER_BASE                  (32'b00000000001010000001000000000000),
		.FREQUENCY_COUNTER_BASE      (32'b00000000001010010000000000000000),
		.ENABLE_PER_INFO             (1),
		.LOCAL_DATA_WORDS            (32'b00000000000000000000000000001000)
	) master_driver_msgdma_0 (
		.reset_n         (~rst_controller_001_reset_out_reset),                      //              reset.reset_n
		.clk             (sys_clk_clk),                                              //              clock.clk
		.csr_address     (mm_interconnect_2_master_driver_msgdma_0_csr_address),     //                csr.address
		.csr_read        (mm_interconnect_2_master_driver_msgdma_0_csr_read),        //                   .read
		.csr_write       (mm_interconnect_2_master_driver_msgdma_0_csr_write),       //                   .write
		.csr_readdata    (mm_interconnect_2_master_driver_msgdma_0_csr_readdata),    //                   .readdata
		.csr_writedata   (mm_interconnect_2_master_driver_msgdma_0_csr_writedata),   //                   .writedata
		.csr_waitrequest (mm_interconnect_2_master_driver_msgdma_0_csr_waitrequest), //                   .waitrequest
		.irq             (master_driver_msgdma_0_interrupt_receiver_irq),            // interrupt_receiver.irq
		.waitrequest_in  (master_driver_msgdma_0_avalon_master_waitrequest),         //      avalon_master.waitrequest
		.csn             (master_driver_msgdma_0_avalon_master_chipselect),          //                   .chipselect_n
		.wen             (master_driver_msgdma_0_avalon_master_write),               //                   .write_n
		.oen             (master_driver_msgdma_0_avalon_master_read),                //                   .read_n
		.be              (master_driver_msgdma_0_avalon_master_byteenable),          //                   .byteenable
		.address         (master_driver_msgdma_0_avalon_master_address),             //                   .address
		.data_write      (master_driver_msgdma_0_avalon_master_writedata),           //                   .writedata
		.data_read       (master_driver_msgdma_0_avalon_master_readdata),            //                   .readdata
		.reset_out       (master_driver_msgdma_0_reset_source_reset),                //       reset_source.reset
		.error_mon       (master_driver_msgdma_0_conduit_end_error_mon),             //        conduit_end.export
		.status_mon      (master_driver_msgdma_0_conduit_end_status_mon)             //                   .export
	);

	q_sys_mem_if_ddr3_emif_0 mem_if_ddr3_emif_0 (
		.pll_ref_clk        (sys_clk_clk),                                                 //      pll_ref_clk.clk
		.global_reset_n     (reset_reset_n),                                               //     global_reset.reset_n
		.soft_reset_n       (reset_reset_n),                                               //       soft_reset.reset_n
		.afi_clk            (mem_if_ddr3_emif_0_afi_clk_clk),                              //          afi_clk.clk
		.afi_half_clk       (),                                                            //     afi_half_clk.clk
		.afi_reset_n        (mem_if_ddr3_emif_0_afi_reset_reset),                          //        afi_reset.reset_n
		.afi_reset_export_n (),                                                            // afi_reset_export.reset_n
		.mem_a              (memory_mem_a),                                                //           memory.mem_a
		.mem_ba             (memory_mem_ba),                                               //                 .mem_ba
		.mem_ck             (memory_mem_ck),                                               //                 .mem_ck
		.mem_ck_n           (memory_mem_ck_n),                                             //                 .mem_ck_n
		.mem_cke            (memory_mem_cke),                                              //                 .mem_cke
		.mem_cs_n           (memory_mem_cs_n),                                             //                 .mem_cs_n
		.mem_dm             (memory_mem_dm),                                               //                 .mem_dm
		.mem_ras_n          (memory_mem_ras_n),                                            //                 .mem_ras_n
		.mem_cas_n          (memory_mem_cas_n),                                            //                 .mem_cas_n
		.mem_we_n           (memory_mem_we_n),                                             //                 .mem_we_n
		.mem_reset_n        (memory_mem_reset_n),                                          //                 .mem_reset_n
		.mem_dq             (memory_mem_dq),                                               //                 .mem_dq
		.mem_dqs            (memory_mem_dqs),                                              //                 .mem_dqs
		.mem_dqs_n          (memory_mem_dqs_n),                                            //                 .mem_dqs_n
		.mem_odt            (memory_mem_odt),                                              //                 .mem_odt
		.avl_ready          (mm_interconnect_1_mem_if_ddr3_emif_0_avl_waitrequest),        //              avl.waitrequest_n
		.avl_burstbegin     (mm_interconnect_1_mem_if_ddr3_emif_0_avl_beginbursttransfer), //                 .beginbursttransfer
		.avl_addr           (mm_interconnect_1_mem_if_ddr3_emif_0_avl_address),            //                 .address
		.avl_rdata_valid    (mm_interconnect_1_mem_if_ddr3_emif_0_avl_readdatavalid),      //                 .readdatavalid
		.avl_rdata          (mm_interconnect_1_mem_if_ddr3_emif_0_avl_readdata),           //                 .readdata
		.avl_wdata          (mm_interconnect_1_mem_if_ddr3_emif_0_avl_writedata),          //                 .writedata
		.avl_be             (mm_interconnect_1_mem_if_ddr3_emif_0_avl_byteenable),         //                 .byteenable
		.avl_read_req       (mm_interconnect_1_mem_if_ddr3_emif_0_avl_read),               //                 .read
		.avl_write_req      (mm_interconnect_1_mem_if_ddr3_emif_0_avl_write),              //                 .write
		.avl_size           (mm_interconnect_1_mem_if_ddr3_emif_0_avl_burstcount),         //                 .burstcount
		.local_init_done    (mem_if_ddr3_emif_0_status_local_init_done),                   //           status.local_init_done
		.local_cal_success  (mem_if_ddr3_emif_0_status_local_cal_success),                 //                 .local_cal_success
		.local_cal_fail     (mem_if_ddr3_emif_0_status_local_cal_fail),                    //                 .local_cal_fail
		.local_rdata_error  (),                                                            //  avl_rdata_error.local_rdata_error
		.ecc_interrupt      (),                                                            //    ecc_interrupt.ecc_interrupt
		.pll_mem_clk        (),                                                            //      pll_sharing.pll_mem_clk
		.pll_write_clk      (),                                                            //                 .pll_write_clk
		.pll_locked         (),                                                            //                 .pll_locked
		.pll_capture0_clk   (),                                                            //                 .pll_capture0_clk
		.pll_capture1_clk   (),                                                            //                 .pll_capture1_clk
		.csr_write_req      (),                                                            //              csr.write
		.csr_read_req       (),                                                            //                 .read
		.csr_waitrequest    (),                                                            //                 .waitrequest
		.csr_addr           (),                                                            //                 .address
		.csr_be             (),                                                            //                 .byteenable
		.csr_wdata          (),                                                            //                 .writedata
		.csr_rdata          (),                                                            //                 .readdata
		.csr_rdata_valid    ()                                                             //                 .readdatavalid
	);

	product_info product_info_0 (
		.clk          (sys_clk_clk),                                                 //       clock_reset.clk
		.reset_n      (~rst_controller_001_reset_out_reset),                         // clock_reset_reset.reset_n
		.chipselect_n (~mm_interconnect_2_product_info_0_avalon_slave_0_chipselect), //    avalon_slave_0.chipselect_n
		.read_n       (~mm_interconnect_2_product_info_0_avalon_slave_0_read),       //                  .read_n
		.av_data_read (mm_interconnect_2_product_info_0_avalon_slave_0_readdata),    //                  .readdata
		.av_address   (mm_interconnect_2_product_info_0_avalon_slave_0_address)      //                  .address
	);

	q_sys_mm_interconnect_0 mm_interconnect_0 (
		.mem_if_ddr3_emif_0_afi_clk_clk                                      (mem_if_ddr3_emif_0_afi_clk_clk),                         //                                    mem_if_ddr3_emif_0_afi_clk.clk
		.sys_clk_clk_clk                                                     (sys_clk_clk),                                            //                                                   sys_clk_clk.clk
		.master_driver_msgdma_0_reset_reset_bridge_in_reset_reset            (rst_controller_001_reset_out_reset),                     //            master_driver_msgdma_0_reset_reset_bridge_in_reset.reset
		.mSGDMA_0_mm_bridge_slv_translator_reset_reset_bridge_in_reset_reset (rst_controller_002_reset_out_reset),                     // mSGDMA_0_mm_bridge_slv_translator_reset_reset_bridge_in_reset.reset
		.mSGDMA_0_reset_reset_bridge_in_reset_reset                          (rst_controller_002_reset_out_reset),                     //                          mSGDMA_0_reset_reset_bridge_in_reset.reset
		.master_driver_msgdma_0_avalon_master_address                        (master_driver_msgdma_0_avalon_master_address),           //                          master_driver_msgdma_0_avalon_master.address
		.master_driver_msgdma_0_avalon_master_waitrequest                    (master_driver_msgdma_0_avalon_master_waitrequest),       //                                                              .waitrequest
		.master_driver_msgdma_0_avalon_master_byteenable                     (master_driver_msgdma_0_avalon_master_byteenable),        //                                                              .byteenable
		.master_driver_msgdma_0_avalon_master_chipselect                     (~master_driver_msgdma_0_avalon_master_chipselect),       //                                                              .chipselect
		.master_driver_msgdma_0_avalon_master_read                           (~master_driver_msgdma_0_avalon_master_read),             //                                                              .read
		.master_driver_msgdma_0_avalon_master_readdata                       (master_driver_msgdma_0_avalon_master_readdata),          //                                                              .readdata
		.master_driver_msgdma_0_avalon_master_write                          (~master_driver_msgdma_0_avalon_master_write),            //                                                              .write
		.master_driver_msgdma_0_avalon_master_writedata                      (master_driver_msgdma_0_avalon_master_writedata),         //                                                              .writedata
		.mSGDMA_0_mm_bridge_slv_address                                      (mm_interconnect_0_msgdma_0_mm_bridge_slv_address),       //                                        mSGDMA_0_mm_bridge_slv.address
		.mSGDMA_0_mm_bridge_slv_write                                        (mm_interconnect_0_msgdma_0_mm_bridge_slv_write),         //                                                              .write
		.mSGDMA_0_mm_bridge_slv_read                                         (mm_interconnect_0_msgdma_0_mm_bridge_slv_read),          //                                                              .read
		.mSGDMA_0_mm_bridge_slv_readdata                                     (mm_interconnect_0_msgdma_0_mm_bridge_slv_readdata),      //                                                              .readdata
		.mSGDMA_0_mm_bridge_slv_writedata                                    (mm_interconnect_0_msgdma_0_mm_bridge_slv_writedata),     //                                                              .writedata
		.mSGDMA_0_mm_bridge_slv_burstcount                                   (mm_interconnect_0_msgdma_0_mm_bridge_slv_burstcount),    //                                                              .burstcount
		.mSGDMA_0_mm_bridge_slv_byteenable                                   (mm_interconnect_0_msgdma_0_mm_bridge_slv_byteenable),    //                                                              .byteenable
		.mSGDMA_0_mm_bridge_slv_readdatavalid                                (mm_interconnect_0_msgdma_0_mm_bridge_slv_readdatavalid), //                                                              .readdatavalid
		.mSGDMA_0_mm_bridge_slv_waitrequest                                  (mm_interconnect_0_msgdma_0_mm_bridge_slv_waitrequest),   //                                                              .waitrequest
		.mSGDMA_0_mm_bridge_slv_debugaccess                                  (mm_interconnect_0_msgdma_0_mm_bridge_slv_debugaccess)    //                                                              .debugaccess
	);

	q_sys_mm_interconnect_1 mm_interconnect_1 (
		.mem_if_ddr3_emif_0_afi_clk_clk                                        (mem_if_ddr3_emif_0_afi_clk_clk),                              //                                      mem_if_ddr3_emif_0_afi_clk.clk
		.mem_if_ddr3_emif_0_avl_translator_reset_reset_bridge_in_reset_reset   (rst_controller_003_reset_out_reset),                          //   mem_if_ddr3_emif_0_avl_translator_reset_reset_bridge_in_reset.reset
		.mem_if_ddr3_emif_0_soft_reset_reset_bridge_in_reset_reset             (rst_controller_003_reset_out_reset),                          //             mem_if_ddr3_emif_0_soft_reset_reset_bridge_in_reset.reset
		.mSGDMA_0_dma_read_master_translator_reset_reset_bridge_in_reset_reset (rst_controller_002_reset_out_reset),                          // mSGDMA_0_dma_read_master_translator_reset_reset_bridge_in_reset.reset
		.mSGDMA_0_reset_reset_bridge_in_reset_reset                            (rst_controller_002_reset_out_reset),                          //                            mSGDMA_0_reset_reset_bridge_in_reset.reset
		.mSGDMA_0_dma_read_master_address                                      (msgdma_0_dma_read_master_address),                            //                                        mSGDMA_0_dma_read_master.address
		.mSGDMA_0_dma_read_master_waitrequest                                  (msgdma_0_dma_read_master_waitrequest),                        //                                                                .waitrequest
		.mSGDMA_0_dma_read_master_burstcount                                   (msgdma_0_dma_read_master_burstcount),                         //                                                                .burstcount
		.mSGDMA_0_dma_read_master_byteenable                                   (msgdma_0_dma_read_master_byteenable),                         //                                                                .byteenable
		.mSGDMA_0_dma_read_master_read                                         (msgdma_0_dma_read_master_read),                               //                                                                .read
		.mSGDMA_0_dma_read_master_readdata                                     (msgdma_0_dma_read_master_readdata),                           //                                                                .readdata
		.mSGDMA_0_dma_read_master_readdatavalid                                (msgdma_0_dma_read_master_readdatavalid),                      //                                                                .readdatavalid
		.mSGDMA_0_dma_write_master_address                                     (msgdma_0_dma_write_master_address),                           //                                       mSGDMA_0_dma_write_master.address
		.mSGDMA_0_dma_write_master_waitrequest                                 (msgdma_0_dma_write_master_waitrequest),                       //                                                                .waitrequest
		.mSGDMA_0_dma_write_master_burstcount                                  (msgdma_0_dma_write_master_burstcount),                        //                                                                .burstcount
		.mSGDMA_0_dma_write_master_byteenable                                  (msgdma_0_dma_write_master_byteenable),                        //                                                                .byteenable
		.mSGDMA_0_dma_write_master_write                                       (msgdma_0_dma_write_master_write),                             //                                                                .write
		.mSGDMA_0_dma_write_master_writedata                                   (msgdma_0_dma_write_master_writedata),                         //                                                                .writedata
		.mem_if_ddr3_emif_0_avl_address                                        (mm_interconnect_1_mem_if_ddr3_emif_0_avl_address),            //                                          mem_if_ddr3_emif_0_avl.address
		.mem_if_ddr3_emif_0_avl_write                                          (mm_interconnect_1_mem_if_ddr3_emif_0_avl_write),              //                                                                .write
		.mem_if_ddr3_emif_0_avl_read                                           (mm_interconnect_1_mem_if_ddr3_emif_0_avl_read),               //                                                                .read
		.mem_if_ddr3_emif_0_avl_readdata                                       (mm_interconnect_1_mem_if_ddr3_emif_0_avl_readdata),           //                                                                .readdata
		.mem_if_ddr3_emif_0_avl_writedata                                      (mm_interconnect_1_mem_if_ddr3_emif_0_avl_writedata),          //                                                                .writedata
		.mem_if_ddr3_emif_0_avl_beginbursttransfer                             (mm_interconnect_1_mem_if_ddr3_emif_0_avl_beginbursttransfer), //                                                                .beginbursttransfer
		.mem_if_ddr3_emif_0_avl_burstcount                                     (mm_interconnect_1_mem_if_ddr3_emif_0_avl_burstcount),         //                                                                .burstcount
		.mem_if_ddr3_emif_0_avl_byteenable                                     (mm_interconnect_1_mem_if_ddr3_emif_0_avl_byteenable),         //                                                                .byteenable
		.mem_if_ddr3_emif_0_avl_readdatavalid                                  (mm_interconnect_1_mem_if_ddr3_emif_0_avl_readdatavalid),      //                                                                .readdatavalid
		.mem_if_ddr3_emif_0_avl_waitrequest                                    (~mm_interconnect_1_mem_if_ddr3_emif_0_avl_waitrequest)        //                                                                .waitrequest
	);

	q_sys_mm_interconnect_2 mm_interconnect_2 (
		.sys_clk_clk_clk                                              (sys_clk_clk),                                                //                                            sys_clk_clk.clk
		.master_0_clk_reset_reset_bridge_in_reset_reset               (rst_controller_001_reset_out_reset),                         //               master_0_clk_reset_reset_bridge_in_reset.reset
		.product_info_0_clock_reset_reset_reset_bridge_in_reset_reset (rst_controller_001_reset_out_reset),                         // product_info_0_clock_reset_reset_reset_bridge_in_reset.reset
		.master_0_master_address                                      (master_0_master_address),                                    //                                        master_0_master.address
		.master_0_master_waitrequest                                  (master_0_master_waitrequest),                                //                                                       .waitrequest
		.master_0_master_byteenable                                   (master_0_master_byteenable),                                 //                                                       .byteenable
		.master_0_master_read                                         (master_0_master_read),                                       //                                                       .read
		.master_0_master_readdata                                     (master_0_master_readdata),                                   //                                                       .readdata
		.master_0_master_readdatavalid                                (master_0_master_readdatavalid),                              //                                                       .readdatavalid
		.master_0_master_write                                        (master_0_master_write),                                      //                                                       .write
		.master_0_master_writedata                                    (master_0_master_writedata),                                  //                                                       .writedata
		.master_driver_msgdma_0_csr_address                           (mm_interconnect_2_master_driver_msgdma_0_csr_address),       //                             master_driver_msgdma_0_csr.address
		.master_driver_msgdma_0_csr_write                             (mm_interconnect_2_master_driver_msgdma_0_csr_write),         //                                                       .write
		.master_driver_msgdma_0_csr_read                              (mm_interconnect_2_master_driver_msgdma_0_csr_read),          //                                                       .read
		.master_driver_msgdma_0_csr_readdata                          (mm_interconnect_2_master_driver_msgdma_0_csr_readdata),      //                                                       .readdata
		.master_driver_msgdma_0_csr_writedata                         (mm_interconnect_2_master_driver_msgdma_0_csr_writedata),     //                                                       .writedata
		.master_driver_msgdma_0_csr_waitrequest                       (mm_interconnect_2_master_driver_msgdma_0_csr_waitrequest),   //                                                       .waitrequest
		.product_info_0_avalon_slave_0_address                        (mm_interconnect_2_product_info_0_avalon_slave_0_address),    //                          product_info_0_avalon_slave_0.address
		.product_info_0_avalon_slave_0_read                           (mm_interconnect_2_product_info_0_avalon_slave_0_read),       //                                                       .read
		.product_info_0_avalon_slave_0_readdata                       (mm_interconnect_2_product_info_0_avalon_slave_0_readdata),   //                                                       .readdata
		.product_info_0_avalon_slave_0_chipselect                     (mm_interconnect_2_product_info_0_avalon_slave_0_chipselect)  //                                                       .chipselect
	);

	q_sys_irq_mapper irq_mapper (
		.clk           (sys_clk_clk),                                   //       clk.clk
		.reset         (rst_controller_001_reset_out_reset),            // clk_reset.reset
		.receiver0_irq (irq_mapper_receiver0_irq),                      // receiver0.irq
		.receiver1_irq (irq_mapper_receiver1_irq),                      // receiver1.irq
		.sender_irq    (master_driver_msgdma_0_interrupt_receiver_irq)  //    sender.irq
	);

	altera_irq_clock_crosser #(
		.IRQ_WIDTH (1)
	) irq_synchronizer (
		.receiver_clk   (mem_if_ddr3_emif_0_afi_clk_clk),     //       receiver_clk.clk
		.sender_clk     (sys_clk_clk),                        //         sender_clk.clk
		.receiver_reset (rst_controller_002_reset_out_reset), // receiver_clk_reset.reset
		.sender_reset   (rst_controller_001_reset_out_reset), //   sender_clk_reset.reset
		.receiver_irq   (irq_synchronizer_receiver_irq),      //           receiver.irq
		.sender_irq     (irq_mapper_receiver0_irq)            //             sender.irq
	);

	altera_irq_clock_crosser #(
		.IRQ_WIDTH (1)
	) irq_synchronizer_001 (
		.receiver_clk   (mem_if_ddr3_emif_0_afi_clk_clk),     //       receiver_clk.clk
		.sender_clk     (sys_clk_clk),                        //         sender_clk.clk
		.receiver_reset (rst_controller_002_reset_out_reset), // receiver_clk_reset.reset
		.sender_reset   (rst_controller_001_reset_out_reset), //   sender_clk_reset.reset
		.receiver_irq   (irq_synchronizer_001_receiver_irq),  //           receiver.irq
		.sender_irq     (irq_mapper_receiver1_irq)            //             sender.irq
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (2),
		.OUTPUT_RESET_SYNC_EDGES   ("none"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller (
		.reset_in0      (~mem_if_ddr3_emif_0_afi_reset_reset),       // reset_in0.reset
		.reset_in1      (master_driver_msgdma_0_reset_source_reset), // reset_in1.reset
		.clk            (),                                          //       clk.clk
		.reset_out      (rst_controller_reset_out_reset),            // reset_out.reset
		.reset_req      (),                                          // (terminated)
		.reset_req_in0  (1'b0),                                      // (terminated)
		.reset_req_in1  (1'b0),                                      // (terminated)
		.reset_in2      (1'b0),                                      // (terminated)
		.reset_req_in2  (1'b0),                                      // (terminated)
		.reset_in3      (1'b0),                                      // (terminated)
		.reset_req_in3  (1'b0),                                      // (terminated)
		.reset_in4      (1'b0),                                      // (terminated)
		.reset_req_in4  (1'b0),                                      // (terminated)
		.reset_in5      (1'b0),                                      // (terminated)
		.reset_req_in5  (1'b0),                                      // (terminated)
		.reset_in6      (1'b0),                                      // (terminated)
		.reset_req_in6  (1'b0),                                      // (terminated)
		.reset_in7      (1'b0),                                      // (terminated)
		.reset_req_in7  (1'b0),                                      // (terminated)
		.reset_in8      (1'b0),                                      // (terminated)
		.reset_req_in8  (1'b0),                                      // (terminated)
		.reset_in9      (1'b0),                                      // (terminated)
		.reset_req_in9  (1'b0),                                      // (terminated)
		.reset_in10     (1'b0),                                      // (terminated)
		.reset_req_in10 (1'b0),                                      // (terminated)
		.reset_in11     (1'b0),                                      // (terminated)
		.reset_req_in11 (1'b0),                                      // (terminated)
		.reset_in12     (1'b0),                                      // (terminated)
		.reset_req_in12 (1'b0),                                      // (terminated)
		.reset_in13     (1'b0),                                      // (terminated)
		.reset_req_in13 (1'b0),                                      // (terminated)
		.reset_in14     (1'b0),                                      // (terminated)
		.reset_req_in14 (1'b0),                                      // (terminated)
		.reset_in15     (1'b0),                                      // (terminated)
		.reset_req_in15 (1'b0)                                       // (terminated)
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (1),
		.OUTPUT_RESET_SYNC_EDGES   ("deassert"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller_001 (
		.reset_in0      (~reset_reset_n),                     // reset_in0.reset
		.clk            (sys_clk_clk),                        //       clk.clk
		.reset_out      (rst_controller_001_reset_out_reset), // reset_out.reset
		.reset_req      (),                                   // (terminated)
		.reset_req_in0  (1'b0),                               // (terminated)
		.reset_in1      (1'b0),                               // (terminated)
		.reset_req_in1  (1'b0),                               // (terminated)
		.reset_in2      (1'b0),                               // (terminated)
		.reset_req_in2  (1'b0),                               // (terminated)
		.reset_in3      (1'b0),                               // (terminated)
		.reset_req_in3  (1'b0),                               // (terminated)
		.reset_in4      (1'b0),                               // (terminated)
		.reset_req_in4  (1'b0),                               // (terminated)
		.reset_in5      (1'b0),                               // (terminated)
		.reset_req_in5  (1'b0),                               // (terminated)
		.reset_in6      (1'b0),                               // (terminated)
		.reset_req_in6  (1'b0),                               // (terminated)
		.reset_in7      (1'b0),                               // (terminated)
		.reset_req_in7  (1'b0),                               // (terminated)
		.reset_in8      (1'b0),                               // (terminated)
		.reset_req_in8  (1'b0),                               // (terminated)
		.reset_in9      (1'b0),                               // (terminated)
		.reset_req_in9  (1'b0),                               // (terminated)
		.reset_in10     (1'b0),                               // (terminated)
		.reset_req_in10 (1'b0),                               // (terminated)
		.reset_in11     (1'b0),                               // (terminated)
		.reset_req_in11 (1'b0),                               // (terminated)
		.reset_in12     (1'b0),                               // (terminated)
		.reset_req_in12 (1'b0),                               // (terminated)
		.reset_in13     (1'b0),                               // (terminated)
		.reset_req_in13 (1'b0),                               // (terminated)
		.reset_in14     (1'b0),                               // (terminated)
		.reset_req_in14 (1'b0),                               // (terminated)
		.reset_in15     (1'b0),                               // (terminated)
		.reset_req_in15 (1'b0)                                // (terminated)
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (2),
		.OUTPUT_RESET_SYNC_EDGES   ("deassert"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller_002 (
		.reset_in0      (~mem_if_ddr3_emif_0_afi_reset_reset),       // reset_in0.reset
		.reset_in1      (master_driver_msgdma_0_reset_source_reset), // reset_in1.reset
		.clk            (mem_if_ddr3_emif_0_afi_clk_clk),            //       clk.clk
		.reset_out      (rst_controller_002_reset_out_reset),        // reset_out.reset
		.reset_req      (),                                          // (terminated)
		.reset_req_in0  (1'b0),                                      // (terminated)
		.reset_req_in1  (1'b0),                                      // (terminated)
		.reset_in2      (1'b0),                                      // (terminated)
		.reset_req_in2  (1'b0),                                      // (terminated)
		.reset_in3      (1'b0),                                      // (terminated)
		.reset_req_in3  (1'b0),                                      // (terminated)
		.reset_in4      (1'b0),                                      // (terminated)
		.reset_req_in4  (1'b0),                                      // (terminated)
		.reset_in5      (1'b0),                                      // (terminated)
		.reset_req_in5  (1'b0),                                      // (terminated)
		.reset_in6      (1'b0),                                      // (terminated)
		.reset_req_in6  (1'b0),                                      // (terminated)
		.reset_in7      (1'b0),                                      // (terminated)
		.reset_req_in7  (1'b0),                                      // (terminated)
		.reset_in8      (1'b0),                                      // (terminated)
		.reset_req_in8  (1'b0),                                      // (terminated)
		.reset_in9      (1'b0),                                      // (terminated)
		.reset_req_in9  (1'b0),                                      // (terminated)
		.reset_in10     (1'b0),                                      // (terminated)
		.reset_req_in10 (1'b0),                                      // (terminated)
		.reset_in11     (1'b0),                                      // (terminated)
		.reset_req_in11 (1'b0),                                      // (terminated)
		.reset_in12     (1'b0),                                      // (terminated)
		.reset_req_in12 (1'b0),                                      // (terminated)
		.reset_in13     (1'b0),                                      // (terminated)
		.reset_req_in13 (1'b0),                                      // (terminated)
		.reset_in14     (1'b0),                                      // (terminated)
		.reset_req_in14 (1'b0),                                      // (terminated)
		.reset_in15     (1'b0),                                      // (terminated)
		.reset_req_in15 (1'b0)                                       // (terminated)
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (1),
		.OUTPUT_RESET_SYNC_EDGES   ("deassert"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller_003 (
		.reset_in0      (~reset_reset_n),                     // reset_in0.reset
		.clk            (mem_if_ddr3_emif_0_afi_clk_clk),     //       clk.clk
		.reset_out      (rst_controller_003_reset_out_reset), // reset_out.reset
		.reset_req      (),                                   // (terminated)
		.reset_req_in0  (1'b0),                               // (terminated)
		.reset_in1      (1'b0),                               // (terminated)
		.reset_req_in1  (1'b0),                               // (terminated)
		.reset_in2      (1'b0),                               // (terminated)
		.reset_req_in2  (1'b0),                               // (terminated)
		.reset_in3      (1'b0),                               // (terminated)
		.reset_req_in3  (1'b0),                               // (terminated)
		.reset_in4      (1'b0),                               // (terminated)
		.reset_req_in4  (1'b0),                               // (terminated)
		.reset_in5      (1'b0),                               // (terminated)
		.reset_req_in5  (1'b0),                               // (terminated)
		.reset_in6      (1'b0),                               // (terminated)
		.reset_req_in6  (1'b0),                               // (terminated)
		.reset_in7      (1'b0),                               // (terminated)
		.reset_req_in7  (1'b0),                               // (terminated)
		.reset_in8      (1'b0),                               // (terminated)
		.reset_req_in8  (1'b0),                               // (terminated)
		.reset_in9      (1'b0),                               // (terminated)
		.reset_req_in9  (1'b0),                               // (terminated)
		.reset_in10     (1'b0),                               // (terminated)
		.reset_req_in10 (1'b0),                               // (terminated)
		.reset_in11     (1'b0),                               // (terminated)
		.reset_req_in11 (1'b0),                               // (terminated)
		.reset_in12     (1'b0),                               // (terminated)
		.reset_req_in12 (1'b0),                               // (terminated)
		.reset_in13     (1'b0),                               // (terminated)
		.reset_req_in13 (1'b0),                               // (terminated)
		.reset_in14     (1'b0),                               // (terminated)
		.reset_req_in14 (1'b0),                               // (terminated)
		.reset_in15     (1'b0),                               // (terminated)
		.reset_req_in15 (1'b0)                                // (terminated)
	);

endmodule
