// hdmi_qsys.v

// Generated using ACDS version 15.0 139

`timescale 1 ps / 1 ps
module hdmi_qsys (
		output wire [23:0] alt_vip_cl_cvo_0_clocked_video_vid_data,      //    alt_vip_cl_cvo_0_clocked_video.vid_data
		output wire        alt_vip_cl_cvo_0_clocked_video_underflow,     //                                  .underflow
		output wire        alt_vip_cl_cvo_0_clocked_video_vid_datavalid, //                                  .vid_datavalid
		output wire        alt_vip_cl_cvo_0_clocked_video_vid_v_sync,    //                                  .vid_v_sync
		output wire        alt_vip_cl_cvo_0_clocked_video_vid_h_sync,    //                                  .vid_h_sync
		output wire        alt_vip_cl_cvo_0_clocked_video_vid_f,         //                                  .vid_f
		output wire        alt_vip_cl_cvo_0_clocked_video_vid_h,         //                                  .vid_h
		output wire        alt_vip_cl_cvo_0_clocked_video_vid_v,         //                                  .vid_v
		output wire        altpll_0_locked_conduit_export,               //           altpll_0_locked_conduit.export
		input  wire        clk_clk,                                      //                               clk.clk
		output wire        disp_refclk_out_clk_clk,                      //               disp_refclk_out_clk.clk
		input  wire        hdmi_tx_int_n_external_connection_export,     // hdmi_tx_int_n_external_connection.export
		inout  wire        opencores_i2c_0_export_0_scl_pad_io,          //          opencores_i2c_0_export_0.scl_pad_io
		inout  wire        opencores_i2c_0_export_0_sda_pad_io,          //                                  .sda_pad_io
		input  wire        reset_reset_n                                 //                             reset.reset_n
	);

	wire         tpg_cb_1080_dout_valid;                                       // tpg_CB_1080:dout_valid -> alt_vip_cl_swi_0:din_0_valid
	wire  [23:0] tpg_cb_1080_dout_data;                                        // tpg_CB_1080:dout_data -> alt_vip_cl_swi_0:din_0_data
	wire         tpg_cb_1080_dout_ready;                                       // alt_vip_cl_swi_0:din_0_ready -> tpg_CB_1080:dout_ready
	wire         tpg_cb_1080_dout_startofpacket;                               // tpg_CB_1080:dout_startofpacket -> alt_vip_cl_swi_0:din_0_startofpacket
	wire         tpg_cb_1080_dout_endofpacket;                                 // tpg_CB_1080:dout_endofpacket -> alt_vip_cl_swi_0:din_0_endofpacket
	wire         tpg_red_1080_dout_valid;                                      // tpg_Red_1080:dout_valid -> alt_vip_cl_swi_0:din_1_valid
	wire  [23:0] tpg_red_1080_dout_data;                                       // tpg_Red_1080:dout_data -> alt_vip_cl_swi_0:din_1_data
	wire         tpg_red_1080_dout_ready;                                      // alt_vip_cl_swi_0:din_1_ready -> tpg_Red_1080:dout_ready
	wire         tpg_red_1080_dout_startofpacket;                              // tpg_Red_1080:dout_startofpacket -> alt_vip_cl_swi_0:din_1_startofpacket
	wire         tpg_red_1080_dout_endofpacket;                                // tpg_Red_1080:dout_endofpacket -> alt_vip_cl_swi_0:din_1_endofpacket
	wire         tpg_green_1080_dout_valid;                                    // tpg_Green_1080:dout_valid -> alt_vip_cl_swi_0:din_2_valid
	wire  [23:0] tpg_green_1080_dout_data;                                     // tpg_Green_1080:dout_data -> alt_vip_cl_swi_0:din_2_data
	wire         tpg_green_1080_dout_ready;                                    // alt_vip_cl_swi_0:din_2_ready -> tpg_Green_1080:dout_ready
	wire         tpg_green_1080_dout_startofpacket;                            // tpg_Green_1080:dout_startofpacket -> alt_vip_cl_swi_0:din_2_startofpacket
	wire         tpg_green_1080_dout_endofpacket;                              // tpg_Green_1080:dout_endofpacket -> alt_vip_cl_swi_0:din_2_endofpacket
	wire         tpg_blue_1080_dout_valid;                                     // tpg_Blue_1080:dout_valid -> alt_vip_cl_swi_0:din_3_valid
	wire  [23:0] tpg_blue_1080_dout_data;                                      // tpg_Blue_1080:dout_data -> alt_vip_cl_swi_0:din_3_data
	wire         tpg_blue_1080_dout_ready;                                     // alt_vip_cl_swi_0:din_3_ready -> tpg_Blue_1080:dout_ready
	wire         tpg_blue_1080_dout_startofpacket;                             // tpg_Blue_1080:dout_startofpacket -> alt_vip_cl_swi_0:din_3_startofpacket
	wire         tpg_blue_1080_dout_endofpacket;                               // tpg_Blue_1080:dout_endofpacket -> alt_vip_cl_swi_0:din_3_endofpacket
	wire         tpg_white_1080_dout_valid;                                    // tpg_White_1080:dout_valid -> alt_vip_cl_swi_0:din_4_valid
	wire  [23:0] tpg_white_1080_dout_data;                                     // tpg_White_1080:dout_data -> alt_vip_cl_swi_0:din_4_data
	wire         tpg_white_1080_dout_ready;                                    // alt_vip_cl_swi_0:din_4_ready -> tpg_White_1080:dout_ready
	wire         tpg_white_1080_dout_startofpacket;                            // tpg_White_1080:dout_startofpacket -> alt_vip_cl_swi_0:din_4_startofpacket
	wire         tpg_white_1080_dout_endofpacket;                              // tpg_White_1080:dout_endofpacket -> alt_vip_cl_swi_0:din_4_endofpacket
	wire         tpg_black_1080_dout_valid;                                    // tpg_Black_1080:dout_valid -> alt_vip_cl_swi_0:din_5_valid
	wire  [23:0] tpg_black_1080_dout_data;                                     // tpg_Black_1080:dout_data -> alt_vip_cl_swi_0:din_5_data
	wire         tpg_black_1080_dout_ready;                                    // alt_vip_cl_swi_0:din_5_ready -> tpg_Black_1080:dout_ready
	wire         tpg_black_1080_dout_startofpacket;                            // tpg_Black_1080:dout_startofpacket -> alt_vip_cl_swi_0:din_5_startofpacket
	wire         tpg_black_1080_dout_endofpacket;                              // tpg_Black_1080:dout_endofpacket -> alt_vip_cl_swi_0:din_5_endofpacket
	wire         alt_vip_cl_swi_0_dout0_valid;                                 // alt_vip_cl_swi_0:dout_0_valid -> alt_vip_cl_cvo_0:din_valid
	wire  [23:0] alt_vip_cl_swi_0_dout0_data;                                  // alt_vip_cl_swi_0:dout_0_data -> alt_vip_cl_cvo_0:din_data
	wire         alt_vip_cl_swi_0_dout0_ready;                                 // alt_vip_cl_cvo_0:din_ready -> alt_vip_cl_swi_0:dout_0_ready
	wire         alt_vip_cl_swi_0_dout0_startofpacket;                         // alt_vip_cl_swi_0:dout_0_startofpacket -> alt_vip_cl_cvo_0:din_startofpacket
	wire         alt_vip_cl_swi_0_dout0_endofpacket;                           // alt_vip_cl_swi_0:dout_0_endofpacket -> alt_vip_cl_cvo_0:din_endofpacket
	wire  [31:0] master_0_master_readdata;                                     // mm_interconnect_0:master_0_master_readdata -> master_0:master_readdata
	wire         master_0_master_waitrequest;                                  // mm_interconnect_0:master_0_master_waitrequest -> master_0:master_waitrequest
	wire  [31:0] master_0_master_address;                                      // master_0:master_address -> mm_interconnect_0:master_0_master_address
	wire         master_0_master_read;                                         // master_0:master_read -> mm_interconnect_0:master_0_master_read
	wire   [3:0] master_0_master_byteenable;                                   // master_0:master_byteenable -> mm_interconnect_0:master_0_master_byteenable
	wire         master_0_master_readdatavalid;                                // mm_interconnect_0:master_0_master_readdatavalid -> master_0:master_readdatavalid
	wire         master_0_master_write;                                        // master_0:master_write -> mm_interconnect_0:master_0_master_write
	wire  [31:0] master_0_master_writedata;                                    // master_0:master_writedata -> mm_interconnect_0:master_0_master_writedata
	wire         mm_interconnect_0_opencores_i2c_0_avalon_slave_0_chipselect;  // mm_interconnect_0:opencores_i2c_0_avalon_slave_0_chipselect -> opencores_i2c_0:wb_stb_i
	wire   [7:0] mm_interconnect_0_opencores_i2c_0_avalon_slave_0_readdata;    // opencores_i2c_0:wb_dat_o -> mm_interconnect_0:opencores_i2c_0_avalon_slave_0_readdata
	wire         mm_interconnect_0_opencores_i2c_0_avalon_slave_0_waitrequest; // opencores_i2c_0:wb_ack_o -> mm_interconnect_0:opencores_i2c_0_avalon_slave_0_waitrequest
	wire   [2:0] mm_interconnect_0_opencores_i2c_0_avalon_slave_0_address;     // mm_interconnect_0:opencores_i2c_0_avalon_slave_0_address -> opencores_i2c_0:wb_adr_i
	wire         mm_interconnect_0_opencores_i2c_0_avalon_slave_0_write;       // mm_interconnect_0:opencores_i2c_0_avalon_slave_0_write -> opencores_i2c_0:wb_we_i
	wire   [7:0] mm_interconnect_0_opencores_i2c_0_avalon_slave_0_writedata;   // mm_interconnect_0:opencores_i2c_0_avalon_slave_0_writedata -> opencores_i2c_0:wb_dat_i
	wire         mm_interconnect_0_product_info_0_avalon_slave_0_chipselect;   // mm_interconnect_0:product_info_0_avalon_slave_0_chipselect -> product_info_0:chipselect_n
	wire  [31:0] mm_interconnect_0_product_info_0_avalon_slave_0_readdata;     // product_info_0:av_data_read -> mm_interconnect_0:product_info_0_avalon_slave_0_readdata
	wire   [1:0] mm_interconnect_0_product_info_0_avalon_slave_0_address;      // mm_interconnect_0:product_info_0_avalon_slave_0_address -> product_info_0:av_address
	wire         mm_interconnect_0_product_info_0_avalon_slave_0_read;         // mm_interconnect_0:product_info_0_avalon_slave_0_read -> product_info_0:read_n
	wire  [31:0] mm_interconnect_0_alt_vip_cl_swi_0_control_readdata;          // alt_vip_cl_swi_0:control_readdata -> mm_interconnect_0:alt_vip_cl_swi_0_control_readdata
	wire   [4:0] mm_interconnect_0_alt_vip_cl_swi_0_control_address;           // mm_interconnect_0:alt_vip_cl_swi_0_control_address -> alt_vip_cl_swi_0:control_address
	wire         mm_interconnect_0_alt_vip_cl_swi_0_control_read;              // mm_interconnect_0:alt_vip_cl_swi_0_control_read -> alt_vip_cl_swi_0:control_read
	wire         mm_interconnect_0_alt_vip_cl_swi_0_control_write;             // mm_interconnect_0:alt_vip_cl_swi_0_control_write -> alt_vip_cl_swi_0:control_write
	wire  [31:0] mm_interconnect_0_alt_vip_cl_swi_0_control_writedata;         // mm_interconnect_0:alt_vip_cl_swi_0_control_writedata -> alt_vip_cl_swi_0:control_writedata
	wire  [31:0] mm_interconnect_0_altpll_0_pll_slave_readdata;                // altpll_0:readdata -> mm_interconnect_0:altpll_0_pll_slave_readdata
	wire   [1:0] mm_interconnect_0_altpll_0_pll_slave_address;                 // mm_interconnect_0:altpll_0_pll_slave_address -> altpll_0:address
	wire         mm_interconnect_0_altpll_0_pll_slave_read;                    // mm_interconnect_0:altpll_0_pll_slave_read -> altpll_0:read
	wire         mm_interconnect_0_altpll_0_pll_slave_write;                   // mm_interconnect_0:altpll_0_pll_slave_write -> altpll_0:write
	wire  [31:0] mm_interconnect_0_altpll_0_pll_slave_writedata;               // mm_interconnect_0:altpll_0_pll_slave_writedata -> altpll_0:writedata
	wire         mm_interconnect_0_hdmi_tx_int_n_s1_chipselect;                // mm_interconnect_0:hdmi_tx_int_n_s1_chipselect -> hdmi_tx_int_n:chipselect
	wire  [31:0] mm_interconnect_0_hdmi_tx_int_n_s1_readdata;                  // hdmi_tx_int_n:readdata -> mm_interconnect_0:hdmi_tx_int_n_s1_readdata
	wire   [1:0] mm_interconnect_0_hdmi_tx_int_n_s1_address;                   // mm_interconnect_0:hdmi_tx_int_n_s1_address -> hdmi_tx_int_n:address
	wire         mm_interconnect_0_hdmi_tx_int_n_s1_write;                     // mm_interconnect_0:hdmi_tx_int_n_s1_write -> hdmi_tx_int_n:write_n
	wire  [31:0] mm_interconnect_0_hdmi_tx_int_n_s1_writedata;                 // mm_interconnect_0:hdmi_tx_int_n_s1_writedata -> hdmi_tx_int_n:writedata
	wire         rst_controller_reset_out_reset;                               // rst_controller:reset_out -> [alt_vip_cl_cvo_0:main_reset_reset, alt_vip_cl_swi_0:reset, mm_interconnect_0:alt_vip_cl_swi_0_main_clock_reset_reset_bridge_in_reset_reset, tpg_Black_1080:main_reset, tpg_Blue_1080:main_reset, tpg_CB_1080:main_reset, tpg_Green_1080:main_reset, tpg_Red_1080:main_reset, tpg_White_1080:main_reset]
	wire         rst_controller_001_reset_out_reset;                           // rst_controller_001:reset_out -> [altpll_0:reset, hdmi_tx_int_n:reset_n, mm_interconnect_0:master_0_clk_reset_reset_bridge_in_reset_reset, mm_interconnect_0:opencores_i2c_0_clock_reset_reset_bridge_in_reset_reset, opencores_i2c_0:wb_rst_i, product_info_0:reset_n]
	wire   [0:0] alt_vip_cl_swi_0_dout_valid;                                  // port fragment
	wire   [0:0] alt_vip_cl_swi_0_dout_endofpacket;                            // port fragment
	wire   [5:0] alt_vip_cl_swi_0_din_ready;                                   // port fragment
	wire  [23:0] alt_vip_cl_swi_0_dout_data;                                   // port fragment
	wire   [0:0] alt_vip_cl_swi_0_dout_startofpacket;                          // port fragment

	hdmi_qsys_alt_vip_cl_cvo_0 #(
		.NUMBER_OF_COLOUR_PLANES       (3),
		.COLOUR_PLANES_ARE_IN_PARALLEL (1),
		.BPS                           (8),
		.INTERLACED                    (0),
		.H_ACTIVE_PIXELS               (1920),
		.V_ACTIVE_LINES                (1080),
		.ACCEPT_COLOURS_IN_SEQ         (0),
		.FIFO_DEPTH                    (1920),
		.CLOCKS_ARE_SAME               (1),
		.USE_CONTROL                   (0),
		.NO_OF_MODES                   (1),
		.THRESHOLD                     (1919),
		.STD_WIDTH                     (1),
		.GENERATE_SYNC                 (0),
		.USE_EMBEDDED_SYNCS            (0),
		.AP_LINE                       (0),
		.V_BLANK                       (0),
		.H_BLANK                       (0),
		.H_SYNC_LENGTH                 (44),
		.H_FRONT_PORCH                 (88),
		.H_BACK_PORCH                  (148),
		.V_SYNC_LENGTH                 (5),
		.V_FRONT_PORCH                 (4),
		.V_BACK_PORCH                  (36),
		.F_RISING_EDGE                 (0),
		.F_FALLING_EDGE                (0),
		.FIELD0_V_RISING_EDGE          (0),
		.FIELD0_V_BLANK                (0),
		.FIELD0_V_SYNC_LENGTH          (0),
		.FIELD0_V_FRONT_PORCH          (0),
		.FIELD0_V_BACK_PORCH           (0),
		.ANC_LINE                      (0),
		.FIELD0_ANC_LINE               (0),
		.SRC_WIDTH                     (8),
		.DST_WIDTH                     (8),
		.CONTEXT_WIDTH                 (8),
		.TASK_WIDTH                    (8)
	) alt_vip_cl_cvo_0 (
		.clocked_video_vid_data      (alt_vip_cl_cvo_0_clocked_video_vid_data),      //     clocked_video.vid_data
		.clocked_video_underflow     (alt_vip_cl_cvo_0_clocked_video_underflow),     //                  .underflow
		.clocked_video_vid_datavalid (alt_vip_cl_cvo_0_clocked_video_vid_datavalid), //                  .vid_datavalid
		.clocked_video_vid_v_sync    (alt_vip_cl_cvo_0_clocked_video_vid_v_sync),    //                  .vid_v_sync
		.clocked_video_vid_h_sync    (alt_vip_cl_cvo_0_clocked_video_vid_h_sync),    //                  .vid_h_sync
		.clocked_video_vid_f         (alt_vip_cl_cvo_0_clocked_video_vid_f),         //                  .vid_f
		.clocked_video_vid_h         (alt_vip_cl_cvo_0_clocked_video_vid_h),         //                  .vid_h
		.clocked_video_vid_v         (alt_vip_cl_cvo_0_clocked_video_vid_v),         //                  .vid_v
		.main_clock_clk              (disp_refclk_out_clk_clk),                      //        main_clock.clk
		.main_reset_reset            (rst_controller_reset_out_reset),               //        main_reset.reset
		.din_data                    (alt_vip_cl_swi_0_dout0_data),                  //               din.data
		.din_valid                   (alt_vip_cl_swi_0_dout0_valid),                 //                  .valid
		.din_startofpacket           (alt_vip_cl_swi_0_dout0_startofpacket),         //                  .startofpacket
		.din_endofpacket             (alt_vip_cl_swi_0_dout0_endofpacket),           //                  .endofpacket
		.din_ready                   (alt_vip_cl_swi_0_dout0_ready),                 //                  .ready
		.status_update_irq_irq       ()                                              // status_update_irq.irq
	);

	alt_vip_cl_switch_wrap #(
		.READY_LATENCY                (1),
		.NO_OF_INPUTS                 (6),
		.NO_OF_OUTPUTS                (1),
		.BPS                          (8),
		.NUMBER_OF_COLOR_PLANES       (3),
		.PIXELS_IN_PARALLEL           (1),
		.COLOR_PLANES_ARE_IN_PARALLEL (1),
		.CHANNEL_WIDTH                (0),
		.NUM_CHANNELS                 (0)
	) alt_vip_cl_swi_0 (
		.clock              (disp_refclk_out_clk_clk),                                                                                                                                                                                 //       main_clock.clk
		.reset              (rst_controller_reset_out_reset),                                                                                                                                                                          // main_clock_reset.reset
		.control_read       (mm_interconnect_0_alt_vip_cl_swi_0_control_read),                                                                                                                                                         //          control.read
		.control_write      (mm_interconnect_0_alt_vip_cl_swi_0_control_write),                                                                                                                                                        //                 .write
		.control_address    (mm_interconnect_0_alt_vip_cl_swi_0_control_address),                                                                                                                                                      //                 .address
		.control_writedata  (mm_interconnect_0_alt_vip_cl_swi_0_control_writedata),                                                                                                                                                    //                 .writedata
		.control_readdata   (mm_interconnect_0_alt_vip_cl_swi_0_control_readdata),                                                                                                                                                     //                 .readdata
		.control_interrupt  (),                                                                                                                                                                                                        //        interrupt.irq
		.din_ready          (alt_vip_cl_swi_0_din_ready),                                                                                                                                                                              //             din0.ready
		.din_valid          ({tpg_black_1080_dout_valid,tpg_white_1080_dout_valid,tpg_blue_1080_dout_valid,tpg_green_1080_dout_valid,tpg_red_1080_dout_valid,tpg_cb_1080_dout_valid}),                                                 //             din0.valid
		.din_data           ({tpg_black_1080_dout_data[23:0],tpg_white_1080_dout_data[23:0],tpg_blue_1080_dout_data[23:0],tpg_green_1080_dout_data[23:0],tpg_red_1080_dout_data[23:0],tpg_cb_1080_dout_data[23:0]}),                   //             din0.data
		.din_startofpacket  ({tpg_black_1080_dout_startofpacket,tpg_white_1080_dout_startofpacket,tpg_blue_1080_dout_startofpacket,tpg_green_1080_dout_startofpacket,tpg_red_1080_dout_startofpacket,tpg_cb_1080_dout_startofpacket}), //             din0.startofpacket
		.din_endofpacket    ({tpg_black_1080_dout_endofpacket,tpg_white_1080_dout_endofpacket,tpg_blue_1080_dout_endofpacket,tpg_green_1080_dout_endofpacket,tpg_red_1080_dout_endofpacket,tpg_cb_1080_dout_endofpacket}),             //             din0.endofpacket
		.dout_ready         ({alt_vip_cl_swi_0_dout0_ready}),                                                                                                                                                                          //            dout0.ready
		.dout_valid         (alt_vip_cl_swi_0_dout_valid),                                                                                                                                                                             //            dout0.valid
		.dout_data          (alt_vip_cl_swi_0_dout_data),                                                                                                                                                                              //            dout0.data
		.dout_startofpacket (alt_vip_cl_swi_0_dout_startofpacket),                                                                                                                                                                     //            dout0.startofpacket
		.dout_endofpacket   (alt_vip_cl_swi_0_dout_endofpacket)                                                                                                                                                                        //            dout0.endofpacket
	);

	hdmi_qsys_altpll_0 altpll_0 (
		.clk       (clk_clk),                                        //       inclk_interface.clk
		.reset     (rst_controller_001_reset_out_reset),             // inclk_interface_reset.reset
		.read      (mm_interconnect_0_altpll_0_pll_slave_read),      //             pll_slave.read
		.write     (mm_interconnect_0_altpll_0_pll_slave_write),     //                      .write
		.address   (mm_interconnect_0_altpll_0_pll_slave_address),   //                      .address
		.readdata  (mm_interconnect_0_altpll_0_pll_slave_readdata),  //                      .readdata
		.writedata (mm_interconnect_0_altpll_0_pll_slave_writedata), //                      .writedata
		.c0        (disp_refclk_out_clk_clk),                        //                    c0.clk
		.areset    (),                                               //        areset_conduit.export
		.locked    (altpll_0_locked_conduit_export),                 //        locked_conduit.export
		.phasedone ()                                                //     phasedone_conduit.export
	);

	hdmi_qsys_hdmi_tx_int_n hdmi_tx_int_n (
		.clk        (clk_clk),                                       //                 clk.clk
		.reset_n    (~rst_controller_001_reset_out_reset),           //               reset.reset_n
		.address    (mm_interconnect_0_hdmi_tx_int_n_s1_address),    //                  s1.address
		.write_n    (~mm_interconnect_0_hdmi_tx_int_n_s1_write),     //                    .write_n
		.writedata  (mm_interconnect_0_hdmi_tx_int_n_s1_writedata),  //                    .writedata
		.chipselect (mm_interconnect_0_hdmi_tx_int_n_s1_chipselect), //                    .chipselect
		.readdata   (mm_interconnect_0_hdmi_tx_int_n_s1_readdata),   //                    .readdata
		.in_port    (hdmi_tx_int_n_external_connection_export),      // external_connection.export
		.irq        ()                                               //                 irq.irq
	);

	hdmi_qsys_master_0 #(
		.USE_PLI     (0),
		.PLI_PORT    (50000),
		.FIFO_DEPTHS (2)
	) master_0 (
		.clk_clk              (clk_clk),                       //          clk.clk
		.clk_reset_reset      (~reset_reset_n),                //    clk_reset.reset
		.master_address       (master_0_master_address),       //       master.address
		.master_readdata      (master_0_master_readdata),      //             .readdata
		.master_read          (master_0_master_read),          //             .read
		.master_write         (master_0_master_write),         //             .write
		.master_writedata     (master_0_master_writedata),     //             .writedata
		.master_waitrequest   (master_0_master_waitrequest),   //             .waitrequest
		.master_readdatavalid (master_0_master_readdatavalid), //             .readdatavalid
		.master_byteenable    (master_0_master_byteenable),    //             .byteenable
		.master_reset_reset   ()                               // master_reset.reset
	);

	opencores_i2c opencores_i2c_0 (
		.wb_clk_i   (clk_clk),                                                      //            clock.clk
		.wb_rst_i   (rst_controller_001_reset_out_reset),                           //      clock_reset.reset
		.scl_pad_io (opencores_i2c_0_export_0_scl_pad_io),                          //         export_0.export
		.sda_pad_io (opencores_i2c_0_export_0_sda_pad_io),                          //                 .export
		.wb_adr_i   (mm_interconnect_0_opencores_i2c_0_avalon_slave_0_address),     //   avalon_slave_0.address
		.wb_dat_i   (mm_interconnect_0_opencores_i2c_0_avalon_slave_0_writedata),   //                 .writedata
		.wb_dat_o   (mm_interconnect_0_opencores_i2c_0_avalon_slave_0_readdata),    //                 .readdata
		.wb_we_i    (mm_interconnect_0_opencores_i2c_0_avalon_slave_0_write),       //                 .write
		.wb_stb_i   (mm_interconnect_0_opencores_i2c_0_avalon_slave_0_chipselect),  //                 .chipselect
		.wb_ack_o   (mm_interconnect_0_opencores_i2c_0_avalon_slave_0_waitrequest), //                 .waitrequest_n
		.wb_inta_o  ()                                                              // interrupt_sender.irq
	);

	product_info product_info_0 (
		.clk          (clk_clk),                                                     //       clock_reset.clk
		.reset_n      (~rst_controller_001_reset_out_reset),                         // clock_reset_reset.reset_n
		.chipselect_n (~mm_interconnect_0_product_info_0_avalon_slave_0_chipselect), //    avalon_slave_0.chipselect_n
		.read_n       (~mm_interconnect_0_product_info_0_avalon_slave_0_read),       //                  .read_n
		.av_data_read (mm_interconnect_0_product_info_0_avalon_slave_0_readdata),    //                  .readdata
		.av_address   (mm_interconnect_0_product_info_0_avalon_slave_0_address)      //                  .address
	);

	hdmi_qsys_tpg_Black_1080 #(
		.BPS                          (8),
		.PIXELS_IN_PARALLEL           (1),
		.MAX_WIDTH                    (1920),
		.MAX_HEIGHT                   (1080),
		.OUTPUT_FORMAT                ("4.4.4"),
		.COLOR_SPACE                  ("RGB"),
		.INTERLACING                  ("prog"),
		.PATTERN                      ("uniform"),
		.UNIFORM_VALUE_RY             (0),
		.UNIFORM_VALUE_GCB            (0),
		.UNIFORM_VALUE_BCR            (0),
		.COLOR_PLANES_ARE_IN_PARALLEL (1),
		.RUNTIME_CONTROL              (0)
	) tpg_black_1080 (
		.main_clock         (disp_refclk_out_clk_clk),           // main_clock.clk
		.main_reset         (rst_controller_reset_out_reset),    // main_reset.reset
		.dout_data          (tpg_black_1080_dout_data),          //       dout.data
		.dout_valid         (tpg_black_1080_dout_valid),         //           .valid
		.dout_startofpacket (tpg_black_1080_dout_startofpacket), //           .startofpacket
		.dout_endofpacket   (tpg_black_1080_dout_endofpacket),   //           .endofpacket
		.dout_ready         (tpg_black_1080_dout_ready)          //           .ready
	);

	hdmi_qsys_tpg_Blue_1080 #(
		.BPS                          (8),
		.PIXELS_IN_PARALLEL           (1),
		.MAX_WIDTH                    (1920),
		.MAX_HEIGHT                   (1080),
		.OUTPUT_FORMAT                ("4.4.4"),
		.COLOR_SPACE                  ("RGB"),
		.INTERLACING                  ("prog"),
		.PATTERN                      ("uniform"),
		.UNIFORM_VALUE_RY             (0),
		.UNIFORM_VALUE_GCB            (0),
		.UNIFORM_VALUE_BCR            (255),
		.COLOR_PLANES_ARE_IN_PARALLEL (1),
		.RUNTIME_CONTROL              (0)
	) tpg_blue_1080 (
		.main_clock         (disp_refclk_out_clk_clk),          // main_clock.clk
		.main_reset         (rst_controller_reset_out_reset),   // main_reset.reset
		.dout_data          (tpg_blue_1080_dout_data),          //       dout.data
		.dout_valid         (tpg_blue_1080_dout_valid),         //           .valid
		.dout_startofpacket (tpg_blue_1080_dout_startofpacket), //           .startofpacket
		.dout_endofpacket   (tpg_blue_1080_dout_endofpacket),   //           .endofpacket
		.dout_ready         (tpg_blue_1080_dout_ready)          //           .ready
	);

	hdmi_qsys_tpg_CB_1080 #(
		.BPS                          (8),
		.PIXELS_IN_PARALLEL           (1),
		.MAX_WIDTH                    (1920),
		.MAX_HEIGHT                   (1080),
		.OUTPUT_FORMAT                ("4.4.4"),
		.COLOR_SPACE                  ("RGB"),
		.INTERLACING                  ("prog"),
		.PATTERN                      ("colorbars"),
		.UNIFORM_VALUE_RY             (16),
		.UNIFORM_VALUE_GCB            (16),
		.UNIFORM_VALUE_BCR            (16),
		.COLOR_PLANES_ARE_IN_PARALLEL (1),
		.RUNTIME_CONTROL              (0)
	) tpg_cb_1080 (
		.main_clock         (disp_refclk_out_clk_clk),        // main_clock.clk
		.main_reset         (rst_controller_reset_out_reset), // main_reset.reset
		.dout_data          (tpg_cb_1080_dout_data),          //       dout.data
		.dout_valid         (tpg_cb_1080_dout_valid),         //           .valid
		.dout_startofpacket (tpg_cb_1080_dout_startofpacket), //           .startofpacket
		.dout_endofpacket   (tpg_cb_1080_dout_endofpacket),   //           .endofpacket
		.dout_ready         (tpg_cb_1080_dout_ready)          //           .ready
	);

	hdmi_qsys_tpg_Green_1080 #(
		.BPS                          (8),
		.PIXELS_IN_PARALLEL           (1),
		.MAX_WIDTH                    (1920),
		.MAX_HEIGHT                   (1080),
		.OUTPUT_FORMAT                ("4.4.4"),
		.COLOR_SPACE                  ("RGB"),
		.INTERLACING                  ("prog"),
		.PATTERN                      ("uniform"),
		.UNIFORM_VALUE_RY             (0),
		.UNIFORM_VALUE_GCB            (255),
		.UNIFORM_VALUE_BCR            (0),
		.COLOR_PLANES_ARE_IN_PARALLEL (1),
		.RUNTIME_CONTROL              (0)
	) tpg_green_1080 (
		.main_clock         (disp_refclk_out_clk_clk),           // main_clock.clk
		.main_reset         (rst_controller_reset_out_reset),    // main_reset.reset
		.dout_data          (tpg_green_1080_dout_data),          //       dout.data
		.dout_valid         (tpg_green_1080_dout_valid),         //           .valid
		.dout_startofpacket (tpg_green_1080_dout_startofpacket), //           .startofpacket
		.dout_endofpacket   (tpg_green_1080_dout_endofpacket),   //           .endofpacket
		.dout_ready         (tpg_green_1080_dout_ready)          //           .ready
	);

	hdmi_qsys_tpg_Red_1080 #(
		.BPS                          (8),
		.PIXELS_IN_PARALLEL           (1),
		.MAX_WIDTH                    (1920),
		.MAX_HEIGHT                   (1080),
		.OUTPUT_FORMAT                ("4.4.4"),
		.COLOR_SPACE                  ("RGB"),
		.INTERLACING                  ("prog"),
		.PATTERN                      ("uniform"),
		.UNIFORM_VALUE_RY             (255),
		.UNIFORM_VALUE_GCB            (0),
		.UNIFORM_VALUE_BCR            (0),
		.COLOR_PLANES_ARE_IN_PARALLEL (1),
		.RUNTIME_CONTROL              (0)
	) tpg_red_1080 (
		.main_clock         (disp_refclk_out_clk_clk),         // main_clock.clk
		.main_reset         (rst_controller_reset_out_reset),  // main_reset.reset
		.dout_data          (tpg_red_1080_dout_data),          //       dout.data
		.dout_valid         (tpg_red_1080_dout_valid),         //           .valid
		.dout_startofpacket (tpg_red_1080_dout_startofpacket), //           .startofpacket
		.dout_endofpacket   (tpg_red_1080_dout_endofpacket),   //           .endofpacket
		.dout_ready         (tpg_red_1080_dout_ready)          //           .ready
	);

	hdmi_qsys_tpg_White_1080 #(
		.BPS                          (8),
		.PIXELS_IN_PARALLEL           (1),
		.MAX_WIDTH                    (1920),
		.MAX_HEIGHT                   (1080),
		.OUTPUT_FORMAT                ("4.4.4"),
		.COLOR_SPACE                  ("RGB"),
		.INTERLACING                  ("prog"),
		.PATTERN                      ("uniform"),
		.UNIFORM_VALUE_RY             (255),
		.UNIFORM_VALUE_GCB            (255),
		.UNIFORM_VALUE_BCR            (255),
		.COLOR_PLANES_ARE_IN_PARALLEL (1),
		.RUNTIME_CONTROL              (0)
	) tpg_white_1080 (
		.main_clock         (disp_refclk_out_clk_clk),           // main_clock.clk
		.main_reset         (rst_controller_reset_out_reset),    // main_reset.reset
		.dout_data          (tpg_white_1080_dout_data),          //       dout.data
		.dout_valid         (tpg_white_1080_dout_valid),         //           .valid
		.dout_startofpacket (tpg_white_1080_dout_startofpacket), //           .startofpacket
		.dout_endofpacket   (tpg_white_1080_dout_endofpacket),   //           .endofpacket
		.dout_ready         (tpg_white_1080_dout_ready)          //           .ready
	);

	hdmi_qsys_mm_interconnect_0 mm_interconnect_0 (
		.altpll_0_c0_clk                                               (disp_refclk_out_clk_clk),                                       //                                             altpll_0_c0.clk
		.clk_50_clk_clk                                                (clk_clk),                                                       //                                              clk_50_clk.clk
		.alt_vip_cl_swi_0_main_clock_reset_reset_bridge_in_reset_reset (rst_controller_reset_out_reset),                                // alt_vip_cl_swi_0_main_clock_reset_reset_bridge_in_reset.reset
		.master_0_clk_reset_reset_bridge_in_reset_reset                (rst_controller_001_reset_out_reset),                            //                master_0_clk_reset_reset_bridge_in_reset.reset
		.opencores_i2c_0_clock_reset_reset_bridge_in_reset_reset       (rst_controller_001_reset_out_reset),                            //       opencores_i2c_0_clock_reset_reset_bridge_in_reset.reset
		.master_0_master_address                                       (master_0_master_address),                                       //                                         master_0_master.address
		.master_0_master_waitrequest                                   (master_0_master_waitrequest),                                   //                                                        .waitrequest
		.master_0_master_byteenable                                    (master_0_master_byteenable),                                    //                                                        .byteenable
		.master_0_master_read                                          (master_0_master_read),                                          //                                                        .read
		.master_0_master_readdata                                      (master_0_master_readdata),                                      //                                                        .readdata
		.master_0_master_readdatavalid                                 (master_0_master_readdatavalid),                                 //                                                        .readdatavalid
		.master_0_master_write                                         (master_0_master_write),                                         //                                                        .write
		.master_0_master_writedata                                     (master_0_master_writedata),                                     //                                                        .writedata
		.alt_vip_cl_swi_0_control_address                              (mm_interconnect_0_alt_vip_cl_swi_0_control_address),            //                                alt_vip_cl_swi_0_control.address
		.alt_vip_cl_swi_0_control_write                                (mm_interconnect_0_alt_vip_cl_swi_0_control_write),              //                                                        .write
		.alt_vip_cl_swi_0_control_read                                 (mm_interconnect_0_alt_vip_cl_swi_0_control_read),               //                                                        .read
		.alt_vip_cl_swi_0_control_readdata                             (mm_interconnect_0_alt_vip_cl_swi_0_control_readdata),           //                                                        .readdata
		.alt_vip_cl_swi_0_control_writedata                            (mm_interconnect_0_alt_vip_cl_swi_0_control_writedata),          //                                                        .writedata
		.altpll_0_pll_slave_address                                    (mm_interconnect_0_altpll_0_pll_slave_address),                  //                                      altpll_0_pll_slave.address
		.altpll_0_pll_slave_write                                      (mm_interconnect_0_altpll_0_pll_slave_write),                    //                                                        .write
		.altpll_0_pll_slave_read                                       (mm_interconnect_0_altpll_0_pll_slave_read),                     //                                                        .read
		.altpll_0_pll_slave_readdata                                   (mm_interconnect_0_altpll_0_pll_slave_readdata),                 //                                                        .readdata
		.altpll_0_pll_slave_writedata                                  (mm_interconnect_0_altpll_0_pll_slave_writedata),                //                                                        .writedata
		.hdmi_tx_int_n_s1_address                                      (mm_interconnect_0_hdmi_tx_int_n_s1_address),                    //                                        hdmi_tx_int_n_s1.address
		.hdmi_tx_int_n_s1_write                                        (mm_interconnect_0_hdmi_tx_int_n_s1_write),                      //                                                        .write
		.hdmi_tx_int_n_s1_readdata                                     (mm_interconnect_0_hdmi_tx_int_n_s1_readdata),                   //                                                        .readdata
		.hdmi_tx_int_n_s1_writedata                                    (mm_interconnect_0_hdmi_tx_int_n_s1_writedata),                  //                                                        .writedata
		.hdmi_tx_int_n_s1_chipselect                                   (mm_interconnect_0_hdmi_tx_int_n_s1_chipselect),                 //                                                        .chipselect
		.opencores_i2c_0_avalon_slave_0_address                        (mm_interconnect_0_opencores_i2c_0_avalon_slave_0_address),      //                          opencores_i2c_0_avalon_slave_0.address
		.opencores_i2c_0_avalon_slave_0_write                          (mm_interconnect_0_opencores_i2c_0_avalon_slave_0_write),        //                                                        .write
		.opencores_i2c_0_avalon_slave_0_readdata                       (mm_interconnect_0_opencores_i2c_0_avalon_slave_0_readdata),     //                                                        .readdata
		.opencores_i2c_0_avalon_slave_0_writedata                      (mm_interconnect_0_opencores_i2c_0_avalon_slave_0_writedata),    //                                                        .writedata
		.opencores_i2c_0_avalon_slave_0_waitrequest                    (~mm_interconnect_0_opencores_i2c_0_avalon_slave_0_waitrequest), //                                                        .waitrequest
		.opencores_i2c_0_avalon_slave_0_chipselect                     (mm_interconnect_0_opencores_i2c_0_avalon_slave_0_chipselect),   //                                                        .chipselect
		.product_info_0_avalon_slave_0_address                         (mm_interconnect_0_product_info_0_avalon_slave_0_address),       //                           product_info_0_avalon_slave_0.address
		.product_info_0_avalon_slave_0_read                            (mm_interconnect_0_product_info_0_avalon_slave_0_read),          //                                                        .read
		.product_info_0_avalon_slave_0_readdata                        (mm_interconnect_0_product_info_0_avalon_slave_0_readdata),      //                                                        .readdata
		.product_info_0_avalon_slave_0_chipselect                      (mm_interconnect_0_product_info_0_avalon_slave_0_chipselect)     //                                                        .chipselect
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (1),
		.OUTPUT_RESET_SYNC_EDGES   ("deassert"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller (
		.reset_in0      (~reset_reset_n),                 // reset_in0.reset
		.clk            (disp_refclk_out_clk_clk),        //       clk.clk
		.reset_out      (rst_controller_reset_out_reset), // reset_out.reset
		.reset_req      (),                               // (terminated)
		.reset_req_in0  (1'b0),                           // (terminated)
		.reset_in1      (1'b0),                           // (terminated)
		.reset_req_in1  (1'b0),                           // (terminated)
		.reset_in2      (1'b0),                           // (terminated)
		.reset_req_in2  (1'b0),                           // (terminated)
		.reset_in3      (1'b0),                           // (terminated)
		.reset_req_in3  (1'b0),                           // (terminated)
		.reset_in4      (1'b0),                           // (terminated)
		.reset_req_in4  (1'b0),                           // (terminated)
		.reset_in5      (1'b0),                           // (terminated)
		.reset_req_in5  (1'b0),                           // (terminated)
		.reset_in6      (1'b0),                           // (terminated)
		.reset_req_in6  (1'b0),                           // (terminated)
		.reset_in7      (1'b0),                           // (terminated)
		.reset_req_in7  (1'b0),                           // (terminated)
		.reset_in8      (1'b0),                           // (terminated)
		.reset_req_in8  (1'b0),                           // (terminated)
		.reset_in9      (1'b0),                           // (terminated)
		.reset_req_in9  (1'b0),                           // (terminated)
		.reset_in10     (1'b0),                           // (terminated)
		.reset_req_in10 (1'b0),                           // (terminated)
		.reset_in11     (1'b0),                           // (terminated)
		.reset_req_in11 (1'b0),                           // (terminated)
		.reset_in12     (1'b0),                           // (terminated)
		.reset_req_in12 (1'b0),                           // (terminated)
		.reset_in13     (1'b0),                           // (terminated)
		.reset_req_in13 (1'b0),                           // (terminated)
		.reset_in14     (1'b0),                           // (terminated)
		.reset_req_in14 (1'b0),                           // (terminated)
		.reset_in15     (1'b0),                           // (terminated)
		.reset_req_in15 (1'b0)                            // (terminated)
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (1),
		.OUTPUT_RESET_SYNC_EDGES   ("deassert"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller_001 (
		.reset_in0      (~reset_reset_n),                     // reset_in0.reset
		.clk            (clk_clk),                            //       clk.clk
		.reset_out      (rst_controller_001_reset_out_reset), // reset_out.reset
		.reset_req      (),                                   // (terminated)
		.reset_req_in0  (1'b0),                               // (terminated)
		.reset_in1      (1'b0),                               // (terminated)
		.reset_req_in1  (1'b0),                               // (terminated)
		.reset_in2      (1'b0),                               // (terminated)
		.reset_req_in2  (1'b0),                               // (terminated)
		.reset_in3      (1'b0),                               // (terminated)
		.reset_req_in3  (1'b0),                               // (terminated)
		.reset_in4      (1'b0),                               // (terminated)
		.reset_req_in4  (1'b0),                               // (terminated)
		.reset_in5      (1'b0),                               // (terminated)
		.reset_req_in5  (1'b0),                               // (terminated)
		.reset_in6      (1'b0),                               // (terminated)
		.reset_req_in6  (1'b0),                               // (terminated)
		.reset_in7      (1'b0),                               // (terminated)
		.reset_req_in7  (1'b0),                               // (terminated)
		.reset_in8      (1'b0),                               // (terminated)
		.reset_req_in8  (1'b0),                               // (terminated)
		.reset_in9      (1'b0),                               // (terminated)
		.reset_req_in9  (1'b0),                               // (terminated)
		.reset_in10     (1'b0),                               // (terminated)
		.reset_req_in10 (1'b0),                               // (terminated)
		.reset_in11     (1'b0),                               // (terminated)
		.reset_req_in11 (1'b0),                               // (terminated)
		.reset_in12     (1'b0),                               // (terminated)
		.reset_req_in12 (1'b0),                               // (terminated)
		.reset_in13     (1'b0),                               // (terminated)
		.reset_req_in13 (1'b0),                               // (terminated)
		.reset_in14     (1'b0),                               // (terminated)
		.reset_req_in14 (1'b0),                               // (terminated)
		.reset_in15     (1'b0),                               // (terminated)
		.reset_req_in15 (1'b0)                                // (terminated)
	);

	assign tpg_cb_1080_dout_ready = { alt_vip_cl_swi_0_din_ready[0] };

	assign tpg_red_1080_dout_ready = { alt_vip_cl_swi_0_din_ready[1] };

	assign tpg_green_1080_dout_ready = { alt_vip_cl_swi_0_din_ready[2] };

	assign tpg_blue_1080_dout_ready = { alt_vip_cl_swi_0_din_ready[3] };

	assign tpg_white_1080_dout_ready = { alt_vip_cl_swi_0_din_ready[4] };

	assign tpg_black_1080_dout_ready = { alt_vip_cl_swi_0_din_ready[5] };

	assign alt_vip_cl_swi_0_dout0_valid = { alt_vip_cl_swi_0_dout_valid[0] };

	assign alt_vip_cl_swi_0_dout0_data = { alt_vip_cl_swi_0_dout_data[23:0] };

	assign alt_vip_cl_swi_0_dout0_startofpacket = { alt_vip_cl_swi_0_dout_startofpacket[0] };

	assign alt_vip_cl_swi_0_dout0_endofpacket = { alt_vip_cl_swi_0_dout_endofpacket[0] };

endmodule
